package com.jiankangyouyi.cloud.basedata.constant;

import java.math.BigDecimal;

/**
 * 常量
 *
 * @author yangsongbo
 */
public interface Constants {


    /**
     * 英文逗号
     */
    String SEPARATOR_COMMA = ",";


    /**
     * http
     */
    String HTTP_LOWER_CASE = "http";

    /**
     * HTTP
     */
    String HTTP_UPPER_CASE = "HTTP";


    /**
     * 登录令牌属性
     */
    String FIELD_MANAGER_LOGIN_TOKEN = "loginToken";

    /**
     * 验证码长度
     */
    Integer VERIFY_CODE_SIZE = 6;


    /**
     * 验证码渠道
     */
    String VERIFY_CODE_CHANNEL = "health-cloud-base-data";


    /**
     * 短信发送成功
     */
    String SMS_SEND_SUCCESS = "0";

    /**
     * 每页最大条数
     */
    int MAX_PAGE_SIZE = 99;

    /**
     * 年龄最小值
     */
    int MIN_AGE = 0;

    /**
     * 年龄最大值
     */
    int MAX_AGE = 150;

    /**
     * Excel导出间隔时间 秒
     */
    int EXPORT_EXCEL_INTERVAL = 25;

    /**
     * kcal转换kj的系数
     */
    BigDecimal KCAL_TO_KJ = BigDecimal.valueOf(4.184);

    /**
     * 查询条件 勾选全部选项
     */
    Integer SELECT_ALL = 1;
    /**
     * 默认字典大类
     */
    String DEFAULT_DICT_TYPE = "01";
    /**
     * 默认字典子类
     */
    String DEFAULT_DICT_SUB_TYPE = "0101";
    /**
     * 默认appId 值
     */
    String DEFAULT_APPID_VALUE = "jiankangyouyi";
    /**
     * 食物识别横向扩充兜底方案接口
     */
    String FOOD_FEATURE_CALCULATE_URL = "http://120.132.33.151:8600/v3/food/feature/calculate";

    /**
     * requestId
     */
    String REQUEST_ID="requestId";
    /**
     * 小于64 bmi 建议
     */
    String BMI_LESS_THAN_64_ADVICE = "根据您的身高和体重，您的BMI为#公式1#，肥胖程度为#判断结果#。健康专家建议您将体重保持在#公式2#-#公式3#公斤之间，相应的您的BMI应该保持在18.5-23.9之间。";

    /**
     * 大于64 bmi 建议
     */
    String BMI_MORE_THAN_64_ADVICE = "根据您的身高和体重，您的BMI为#公式1#，肥胖程度为#判断结果#。健康专家建议您将体重保持在#公式21#-#公式22#公斤之间，相应的您的BMI应该保持在20-26.9之间。";

    /**
     * 男 腹型肥胖 建议
     */
    String MALE_ABDOMINAL_OBESITY_ADVICE = "根据您的腰围和臀围，您的腰臀比为#公式4#，腰臀比属于#判断结果#。健康专家建议您将腰臀比保持在0.9以下，相应的您的腰围应减少#公式5#厘米。";

    /**
     * 男 正常 建议
     */
    String MALE_NORMAL_ADVICE = "根据您的腰围和臀围，您的腰臀比为#公式4#，腰臀比属于#判断结果#。健康专家建议您将腰臀比保持在0.9以下，请继续保持。";

    /**
     * 女 腹型肥胖 建议
     */
    String FEMALE_ABDOMINAL_OBESITY_ADVICE = "根据您的腰围和臀围，您的腰臀比为#公式4#，腰臀比属于#判断结果#。健康专家建议您将腰臀比保持在0.85以下，相应的您的腰围应减少#公式6#厘米。";

    /**
     * 女 正常 建议
     */
    String FEMALE_NORMAL_ADVICE = "根据您的腰围和臀围，您的腰臀比为#公式4#，腰臀比属于#判断结果#。健康专家建议您将腰臀比保持在0.85以下，请继续保持。";

    /**
     * 理想体重 建议
     */
    String IDEAL_WEIGHT_ADVICE = "您的理想体重是#公式7#公斤。体重是衡量身体健康状况的重要指标，超重和肥胖会增加您的患病风险。如果想要达到和维持理想体重，您的体力活动消耗量与您每天的食物摄入量需保持相对平衡。";

    /**
     * 如何减掉1公斤？ 建议
     */
    String SUBTRACTION_WEIGHT_ADVICE = "您需要运动#公式8#分钟。根据您的体力活动方式，为了消耗掉1公斤脂肪，以上是您需要去运动的时间。健康专家建议，减重应多采取有氧运动的方式，每次连续运动时间不应少于10分钟，同时应根据个人情况量力而行，合理分配运动时间。";

    /**
     * BMR 建议话术，每天能量需求
     */
    String BMR_ADVICE = "您一天的能量摄入需求量是%dKcal。根据您提供的个人信息，我们为您估算出每日所需的能量，作为合理安排您的膳食摄入的科学依据。此能量摄入量足以保证您的机体正常代谢，以及维持日常的学习、工作、生活等活动所需。";

    /**
     * 运动消耗计算 话术
     */
    String EXERCISE_DURATION_ENERGY_ADVICE = "您的能量消耗是%dKcal。按照您的体力活动方式与活动时间，以上是我们为您估算出的能耗量。要维持理想体重的一个重要的原则是：您的体力活动能耗量应与您每天的食物摄入量相当。";
    /**
     * 碳水化物质量（g）转热量（kcal）的系数
     */
    int CARBOHYDRATE_G_TO_KCAL_COEFFICIENT = 4;

    /**
     * 蛋白质质量（g）转热量（kcal）的系数
     */
    int PROTEIN_G_TO_KCAL_COEFFICIENT = 4;


    /**
     * 脂肪质量（g）转热量（kcal）的系数
     */
    int FAT_G_TO_KCAL_COEFFICIENT = 9;

}