package com.jiankangyouyi.cloud.basedata.constant;

import java.math.BigDecimal;

/**
 * 食物常量
 *
 * @author yangsongbo
 */
public interface FoodConstants {

    /**
     * 食材一级分类-谷类及其制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0102 = "0102";

    /**
     * 食材一级分类-大豆类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0103 = "0103";

    /**
     * 食材一级分类-杂豆类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0104 = "0104";

    /**
     * 食材一级分类-薯类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0105 = "0105";

    /**
     * 食材一级分类-蔬菜类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0107 = "0107";

    /**
     * 食材一级分类-菌藻类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0108 = "0108";

    /**
     * 食材一级分类-水果类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0109 = "0109";

    /**
     * 食材一级分类-禽肉类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0110 = "0110";

    /**
     * 食材一级分类-畜肉类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0111 = "0111";

    /**
     * 食材一级分类-水产类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0112 = "0112";

    /**
     * 食材一级分类-乳类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0113 = "0113";

    /**
     * 食材一级分类-蛋类及制品
     */
    String FOOD_MATERIAL_CLASSIFY1_0114 = "0114";

    /**
     * 食材一级分类-坚果、种子类
     */
    String FOOD_MATERIAL_CLASSIFY1_0115 = "0115";

    /**
     * 食材一级分类-零食类
     */
    String FOOD_MATERIAL_CLASSIFY1_0116 = "0116";

    /**
     * 食材一级分类-饮品类
     */
    String FOOD_MATERIAL_CLASSIFY1_0117 = "0117";

    /**
     * 食材一级分类-油脂类
     */
    String FOOD_MATERIAL_CLASSIFY1_0118 = "0118";

    /**
     * 食材一级分类-调味品
     */
    String FOOD_MATERIAL_CLASSIFY1_0119 = "0119";

    /**
     * 食材一级分类-药材类
     */
    String FOOD_MATERIAL_CLASSIFY1_0120 = "0120";


    /**
     * 食材二级分类-全谷物及制品
     */
    String FOOD_MATERIAL_CLASSIFY2_010202 = "010202";

    /**
     * 食材二级分类-精细谷物及制品
     */
    String FOOD_MATERIAL_CLASSIFY2_010203 = "010203";

    /**
     * 食材二级分类-糖
     */
    String FOOD_MATERIAL_CLASSIFY2_011602 = "011602";

    /**
     * 食材二级分类-糖果
     */
    String FOOD_MATERIAL_CLASSIFY2_011603 = "011603";

    /**
     * 食材二级分类-蜜饯
     */
    String FOOD_MATERIAL_CLASSIFY2_011604 = "011604";

    /**
     * 食材二级分类-蜂蜜
     */
    String FOOD_MATERIAL_CLASSIFY2_011605 = "011605";

    /**
     * 食材二级分类-碳酸饮料
     */
    String FOOD_MATERIAL_CLASSIFY2_011705 = "011705";

    /**
     * 食材二级分类-酒精饮料
     */
    String FOOD_MATERIAL_CLASSIFY2_011706 = "011706";

    /**
     * 食材二级分类-果蔬汁
     */
    String FOOD_MATERIAL_CLASSIFY2_011707 = "011707";

    /**
     * 食材二级分类-运动功能性
     */
    String FOOD_MATERIAL_CLASSIFY2_011708 = "011708";

    /**
     * 食材二级分类-棒冰|冰激凌类
     */
    String FOOD_MATERIAL_CLASSIFY2_011709 = "011709";

    /**
     * 食材二级分类-植物蛋白饮料
     */
    String FOOD_MATERIAL_CLASSIFY2_011710 = "011710";

    /**
     * 食材二级分类-固体饮料
     */
    String FOOD_MATERIAL_CLASSIFY2_011711 = "011711";

    /**
     * 食材二级分类-海产类及制品
     */
    String FOOD_MATERIAL_CLASSIFY2_011202 = "011202";

    /**
     * 食材二级分类-根茎类
     */
    String FOOD_MATERIAL_CLASSIFY2_010702 = "010702";

    /**
     * 食材二级分类-鲜豆类
     */
    String FOOD_MATERIAL_CLASSIFY2_010703 = "010703";

    /**
     * 食材二级分类-茄果/瓜果类
     */
    String FOOD_MATERIAL_CLASSIFY2_010704 = "010704";

    /**
     * 食材二级分类-葱蒜类
     */
    String FOOD_MATERIAL_CLASSIFY2_010705 = "010705";

    /**
     * 食材二级分类-嫩茎|叶|花菜类
     */
    String FOOD_MATERIAL_CLASSIFY2_010706 = "010706";

    /**
     * 食材二级分类-水生蔬菜类
     */
    String FOOD_MATERIAL_CLASSIFY2_010707 = "010707";

    /**
     * 食材二级分类-薯芋类
     */
    String FOOD_MATERIAL_CLASSIFY2_010708 = "010708";

    /**
     * 食材二级分类-野生蔬菜类
     */
    String FOOD_MATERIAL_CLASSIFY2_010709 = "010709";

    /**
     * 加工食品一级分类-蛋类
     */
    String FOOD_PROCESS_CLASSIFY1_0224 = "0224";

    /**
     * 加工食品一级分类-菜类
     */
    String FOOD_PROCESS_CLASSIFY1_0221 = "0221";

    /**
     * 加工食品一级分类-流食类
     */
    String FOOD_PROCESS_CLASSIFY1_0222 = "0222";

    /**
     * 加工食品一级分类-汤类
     */
    String FOOD_PROCESS_CLASSIFY1_0223 = "0223";

    /**
     * 加工食品一级分类-主食类
     */
    String FOOD_PROCESS_CLASSIFY1_0220 = "0220";

    /**
     * 加工食品二级分类-菜类-荤菜
     */
    String FOOD_PROCESS_CLASSIFY2_022101 = "022101";

    /**
     * 加工食品二级分类-菜类-次荤菜
     */
    String FOOD_PROCESS_CLASSIFY2_022102 = "022102";

    /**
     * 加工食品二级分类-菜类-素菜
     */
    String FOOD_PROCESS_CLASSIFY2_022103 = "022103";

    /**
     * 加工食品二级分类-汤类-素汤
     */
    String FOOD_PROCESS_CLASSIFY2_022302 = "022302";


    /**
     * 加工食品三级分类-菜类-荤菜-动物内脏类荤菜
     */
    String FOOD_PROCESS_CLASSIFY3_02210101 = "02210101";

    /**
     * 加工食品三级分类-菜类-次荤菜-动物内脏类次荤
     */
    String FOOD_PROCESS_CLASSIFY3_02210201 = "02210201";

    /**
     * 加工食品三级分类-菜类-荤菜-禽肉类荤菜
     */
    String FOOD_PROCESS_CLASSIFY3_02210102 = "02210102";

    /**
     * 加工食品三级分类-菜类-次荤菜-禽肉类次荤菜
     */
    String FOOD_PROCESS_CLASSIFY3_02210202 = "02210202";

    /**
     * 加工食品三级分类-菜类-荤菜-水产品类荤菜
     */
    String FOOD_PROCESS_CLASSIFY3_02210104 = "02210104";

    /**
     * 加工食品三级分类-菜类-次荤菜-水产品类次荤
     */
    String FOOD_PROCESS_CLASSIFY3_02210204 = "02210204";


    /**
     * 加工食品三级分类-菜类-素菜-大豆类
     */
    String FOOD_PROCESS_CLASSIFY3_02210310 = "02210310";

    /**
     * 加工食品三级分类-菜类-素菜-葱蒜类
     */
    String FOOD_PROCESS_CLASSIFY3_02210304 = "02210304";


    /**
     * 加工食品三级分类-菜类-素菜-嫩茎/叶/花菜类
     */
    String FOOD_PROCESS_CLASSIFY3_02210305 = "02210305";
    /**
     * 加工食品三级分类-菜类-素菜-薯芋类
     */
    String FOOD_PROCESS_CLASSIFY3_02210307 = "02210307";

    /**
     * 加工食品三级分类-菜类-素菜-菌藻类
     */
    String FOOD_PROCESS_CLASSIFY3_02210309 = "02210309";


    /**
     * 高含量营养素  100g含钠≥450mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_SODIUM_LIMIT = BigDecimal.valueOf(450);

    /**
     * 高含量营养素  100g含碘≥80μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_IODINE_LIMIT = BigDecimal.valueOf(80);

    /**
     * 高含量营养素  100g含磷≥216mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_PHOSPHORUS_LIMIT = BigDecimal.valueOf(216);

    /**
     * 高含量营养素  100g含铜≥0.24mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_COPPER_LIMIT = BigDecimal.valueOf(0.24);

    /**
     * 高含量营养素  100g含氟≥0.45mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_FLUORINE_LIMIT = BigDecimal.valueOf(0.45);

    /**
     * 高含量营养素  100g含锰≥1.35mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_MANGANESE_LIMIT = BigDecimal.valueOf(1.35);

    /**
     * 高含量营养素  100g含钙≥100mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_CALCIUM_LIMIT = BigDecimal.valueOf(100);

    /**
     * 高含量营养素  100g含钾≥330mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_POTASSIUM_LIMIT = BigDecimal.valueOf(330);

    /**
     * 高含量营养素  100g含镁≥99mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_MAGNESIUM_LIMIT = BigDecimal.valueOf(99);

    /**
     * 高含量营养素  100g含铁≥3.6mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_IRON_LIMIT = BigDecimal.valueOf(3.6);

    /**
     * 高含量营养素  100g含锌≥3.75mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_ZINC_LIMIT = BigDecimal.valueOf(3.75);

    /**
     * 高含量营养素  100g含硒≥18μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_SELENIUM_LIMIT = BigDecimal.valueOf(18);

    /**
     * 高含量营养素  100g含铬≥9μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_CHROMIUM_LIMIT = BigDecimal.valueOf(9);

    /**
     * 高含量营养素  100g含胡萝卜素≥1440μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_TOTAL_CAROTENE_LIMIT = BigDecimal.valueOf(1440);

    /**
     * 高含量营养素  100g含维生素A≥240μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_A_LIMIT = BigDecimal.valueOf(240);

    /**
     * 高含量营养素  100g含维生素B1≥0.42mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B1_LIMIT = BigDecimal.valueOf(0.42);

    /**
     * 高含量营养素  100g含维生素B2≥0.21mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B2_LIMIT = BigDecimal.valueOf(0.21);

    /**
     * 高含量营养素  100g含烟酸（别名维生素B3）≥4.5mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B3_LIMIT = BigDecimal.valueOf(4.5);

    /**
     * 高含量营养素  100g含泛酸（别名维生素B5）≥1.5mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B5_LIMIT = BigDecimal.valueOf(1.5);

    /**
     * 高含量营养素  100g含维生素B6≥0.42mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B6_LIMIT = BigDecimal.valueOf(0.42);

    /**
     * 高含量营养素  100g含生物素（别名维生素H）≥12μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_H_LIMIT = BigDecimal.valueOf(12);

    /**
     * 高含量营养素  100g含叶酸（别名维生素B9）≥120μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B9_LIMIT = BigDecimal.valueOf(120);

    /**
     * 高含量营养素  100g含维生素B12≥0.72μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_B12_LIMIT = BigDecimal.valueOf(0.72);

    /**
     * 高含量营养素  100g含维生素C≥30mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_C_LIMIT = BigDecimal.valueOf(30);

    /**
     * 高含量营养素  100g含维生素D≥3μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_D_LIMIT = BigDecimal.valueOf(3);

    /**
     * 高含量营养素   100g含维生素E≥2.1mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_E_LIMIT = BigDecimal.valueOf(2.1);

    /**
     * 高含量营养素  100g含维生素K≥24μg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_VITAMIN_K_LIMIT = BigDecimal.valueOf(24);

    /**
     * 高含量营养素  100g含胆碱≥150mg的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_CHOLINE_LIMIT = BigDecimal.valueOf(150);

    /**
     * 高含量营养素   n-3脂肪酸	 100g含DHA+EPA≥0.1g的食物
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_OMEGA_3_LIMIT = BigDecimal.valueOf(0.1);

    /**
     * 高含量营养素  饱和脂肪酸 饱和脂肪酸/总脂肪酸＞30%
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_SATURATED_FATTY_ACID_LIMIT = BigDecimal.valueOf(30);

    /**
     * 高含量营养素  不饱和脂肪酸	 （单不饱和脂肪酸+多不饱和脂肪酸）/总脂肪酸＞50%
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_UNSATURATED_FATTY_ACID_LIMIT = BigDecimal.valueOf(50);

    /**
     * 高含量营养素  单不饱和脂肪酸		 （单不饱和脂肪酸+多不饱和脂肪酸）/总脂肪酸＞50%&且单不饱和脂肪酸/不饱和脂肪酸＞75%
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_MONOUNSATURATED_FATTY_ACID_LIMIT = BigDecimal.valueOf(75);

    /**
     * 高含量营养素  多不饱和脂肪酸		多不饱和脂肪酸/总脂肪酸＞50%
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_POLYUNSATURATED_FATTY_ACID_LIMIT = BigDecimal.valueOf(50);

    /**
     * 高含量营养素  每100g食物中胆固醇含量≥200mg
     * <p>
     * 备注*加工食品：蛋类（早餐）除外；食材：蛋类及制品除外(蛋类不打高胆固醇的标签)
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_CHOLESTEROL_LIMIT = BigDecimal.valueOf(200);

    /**
     * 高含量营养素  100g食物中膳食纤维≥7.5g或100g食物中不溶性膳食纤维≥7.5g
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_DIETARY_FIBER_LIMIT = new BigDecimal("7.5");

    /**
     * 高含量营养素  100g含能量≥400kcal的食物
     */
    Integer HIGH_CONTENT_NUTRIENTS_ENERGY_LIMIT = 400;

    /**
     * 高含量营养素  每100g食物中脂肪含量≥20g；
     */
    BigDecimal HIGH_CONTENT_NUTRIENTS_FAT_LIMIT = BigDecimal.valueOf(20);

    /**
     * 蛋白质  每100g食物中脂肪含量≥18g；
     */
    BigDecimal PROTEIN = BigDecimal.valueOf(18);

    /**
     * 碳水化合物  每100g食物中脂肪含量≥60g；
     */
    BigDecimal CARBOHYDRATE = BigDecimal.valueOf(60);

    /**
     * 低量营养素 30 钠	 100g含钠＜120mg的食物
     */
    BigDecimal LOW_CONTENT_NUTRIENTS_SODIUM_LIMIT = BigDecimal.valueOf(120);

    /**
     * 低量营养素 18 碘	 100g含碘＜12μg的食物
     */
    BigDecimal LOW_CONTENT_NUTRIENTS_IODINE_LIMIT = BigDecimal.valueOf(12);

    /**
     * 低量营养素 31 热量	 100g ＜ 100 kcal(加工食品) 100g ＜ 40 kcal(食材)
     */
    int LOW_HEAT_LIMIT = 100;
    int LOW_HEAT_FOOD_LIMIT = 40;

    /**
     * 低量营养素 32 糖	 100g食物中碳水化合物含糖＜=5g
     */
    BigDecimal LOW_SUGAR_LIMIT = BigDecimal.valueOf(5);


    /**
     * 升糖指数等级 低	 GI值≤55
     */
    BigDecimal GI_LEVEL_LOW_LIMIT = BigDecimal.valueOf(55);

    /**
     * 升糖指数等级 高 GI值≥70
     */
    BigDecimal GI_LEVEL_HIGH_LIMIT = BigDecimal.valueOf(70);


    /**
     * 血糖负荷等级 低	 GL值≤10
     */
    BigDecimal GL_LEVEL_LOW_LIMIT = BigDecimal.valueOf(10);

    /**
     * 血糖负荷等级 高 GL值 ≥20
     */
    BigDecimal GL_LEVEL_HIGH_LIMIT = BigDecimal.valueOf(20);

    /**
     * 嘌呤等级 低	 每100g食物嘌呤含量＜50mg
     */
    BigDecimal PURINE_LEVEL_LOW_LIMIT = BigDecimal.valueOf(50);

    /**
     * 嘌呤等级 高 每100g食物嘌呤含量>150mg
     */
    BigDecimal PURINE_LEVEL_HIGH_LIMIT = BigDecimal.valueOf(150);


    /**
     * 单位 g
     */
    String UNIT_G = "g";

    /**
     * 单位 mg
     */
    String UNIT_MG = "mg";

    /**
     * 单位 μg
     */
    String UNIT_UG = "μg";


    /**
     * 单位 μgRAE
     */
    String UNIT_UG_RAE = "μgRAE";


    /**
     * 食物版本号 3.7
     */
    String FOOD_VERSION_3_7 = "3.7";
}

