package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 字典code enum
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum BaseDictEnum {

    /**
     * 硬件库_品牌
     */
    BRAND("10", "1001", "品牌"),
    /**
     * 硬件库_型号
     */
    MODEL("10", "1002", "型号"),
    /**
     * 硬件库_通讯方式
     */
    COMMUNICATION("10", "1003", "通讯方式"),
    /**
     * 硬件库_业务类型
     */
    BIZ_TYPE("10", "1004", "业务类型"),

    /**
     * 食物_推荐/禁忌人群
     */
    FOOD_RECOMMEND_TABOO_CROWDS("02", "0205", "食物推荐/禁忌人群"),

    /**
     * 食物_富含营养素
     */
    FOOD_HIGH_CONTENT_NUTRIENTS("02", "0206", "食物富含营养素"),

    /**
     * 食物_低量营养素
     */
    FOOD_LOW_CONTENT_NUTRIENTS("02", "0218", "食物低量营养素"),

    /**
     * 膳食特点（食材）
     */
    FOOD_MATERIAL_SPECIALTIES("02", "0214", "膳食特点（食材）"),

    /**
     * 膳食特点（加工食品）
     */
    FOOD_PROCESS_SPECIALTIES("02", "0224", "膳食特点（加工食品）"),


    /**
     * 食物_烹饪特点
     */
    FOOD_COOKING_SPECIALTIES("02", "0219", "食物烹饪特点"),

    /**
     * 性质（加工食品）
     */
    FOOD_PROCESS_NATURES("02", "0215", "性质（加工食品）"),

    /**
     * 性质（食材）
     */
    FOOD_MATERIAL_NATURES("02", "0225", "性质（加工食品）"),

    /**
     * 食物-国家及地区
     */
    FOOD_COUNTRY_DISTRICTS("02", "0202", "国家及地区"),

    /**
     * 食物-时令
     */
    FOOD_MONTHS("02", "0204", "时令"),

    /**
     * 食物-禁忌民族
     */
    FOOD_TABOO_NATIONS("02", "0207", "禁忌民族"),

    /**
     * 口味（加工食品）
     */
    FOOD_TASTES("02", "0201", "口味（加工食品）"),

    /**
     * 食物-烹饪方式
     */
    FOOD_COOKING_STYLE("02", "0203", "烹饪方式"),

    /**
     * 食物-净含量单位
     */
    FOOD_NET_CONTENT_UNIT("02", "0220", "净含量单位"),

    /**
     * 食物-品牌
     */
    FOOD_BRAND("02", "0221", "品牌"),

    /**
     * 食物-甲减禁忌食材
     */
    FOOD_TSH_TABOO_FOOD_IDS("02", "0222", "甲减禁忌食材"),

    /**
     * 食物-扩展单位
     */
    FOOD_EXTENSION_UNIT("02", "0208", "食物扩展单位"),
    /**
     * 食物-驳回理由
     */
    FOOD_REASONS_FOR_REJECTION("02", "0223", "食物驳回理由"),

    /**
     * 华为食物-扩展单位
     */
    HW_EXTENSION_UNIT("90", "9001", "华为食物扩展单位"),
    /**
     * 华为食物-驳回理由
     */
    HW_AUDIT_MSG("90", "9002", "华为食物驳回理由"),
    /**
     * 华为食物-烹饪方式
     */
    HW_COOK_STYLE("90", "9003", "华为加工食品烹饪方式"),

    /**
     * 国外食物库版本号
     */
    FOREIGN_FOOD_VERSIONS("90", "9006", "国外食物库版本号"),


    /**
     * 食物-配餐版本号(适用于:食材/加工食品/预加工食品)
     */
    FOOD_VERSIONS("02", "0229", "配餐版本号"),

    /**
     * 致敏原，适用于食材、加工食品
     */
    FOOD_ALLERGEN("02", "0234", "致敏原"),

    /**
     * 适合餐别 字典大类 02 字典子类 0226(加工食品)
     */
    FOOD_SUITABLE_FOR_MEALS("02", "0226", "适合餐别"),

    /**
     * 节日 字典大类 02 字典子类 0227(加工食品)
     */
    FOOD_FESTIVAL("02", "0227", "节日"),

    /**
     * 节气 字典大类 02 字典子类 0228(加工食品)
     */
    FOOD_SOLAR_TERM("02", "0228", "节气"),

    /**
     * 高尿酸败血症、痛风禁忌食材
     */
    HYPERURICEMIA_AND_GOUT_TABOO_FOOD_IDS("02", "0230", "高尿酸败血症、痛风禁忌食材"),

    /**
     * 甲亢、碘过量禁忌食材
     */
    IODINE_OVERDOSE_TABOO_FOOD_IDS("02", "0231", "甲亢、碘过量禁忌食材"),
    ;

    private final String dictType;

    private final String dictSubType;

    private final String description;


    public static BaseDictEnum getEnum(String dictType) {
        BaseDictEnum[] values = values();
        if (dictType == null) {
            return null;
        }
        for (BaseDictEnum value : values) {
            if (dictType.equals(value.dictType)) {
                return value;
            }
        }
        return null;
    }

}
