package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 健康小工具头图位置枚举
 */
@Getter
@AllArgsConstructor
public enum GadgetsTopImageTypeEnum {


    YYPK("1", "营养pk"),
    SCZSXZSC("2", "私厨助手选择食材"),
    SCZSCD("3", "私厨助手菜单"),
    MRZSTZ("4", "每日知识挑战"),

    ;

    /**
     * redis key
     */
    private String code;

    /**
     * 描述
     */
    private String describe;


    public String getDescribe() {
        return this.describe;
    }
    public String getKey() {
        return this.code;
    }


    public static GadgetsTopImageTypeEnum getEnum(String code) {
        GadgetsTopImageTypeEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (GadgetsTopImageTypeEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
