package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通用的有效标识
 * @author ：wangyalei
 * @date ：Created in 2021/5/6 11:51 上午
 */
@Getter
@AllArgsConstructor
public enum GenericValidStatusEnum {
    /**
     * 有效
     */
    VALID("1", "启用"),
    /**
     * 无效
     */
    INVALID("2", "停用");



    private final String status;

    private final String describe;


    public static GenericValidStatusEnum getEnum(String status) {
        GenericValidStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (GenericValidStatusEnum value : values) {
            if (status.equals(value.getStatus())) {
                return value;
            }
        }
        return null;
    }
}
