package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author ：wangyalei
 * @date ：2021/11/21 4:08 下午
 */
@Getter
@AllArgsConstructor
public enum HealthAssessmentCoverConfigEnum {
    /**
     * 运动干预方案
     */
    EXERCISE("032501", "运动干预方案"),
    /**
     * 生活方式
     */
    LIFE_STYLE("190101", "生活方式"),
    /**
     * 效果评估
     */
    EFFECT_APPRAISAL("200101", "效果评估"),
    /**
     * 健康评估
     */
    HEALTH_ASSESSMENT("012502", "健康评估"),

    /**
     * 饮食干预方案
     */
    DIET("020501", "饮食干预方案");




    private final String type;

    private final String describe;


    public static HealthAssessmentCoverConfigEnum getEnum(String type) {
        HealthAssessmentCoverConfigEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (HealthAssessmentCoverConfigEnum value : values) {
            if (type.equals(value.getType())) {
                return value;
            }
        }
        return null;
    }
}
