package com.jiankangyouyi.cloud.basedata.enums;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.SingleChoiceMainOption;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 民族枚举
 *
 * @author jingpeng
 */
@Getter
@AllArgsConstructor
public enum NationEnum {

    /**
     * 汉族
     */
    HAN("1","汉族"),

    /**
     * 蒙古族
     */
    MENGGU("2","蒙古族"),

    /**
     * 回族
     */
    HUI("3","回族"),

    /**
     * 藏族
     */
    ZANG("4","藏族"),

    /**
     * 维吾尔族
     */
    WEI_WU_ER("5","维吾尔族"),

    /**
     * 苗族
     */
    MIAO("6","苗族"),

    /**
     * 彝族
     */
    LI("7","彝族"),

    /**
     * 壮族
     */
    ZHUANG("8","壮族"),

    /**
     * 布依族
     */
    BU_YI("9","布依族"),

    /**
     * 朝鲜族
     */
    CHAO_XIAN("10","朝鲜族"),

    /**
     * 满族
     */
    MAN("11","满族"),

    /**
     * 侗族
     */
    TONG("12","侗族"),

    /**
     * 瑶族
     */
    YAO("13","瑶族"),

    /**
     * 白族
     */
    BAI("14","白族"),

    /**
     * 土家族
     */
    TU_JIA("15","土家族"),

    /**
     * 哈尼族
     */
    HA_NI("16","哈尼族"),

    /**
     * 哈萨克族
     */
    HA_SA_KE("17","哈萨克族"),

    /**
     * 傣族
     */
    DAI("18","傣族"),

    /**
     * 黎族
     */
    LI_ZU("19","黎族"),

    /**
     * 傈僳族
     */
    LISU("20","傈僳族"),

    /**
     * 佤族
     */
    WA("21","佤族"),

    /**
     * 畲族
     */
    SHE("22","畲族"),

    /**
     * 高山族
     */
    GAO_SHAN("23","高山族"),

    /**
     * 拉祜族
     */
    LA_HU("24","拉祜族"),

    /**
     * 水族
     */
    SHUI("25","水族"),

    /**
     * 东乡族
     */
    DONG_XIANG("26","东乡族"),

    /**
     * 纳西族
     */
    NA_XI("27","纳西族"),

    /**
     * 景颇族
     */
    JINGPO("28","景颇族"),

    /**
     * 柯尔克孜族
     */
    KE_ER_KE_ZI("29","柯尔克孜族"),

    /**
     * 土族
     */
    TU("30","土族"),

    /**
     * 达斡尔族
     */
    DAUR("31","达斡尔族"),

    /**
     * 仫佬族
     */
    MULAM("32","仫佬族"),

    /**
     * 羌族
     */
    WU("33","羌族"),

    /**
     * 布朗族
     */
    BU_LANG("34","布朗族"),

    /**
     * 撒拉族
     */
    SA_LA("35","撒拉族"),

    /**
     * 毛难族
     */
    MAO_NAN("36","毛难族"),

    /**
     * 仡佬族
     */
    YI_LAO("37","仡佬族"),

    /**
     * 锡伯族
     */
    XI_BO("38","锡伯族"),

    /**
     * 阿昌族
     */
    A_CHANG("39","阿昌族"),

    /**
     * 普米族
     */
    PU_MI("40","普米族"),

    /**
     * 塔吉克族
     */
    TA_JI_KE("41","塔吉克族"),

    /**
     * 怒族
     */
    NU("42","怒族"),

    /**
     * 乌孜别克族
     */
    WU_ZI_BIE_KE("43","乌孜别克族"),

    /**
     * 俄罗斯族
     */
    E_LUO_SI("44","俄罗斯族"),

    /**
     * 鄂温克族
     */
    E_WEN_KE("45","鄂温克族"),

    /**
     * 崩龙族
     */
    BENG_LONG("46","崩龙族"),

    /**
     * 保安族
     */
    BAO_AN("47","保安族"),

    /**
     * 裕固族
     */
    YU_GU("48","裕固族"),

    /**
     * 京族
     */
    JING("49","京族"),

    /**
     * 塔塔尔族
     */
    TA_TA_ER("50","塔塔尔族"),

    /**
     * 独龙族
     */
    DU_LONG("51","独龙族"),

    /**
     * 鄂伦春族
     */
    E_LUN_CHUN("52","鄂伦春族"),

    /**
     * 赫哲族
     */
    HE_ZHE("53","赫哲族"),

    /**
     * 门巴族
     */
    MEN_BA("54","门巴族"),

    /**
     * 珞巴族
     */
    LUO_BA("55","珞巴族"),

    /**
     * 基诺族
     */
    JI_NUO("56","基诺族"),
    ;

    private String code;
    private String comment;


    public String code() {
        return code;
    }

    public String comment() {
        return comment;
    }


    public static List<SingleChoiceMainOption> getChoiceOptions(){
        List<SingleChoiceMainOption> list = new ArrayList<>();
        int i=0;
        for (NationEnum type : NationEnum.values()){
            i++;
            list.add( SingleChoiceMainOption.builder()
                    .optionCode(String.valueOf(i))
                    .optionValue(String.valueOf(i))
                    .optionContents(Collections.singletonList(type.getComment()))
                    .imageUrls(null)
                    .supplementContents(null)
                    .build());
        }
        return list;
    }
}
