package com.jiankangyouyi.cloud.basedata.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 启用禁用状态
 *
 * @author : wangyalei
 * @date Date : 2022年01月18日
 */
@AllArgsConstructor
@Getter
public enum OnOffStatusEnum{
    /**
     * 禁用
     */
    OFF(0, "禁用"),

    /**
     * 启用
     */
    ON(1, "启用"),

    ;

    private Integer status;

    /**
     * 描述
     */
    private String description;


    public static OnOffStatusEnum getEnum(Integer status) {
        OnOffStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (OnOffStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

}
