package com.jiankangyouyi.cloud.basedata.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 记录日志操作类型
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum OperateTypeEnum implements BaseEnum {

    /**
     * 账号保存
     */
    ACCOUNT_SAVE("ACCOUNT_SAVE", "保存"),

    /**
     * 账号修改
     */
    ACCOUNT_UPDATE("ACCOUNT_UPDATE", "修改"),

    /**
     * 账号删除
     */
    ACCOUNT_DELETE("ACCOUNT_DELETE", "删除"),

    /**
     * 食材状态修改
     */
    FOOD_MATERIAL_STATUS_UPDATE("FOOD_MATERIAL_STATUS_UPDATE", "食材状态修改"),

    /**
     * 加工食品状态修改
     */
    FOOD_PROCESS_STATUS_UPDATE("FOOD_PROCESS_STATUS_UPDATE", "加工食品状态修改"),

    /**
     * 预包装食品修改
     */
    FOOD_PACKAGE_STATUS_UPDATE("FOOD_PACKAGE_STATUS_UPDATE", "预包装食品修改"),
    /**
     * 食材审核状态修改
     */
    FOOD_MATERIAL_AUDIT_STATUS_UPDATE("FOOD_MATERIAL_AUDIT_STATUS_UPDATE", "食材审核状态修改"),

    /**
     * 加工食品审核状态修改
     */
    FOOD_PROCESS_AUDIT_STATUS_UPDATE("FOOD_PROCESS_AUDIT_STATUS_UPDATE", "加工食品审核状态修改"),

    /**
     * 预包装食品审核状态修改
     */
    FOOD_PACKAGE_AUDIT_STATUS_UPDATE("FOOD_PACKAGE_AUDIT_STATUS_UPDATE", "预包装食品审核状态修改"),

    /**
     * 食材保存
     */
    FOOD_MATERIAL_SAVE("FOOD_MATERIAL_SAVE", "食材保存"),
    /**
     * 食材保存草稿
     */
    FOOD_MATERIAL_SAVE_DRAFT("FOOD_MATERIAL_SAVE_DRAFT", "食材保存草稿"),

    /**
     * 加工食品保存
     */
    FOOD_PROCESS_SAVE("FOOD_PROCESS_SAVE", "加工食品保存"),
    /**
     * 加工食品保存草稿
     */
    FOOD_PROCESS_SAVE_DRAFT("FOOD_PROCESS_SAVE_DRAFT", "加工食品保存草稿"),

    /**
     * 预包装食品保存
     */
    FOOD_PACKAGE_SAVE("FOOD_PACKAGE_SAVE", "预包装食品保存"),
    /**
     * 预包装食品保存草稿
     */
    FOOD_PACKAGE_SAVE_DRAFT("FOOD_PACKAGE_SAVE_DRAFT", "预包装食品保存草稿"),
    /**
     * 运动现代库修改
     */
    EXERCISE_MODERN_ACTION_UPDATE("EXERCISE_MODERN_ACTION_UPDATE", "运动现代库修改"),
    /**
     * 现代运动库启用禁用
     */
    EXERCISE_MODERN_ACTION_ON_OFF("EXERCISE_MODERN_ACTION_ON_OFF", "现代运动库启用禁用"),
    /**
     * 休息视频库更新
     */
    REST_VIDEO_UPDATE("REST_VIDEO_UPDATE", "休息视频库更新"),
    /**
     * 休息视频库删除
     */
    REST_VIDEO_DELETE("REST_VIDEO_DELETE", "休息视频库删除"),


    ;

    private final String code;
    private final String message;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }

    public static OperateTypeEnum getEnum(String code) {
        OperateTypeEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (OperateTypeEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
