package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 七牛云存储空间
 *
 * @author yangsongbo
 */
@Getter
@AllArgsConstructor
public enum QiniuBucketEnum {

    /**
     * jkyy
     */
    JKYY("jkyy"),

    /**
     * jkyy-private
     */
    JKYY_PRIVATE("jkyy-private"),
    /**
     * jkyy-av
     */
    JKYY_AV("jkyy-av"),
    /**
     * jkyy-video-private
     */
    JKYY_VIDEO_PRIVATE("jkyy-video-private"),

    /**
     * 食物识别图片存储，使用低频存储
     */
    JKYY_FOOD_RECOGNITION("jkyy-food-recognition"),

    /**
     * 健康有益
     */
    JKYY_FOREIGN("jkyy-foreign");

    private String bucket;


    public static QiniuBucketEnum getEnum(String bucket) {
        QiniuBucketEnum[] values = values();
        if (bucket == null) {
            return null;
        }
        for (QiniuBucketEnum value : values) {
            if (bucket.equals(value.bucket)) {
                return value;
            }
        }
        return null;
    }
}
