package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 问题类型
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum QuestionTypeEnum {


    /**
     * 单选题
     */
    SINGLE_CHOICE("1", "单选题"),

    /**
     * 多选题
     */
    MULTIPLE_CHOICE("2", "多选题"),

    /**
     * 性别题
     */
    GENDER_CHOICE("3", "性别题"),

    /**
     * 出生日期题
     */
    BIRTHDAY_CHOICE("4", "出生日期题"),

    /**
     * 单项数字题
     */
    SINGLE_NUMBER_CHOICE("5", "单项数字题"),

    /**
     * 多项数字题
     */
    MULTIPLE_NUMBER_CHOICE("6", "多项数字题"),

    /**
     * BMI题
     */
    BMI_CHOICE("7", "BMI题"),

    /**
     * 日期题
     */
    DATE_CHOICE("8", "日期题"),

    ;

    private String questionType;

    private String describe;


    public static QuestionTypeEnum getEnum(String questionType) {
        QuestionTypeEnum[] values = values();
        if (questionType == null) {
            return null;
        }
        for (QuestionTypeEnum value : values) {
            if (questionType.equals(value.questionType)) {
                return value;
            }
        }
        return null;
    }

}
