package com.jiankangyouyi.cloud.basedata.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 保存类型
 *
 * @author 王亚雷
 */
@Getter
@AllArgsConstructor
public enum SaveTypeEnum implements BaseEnum {

    /**
     * 普通保存
     */
    COMMON_SAVE("1", "普通保存"),

    /**
     * 草稿保存
     */
    DRAFT_SAVE("2", "草稿保存"),


    ;

    private final String code;
    private final String message;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }

    public static SaveTypeEnum getEnum(String code) {
        SaveTypeEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (SaveTypeEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
