package com.jiankangyouyi.cloud.basedata.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 启用/禁用状态
 */
@Getter
@AllArgsConstructor
public enum UseFlagEnum {

    /**
     * 单选题
     */
    USS_ABLE("1", "启用"),

    DISABLE("0", "禁用");

    /**
     * redis key
     */
    private String code;

    /**
     * 描述
     */
    private String describe;


    public String getDescribe() {
        return this.describe;
    }
    public String getKey() {
        return this.code;
    }


    public static UseFlagEnum getEnum(String code) {
        UseFlagEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (UseFlagEnum value : values) {
            if (code.equals(value.code)) {
                return value;
            }
        }
        return null;
    }
}
