package com.jiankangyouyi.cloud.basedata.enums.baidu;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 百度鉴权认证机制 错误信息
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum AccessTokenErrorEnum {

    /**
     * API Key不正确
     */
    API_KEY_ERROR("unknown client id", "API Key不正确"),

    /**
     * Secret Key不正确
     */
    SECRET_KEY_ERROR("Client authentication failed", "Secret Key不正确"),



    ;

    private String error;

    private String description;


    public static AccessTokenErrorEnum getEnum(String error) {
        AccessTokenErrorEnum[] values = values();
        if (error == null) {
            return null;
        }
        for (AccessTokenErrorEnum value : values) {
            if (error.equals(value.error)) {
                return value;
            }
        }
        return null;
    }

}
