package com.jiankangyouyi.cloud.basedata.enums.classify;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 问题分类级别
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum BaseDataClassifyEnum {


    /**
     * 顶级分类parentId值
     */
    PARENT("0", "顶级分类parentId值"),

    ;

    private final String classifyValue;

    private final String describe;


    public static BaseDataClassifyEnum getEnum(String classifyValue) {
        BaseDataClassifyEnum[] values = values();
        if (classifyValue == null) {
            return null;
        }
        for (BaseDataClassifyEnum value : values) {
            if (classifyValue.equals(value.classifyValue)) {
                return value;
            }
        }
        return null;
    }

}
