package com.jiankangyouyi.cloud.basedata.enums.classify;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 分类业务属性
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum BizPropertyEnum {

    /**
     * 食材库
     */
    FOOD("1", "食材库"),

    /**
     * 加工食品库
     */
    PROCESSED_FOOD("2", "加工食品库"),

    /**
     * 包装食品库
     */
    PACKING_FOOD("3", "包装食品库"),

    /**
     * 中医药材库
     */
    TCM_DRUG("4", "中医药材库"),

    /**
     * 问题库
     */
    QUESTION("5", "问题库"),

    /**
     * 指标库
     */
    TARGET("6", "指标库"),

    /**
     * 科普知识问答
     */
    KPZSWD("7", "科普知识问答"),

    /**
     * 硬件库
     */
    HARDWARE("8", "硬件库"),
    /**
     * 文章库
     */
    ARTICLE("9", "文章库"),

    /**
     * 项目权限管理
     */
    PROJECT("10", "项目权限管理"),

    /**
     * 疾病库
     */
    DISEASE("11", "疾病库"),
    /**
     * 新科普知识问答
     */
    XKPZSWD("12", "新科普知识问答"),


    /**
     * 基础库
     */
    BASE_LIBRARY("13", "基础库"),


    /**
     * 标签库
     */
    TAG_LIBRARY("14", "标签库"),

    /**
     * 海外-食材库
     */
    HW_MATERIA_FOOD("90", "海外-食材库"),
    
    /**
     * 海外-加工食品库
     */
    HW_PROCESS_FOOD("91", "海外-加工食品库"),

    /**
     * 海外-预包装食品库
     */
    HW_PACKAGE_FOOD("92", "海外-预包装食品库"),


    ;

    private String bizProperty;

    private String describe;


    public static BizPropertyEnum getEnum(String bizProperty) {
        BizPropertyEnum[] values = values();
        if (bizProperty == null) {
            return null;
        }
        for (BizPropertyEnum value : values) {
            if (bizProperty.equals(value.bizProperty)) {
                return value;
            }
        }
        return null;
    }

}
