package com.jiankangyouyi.cloud.basedata.enums.disease;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 排序方式
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum OrderSortEnum implements BaseEnum {

    /**
     * 创建时间
     */
    DESC("DESC", "降序"),

    /**
     * 升序
     */
    ASC("ASC", "升序"),

    ;

    private String sortType;

    private String describe;


    public static OrderSortEnum getEnum(String sortType) {
        OrderSortEnum[] values = values();
        if (sortType == null) {
            return null;
        }
        for (OrderSortEnum value : values) {
            if (sortType.equals(value.sortType)) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return this.getSortType();
    }

    @Override
    public String message() {
        return this.getDescribe();
    }
}
