package com.jiankangyouyi.cloud.basedata.enums.disease;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 排序字段
 *
 * @author fengxuanjun
 */
@AllArgsConstructor
@Getter
public enum SortFieldEnum implements BaseEnum {

    /**
     * 创建时间
     */
    CREATE_TIME("createTime", "创建时间"),

    /**
     * 修改时间
     */
    UPDATE_TIME("updateTime", "修改时间"),

    ;

    private String field;

    private String describe;


    public static SortFieldEnum getEnum(String field) {
        SortFieldEnum[] values = values();
        if (field == null) {
            return null;
        }
        for (SortFieldEnum value : values) {
            if (field.equals(value.field)) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return this.getField();
    }

    @Override
    public String message() {
        return this.describe;
    }
}
