package com.jiankangyouyi.cloud.basedata.enums.export;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 后台管理数据导出位置
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum ExportLocationEnum implements BaseEnum {


    /**
     * 食物库
     */
    FOOD("FOOD", "食物库"),


    /**
     * 海外食物库
     */
    FOREIGN_FOOD("FOREIGN_FOOD", "海外食物库"),

    /**
     * 知识问答库
     */
    KNOWLEDGE("KNOWLEDGE", "知识问答库"),

    ;

    private final String code;

    private final String message;


    public static ExportLocationEnum getEnum(String exportStatus) {
        ExportLocationEnum[] values = values();
        if (exportStatus == null) {
            return null;
        }
        for (ExportLocationEnum value : values) {
            if (exportStatus.equals(value.name())) {
                return value;
            }
        }
        return null;
    }


    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
