package com.jiankangyouyi.cloud.basedata.enums.export;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 后台管理数据导出状态
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum ExportStatusEnum implements BaseEnum {


    /**
     * 开始处理
     */
    START("START", "开始处理"),

    /**
     * 查询数据中
     */
    FETCH_DATA("FETCH_DATA", "查询数据中"),

    /**
     * EXCEL生成中
     */
    BUILD_EXCEL("BUILD_EXCEL", "EXCEL生成中"),

    /**
     * 处理完成
     */
    FINISH("FINISH", "处理完成"),

    /**
     * 处理异常
     */
    ERROR("ERROR", "处理异常"),
    ;

    private final String code;

    private final String message;


    public static ExportStatusEnum getEnum(String exportStatus) {
        ExportStatusEnum[] values = values();
        if (exportStatus == null) {
            return null;
        }
        for (ExportStatusEnum value : values) {
            if (exportStatus.equals(value.name())) {
                return value;
            }
        }
        return null;
    }


    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
