package com.jiankangyouyi.cloud.basedata.enums.export;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 后台管理数据导出类型
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum ExportTypeEnum implements BaseEnum {


    /**
     * 食材库
     */
    FOOD_MATERIAL("FOOD_MATERIAL", "食材库"),

    /**
     * 加工食品库
     */
    FOOD_PROCESS("FOOD_PROCESS", "加工食品库"),

    /**
     * 预包装食品库
     */
    FOOD_PACKAGE("FOOD_PACKAGE", "预包装食品库"),

    /**
     * 海外食材库
     */
    FOREIGN_FOOD_MATERIAL("FOREIGN_FOOD_MATERIAL", "海外食材库"),

    /**
     * 海外加工食品库
     */
    FOREIGN_FOOD_PROCESS("FOREIGN_FOOD_PROCESS", "海外加工食品库"),

    /**
     * 海外预包装食品库
     */
    FOREIGN_FOOD_PACKAGE("FOREIGN_FOOD_PACKAGE", "海外预包装食品库"),

    /**
     * 知识问答库
     */
    QUESTIONS_AND_ANSWERS("QUESTIONS_AND_ANSWERS", "知识问答库"),
    ;

    private final String code;

    private final String message;


    public static ExportTypeEnum getEnum(String exportStatus) {
        ExportTypeEnum[] values = values();
        if (exportStatus == null) {
            return null;
        }
        for (ExportTypeEnum value : values) {
            if (exportStatus.equals(value.name())) {
                return value;
            }
        }
        return null;
    }


    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
