package com.jiankangyouyi.cloud.basedata.enums.food;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 食物排行榜-排序方向
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum FoodRankListDirectionEnum implements BaseEnum {

    /**
     * 低含量排行
     */
    LOW("LOW", "低含量排行"),

    /**
     * 高含量排行
     */
    HIGH("HIGH", "高含量排行");

    private final String code;

    private final String message;


    public static FoodRankListDirectionEnum getEnum(String code) {
        FoodRankListDirectionEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (FoodRankListDirectionEnum value : values) {
            if (code.equals(value.getCode())) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
