package com.jiankangyouyi.cloud.basedata.enums.food;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 食物排行榜营养素Enum
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum FoodRankListNutrientEnum implements BaseEnum {

    /**
     * 碳水化合物
     */
    CARBOHYDRATE("carbohydrate", "碳水化合物"),

    /**
     * 脂肪
     */
    FAT("fat", "脂肪"),

    /**
     * 脂肪
     */
    PROTEIN("protein", "蛋白质"),

    /**
     * 膳食纤维
     */
    DIETARY_FIBER("dietaryFiber", "膳食纤维"),

    /**
     * 胆固醇
     */
    CHOLESTEROL("cholesterol", "胆固醇"),


    /**
     * 钙
     */
    CALCIUM("calcium", "钙"),

    /**
     * 铁
     */
    IRON("iron", "铁"),

    /**
     * 锌
     */
    ZINC("zinc", "锌"),

    /**
     * 锰
     */
    MANGANESE("manganese", "锰"),

    /**
     * 镁
     */
    MAGNESIUM("magnesium", "镁"),

    /**
     * 铬
     */
    CHROMIUM("chromium", "铬"),

    /**
     * 钾
     */
    POTASSIUM("potassium", "钾"),

    /**
     * 硒
     */
    SELENIUM("selenium", "硒"),

    /**
     * 钠
     */
    SODIUM("sodium", "钠"),

    /**
     * 碘
     */
    IODINE("iodine", "碘"),


    /**
     * 维生素C
     */
    VITAMIN_C("vitaminC", "维生素C"),

    /**
     * 维生素A
     */
    VITAMIN_A("vitaminA", "维生素A"),

    /**
     * 维生素B1(硫胺素)
     */
    VITAMIN_B1("vitaminB1", "维生素B1(硫胺素)"),

    /**
     * 维生素D
     */
    VITAMIN_D("vitaminD", "维生素D"),

    /**
     * 维生素E
     */
    VITAMIN_E("vitaminE", "维生素E"),

    /**
     * 维生素B2(核黄素)
     */
    VITAMIN_B2("vitaminB2", "维生素B2(核黄素)"),

    /**
     * 维生素B3
     */
    VITAMIN_B3("vitaminB3", "维生素B3"),

    /**
     * 维生素B9(叶酸)
     */
    VITAMIN_B9("vitaminB9", "维生素B9(叶酸)"),

    /**
     * 维生素B6
     */
    VITAMIN_B6("vitaminB6", "维生素B6"),

    /**
     * 维生素B12
     */
    VITAMIN_B12("vitaminB12", "维生素B12"),

    /**
     * 嘌呤
     */
    PURINE("purine", "嘌呤");

    private final String code;

    private final String message;


    public static FoodRankListNutrientEnum getEnum(String code) {
        FoodRankListNutrientEnum[] values = values();
        if (code == null) {
            return null;
        }
        for (FoodRankListNutrientEnum value : values) {
            if (code.equals(value.getCode())) {
                return value;
            }
        }
        return null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
