package com.jiankangyouyi.cloud.basedata.enums.hw_food;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 华为食材分类code映射枚举
 * @description: 华为食材一级分类code映射枚举
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2022/4/11 4:59 下午
 */
@AllArgsConstructor
@Getter
public enum HWFoodMaterialClsEnum implements BaseEnum {

    //region 一级分类

    /**
     * 谷物
     */
    CEREAL("9062","谷物"),

    /**
     * 杂豆类及制品
     */
    MIXEDBEANS("9063","杂豆类及制品"),
    /**
     * 薯类
     */
    POTATO("9064","薯类"),

    /**
     * 菌藻类
     */
    ALGAEFUNGI("9065","菌藻类"),


    /**
     * 蔬菜类及制品
     */
    VEGETABLE("9066","蔬菜类及制品"),


    /**
     * 水果类及制品
     */
    FRUITS("9067","水果类及制品"),


    /**
     * 乳类及制品
     */
    MILK("9068","乳类及制品"),


    /**
     * 畜肉类及制品
     */
    MEAT("9069","畜肉类及制品"),


    /**
     * 禽肉类及制品
     */
    POULTRY("9070","禽肉类及制品"),


    /**
     * 水产类及制品
     */
    AQUATIC("9071","水产类及制品"),


    /**
     * 蛋类及制品
     */
    EGG("9072","蛋类及制品"),


    /**
     * 大豆类及制品
     */
    BEANS("9073","大豆类及制品"),


    /**
     * 坚果类及制品
     */
    NUT("9074","坚果类及制品"),


    /**
     * 油脂类及制品
     */
    OIL("9075","油脂类及制品"),
    /**
     * 饮料类
     */
    BEVERAGES("9076","饮料类"),
    /**
     * 调味品
     */
    CONDIMENTS("9077","调味品"),
    /**
     * 糖果/糖/蜂蜜
     */
    SUGARANDHONEY("9078","糖果/糖/蜂蜜"),
    /**
     * 零食
     */
    SNACKS("9079","零食"),
    /**
     * 其他
     */
    OTHER("9080","其他"),

    //endregion
    //region 二级分类
    /**
     * 马铃薯及其制品
     */
    SPUDS("906401","马铃薯和马铃薯制品"),

    //endregion


    ;

    private final String clsCode;
    private final String clsName;
    @Override
    public String code() {
        return getClsCode();
    }

    @Override
    public String message() {
        return getClsName();
    }
}
