package com.jiankangyouyi.cloud.basedata.model.bean;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jiankangyouyi.cloud.core.util.json.serialize.QiniuKeyToUrlJsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 精选食谱详情
 *
 * @author : lvhaoran
 * @date Date : 2022年08月01日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FeaturedRecipesBean {

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 食物id
     */
    private String foodId;

    /**
     * 食物图片
     */
    @JsonSerialize(using = QiniuKeyToUrlJsonSerialize.class)
    private String imageUrl;

    /**
     * 食物质量
     */
    private BigDecimal count;
    /**
     * 食物单位
     */
    private String unit;

    /**
     * 食物热量
     */
    private int energy;
}
