package com.jiankangyouyi.cloud.basedata.model.dto.api;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 动作库搜索
 *
 * @author : lvhaoran
 * @date Date : 2022年04月25日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActionSearchDTO extends AbstractHttpApiRequestDTO {

    @NotBlank(message = "请求参数 keyword 不能为空")
    private String keyword;
    
    @NotNull(message = "请求参数 pageInfo 不能为空")
    private Page pageInfo;
}
