package com.jiankangyouyi.cloud.basedata.model.dto.api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 文本纠错
 *
 * @author : lvhaoran
 * @date Date : 2022年07月14日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AiNlpTextCorrectDTO extends AbstractHttpApiRequestDTO {

    /**
     * 需要纠错的文本
     */
    @NotNull(message = "请求的text不能为空")
    @Size(min = 1, max = 20000, message = "请求的text长度不合法，合理范围1-20000")
    private List<String> text;
}
