package com.jiankangyouyi.cloud.basedata.model.dto.api;

import com.jiankangyouyi.cloud.basedata.model.bean.RecheckResInfoBean;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 语句重复度计算
 *
 * @author : lvhaoran
 * @date Date : 2022年07月14日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AiNlpTextRecheckingDTO extends AbstractHttpApiRequestDTO {

    /**
     * 基本词条数据
     */
    @NotNull(message = "请求的textBase不能为空")
    @Size(min = 1, max = 200000, message = "请求的textBase长度不合法，合理范围1-20000")
    private List<RecheckResInfoBean> textBase;

    /**
     * 待查重的词条数据
     */
    @NotNull(message = "请求的text不能为空")
    @Size(min = 1, max = 100, message = "请求的text长度不合法，合理范围1-100")
    private List<RecheckResInfoBean> text;
}
