package com.jiankangyouyi.cloud.basedata.model.dto.api;

import com.jiankangyouyi.cloud.basedata.model.dto.api.component.MetDurationBean;
import lombok.*;
import org.hibernate.validator.constraints.Range;

import javax.validation.Valid;
import javax.validation.constraints.Digits;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 计算体重指数BMI
 *
 * @author : jingpeng
 * @date Date : 2022年01月18日
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CalculationExerciseEnergyAdviceRequestDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 体重 KG 限制范围 10-200
     */
    @NotBlank(message = "请求参数weight不能为空")
    @Digits(integer = 3, fraction = 1, message = "体重支持1位小数")
    @Range(min = 10, max = 200, message = "体重输入范围10kg-200kg")
    private String weight;

    /**
     * 运动ID与时长集合
     */
    @Valid
    @NotEmpty(message = "请求参数metList不能为空")
    @Size(max = 10000, message = "运动集合metList过多")
    private List<MetDurationBean> metList;

}
