package com.jiankangyouyi.cloud.basedata.model.dto.api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.Digits;
import javax.validation.constraints.NotBlank;

/**
 * 如何减掉1公斤?
 *
 * @author : lvhaoran
 * @date Date : 2022年01月19日
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CalculationSubtractionWeightAdviceDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 体重
     */
    @NotBlank(message = "体重不能为空")
    @Range(min = 25, max = 200, message = "体重输入范围25kg-200kg")
    @Digits(integer = 3, fraction = 1, message = "体重支持1位小数")
    private String weight;

    /**
     * 运动梅脱值
     */
    @NotBlank(message = "运动梅脱值不能为空")
    @DecimalMin(value = "0", message = "运动梅脱值不能小于0")
    @Digits(integer = 3, fraction = 1, message = "运动梅脱值支持1位小数")
    private String metre;

}
