package com.jiankangyouyi.cloud.basedata.model.dto.api;

import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 精选食谱
 *
 * @author : lvhaoran
 * @date Date : 2022年08月04日
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FeaturedRecipesDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    @NotBlank(message = "请求的userId不能为空")
    @Size(max = 64, message = "请求参数userId长度不合法")
    private String userId;
    /**
     * 标签
     */
    @NotBlank(message = "请求的tag不能为空")
    @Size(max = 64, message = "请求参数tag长度不合法")
    private String tag;
    /**
     * 推荐的标签
     */
    private String recipesTag;
}
