package com.jiankangyouyi.cloud.basedata.model.dto.api;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 精选食谱标签
 *
 * @author : lvhaoran
 * @date Date : 2022年08月04日
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FeaturedRecipesTagDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    @NotBlank(message = "请求的userId不能为空")
    @Size(max = 64, message = "请求参数userId长度不合法")
    private String userId;

    /**
     * 分页信息
     */
    @NotNull(message = "请求的page不能为空")
    private Page page;

}
