package com.jiankangyouyi.cloud.basedata.model.dto.api;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * @description: 查询文章api
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/10/27 9:47 上午
 */
@Data
public class FindSensitiveApiRequestDTO extends AbstractHttpApiRequestDTO {
    /**
     * 分页参数
     */
    @NotNull(message = "请求参数page不能为空")
    @Valid
    private Page page;


    /**
     * 1级分类codes
     */
    private Set<String> cls1Codes;
    /**
     * 2级分类codes
     */
    private Set<String> cls2Codes;

    /**
     * 标签
     */
    private Set<String> tags;

}
