package com.jiankangyouyi.cloud.basedata.model.dto.api;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FoodNameDTO extends AbstractHttpApiRequestDTO{

    @NotBlank(message = "foodName is not be null")
    private String foodName;

    /**
     * 分页参数
     */
    @NotNull(message = "请求参数page不能为空")
    @Valid
    private PageInfo pageInfo;


    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class PageInfo{
        @NotNull(message = "pageNum不能为空")
        @Min(value = 1, message = "pageNum必须大于0")
        private int pageNum;
        @NotNull(message = "pageSize不能为空")
        @Min(value = 1, message = "pageSize必须大于0")
        private int pageSize;
    }


}
