package com.jiankangyouyi.cloud.basedata.model.dto.api;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 刷新七牛URL，适用于私有链接的URL有效期刷新
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QiniuUrlRefreshDTO extends AbstractHttpApiRequestDTO {


    /**
     * 传入的URL链接集合
     */
    @Size(max = 100, message = "请求参数urls size不合法")
    @NotEmpty(message = "请求参数urls不能为空")
    private List<String> urls;

}
