package com.jiankangyouyi.cloud.basedata.model.dto.api.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 排行榜查询对象
 *
 * @author yangsongbo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodRankListQuery implements Serializable {

    /**
     * 指定的营养素
     * <p>
     * {@link com.jiankangyouyi.cloud.basedata.enums.food.FoodRankListNutrientEnum}
     */
    @NotBlank(message = "请求参数nutrient不能为空")
    private String nutrient;

    /**
     * 方向： LOW 低含量排行 HIGH 高含量排行
     * <p>
     * {@link com.jiankangyouyi.cloud.basedata.enums.food.FoodRankListDirectionEnum}
     */
    @NotBlank(message = "请求参数direction不能为空")
    private String direction;
}
