package com.jiankangyouyi.cloud.basedata.model.dto.api.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;

/**
 * @author jingpeng
 * @description 梅脱值 与对应的时长
 * @date 2022-01-19
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MetDurationBean {

    /**
     * 梅脱值
     */
    @NotBlank(message = "请求参数 met 不能为空")
    @Range(min = 0, max = 10000, message = "梅脱值非法")
    private String met;

    /**
     * 运动时长 分钟
     */
    @NotBlank(message = "请求参数 duration 不能为空")
    @Range(min = 1, max = 1500, message = "运动时长范围 1-1500")
    private String duration;
}
