package com.jiankangyouyi.cloud.basedata.model.dto.manager;

import com.jiankangyouyi.cloud.basedata.model.dto.api.AbstractHttpApiRequestDTO;
import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.DateValHC;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/2/14 10:21 上午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HealthAssessmentCoverConfigListPageDTO extends AbstractManagerRequestDTO implements ValidDTO {

    /**
     * 应用ID列表
     */
    private List<String> appIds;
    /**
     * 封面类型 {@link com.jiankangyouyi.cloud.basedata.enums.HealthAssessmentCoverConfigEnum}
     */
    @Size(max = 32,message = "请求参数 coverType 超过有效长度 32")
    private String coverType;
    /**
     *  1、启用 2、禁用  {@link com.jiankangyouyi.cloud.core.base.enums.ValidStatusEnum}
     */
    @Size(max = 1,message = "请求参数 validStatus 超过有效长度 1")
    private String validStatus;
    /**
     * 开始时间
     */
    @DateValHC(message = "请求参数 startDate 格式不正确，要求 yyyy-MM-dd HH:mm:ss")
    private String startDate;
    /**
     * 结束时间
     */
    @DateValHC(message = "请求参数 startDate 格式不正确，要求 yyyy-MM-dd HH:mm:ss")
    private String endDate;
    /**
     * 排序 ASC 生序 , DESC 降序
     */
    @Size(max = 4,message = "请求参数 sort 超过有效长度 4")
    private String sort;

    /**
     * 分页信息
     */
    @NotNull(message = "请求参数 page 不能为空")
    private Page page;

}
