package com.jiankangyouyi.cloud.basedata.model.dto.manager;

import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.ServiceArea;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.component.ServiceValue;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/2/14 10:21 上午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HealthAssessmentCoverConfigSaveDTO extends AbstractManagerRequestDTO implements ValidDTO {
    /**
     * 封面id
     */
    private String coverId;
    /**
     * 应用ID
     */
    private String appId;
    /**
     * 封面类型 {@link com.jiankangyouyi.cloud.basedata.enums.HealthAssessmentCoverConfigEnum}
     */
    @NotBlank(message = "请求参数 coverType 不能为空")
    @Size(max = 32,message = "请求参数 coverType 超过有效长度 32")
    private String coverType;
    /**
     * 服务简介
     */
    @NotBlank(message = "请求参数 serviceProfile 不能为空")
    @Size(max = 200,message = "请求参数 serviceProfile 超过有效长度 200")
    private String serviceProfile;
    /**
     * 服务范围
     */
    @NotEmpty(message = "请求参数 serviceAreas 不能为空")
    @Valid
    private List<ServiceArea> serviceAreas;
    /**
     * 服务价值
     */
    @NotEmpty(message = "请求参数 serviceValues 不能为空")
    @Valid
    private List<ServiceValue> serviceValues;
    /**
     * 提示信息
     */
    @Size(max = 50,message = "请求参数 reminder 超过有效长度 50")
    private String reminder;
    /**
     *  1、启用 2、禁用  {@link com.jiankangyouyi.cloud.core.base.enums.ValidStatusEnum}
     */
    @NotBlank(message = "请求参数 validStatus 不能为空")
    @Size(max = 1,message = "请求参数 validStatus 超过有效长度 1")
    private String validStatus;

}
