package com.jiankangyouyi.cloud.basedata.model.dto.manager;

import com.jiankangyouyi.cloud.basedata.api.enums.OpenStatusEnum;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.EnumHC;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/8/4 5:58 下午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HealthTipOpenStatusUpdateDTO extends AbstractManagerRequestDTO implements ValidDTO {
    /**
     * 小贴士ID (知识ID) 列表
     */
    @NotEmpty(message = "请求参数 tipIds 不能为空")
    private List<String> tipIds;
    /**
     * 启用状态 1、启用 2、禁用
     */
    @EnumHC(enumTypes = OpenStatusEnum.class,message = "请求参数 openStatus 不合法")
    @NotBlank(message = "请求参数 openStatus 不能为空")
    private String openStatus;
}
