package com.jiankangyouyi.cloud.basedata.model.dto.manager;

import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author ：wangyalei
 * @date ：2022/8/4 10:04 上午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HealthTipSaveDTO extends AbstractManagerRequestDTO implements ValidDTO {
    /**
     * 小贴士ID (知识ID)
     */
    @Size(max = 32,message = "请求参数 tipId 超过有效长度 32")
    private String tipId;
    /**
     * 小贴士标题
     */
    @NotBlank(message = "请求参数 tipTitle 不能为空")
    @Size(max = 50,message = "请求参数 tipTitle 超过有效长度 50")
    private String tipTitle;
    /**
     * 小贴士内容
     */
    @NotBlank(message = "请求参数 content 不能为空")
    @Size(max = 200,message = "请求参数 content 超过有效长度 200")
    private String content;
    /**
     * 自定义标签
     */
    private List<String> customTags;
}
