package com.jiankangyouyi.cloud.basedata.model.dto.manager;

import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;


/**
 * 生活方式方案组合详情
 * @author ：wangyalei
 * @date ：2022/8/4 5:58 下午
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
public class LifeStyleSchemeDetailDTO extends AbstractManagerRequestDTO implements ValidDTO {
    /**
     * 方案ID
     */
    @NotBlank(message = "请求参数 schemeId 不能为空")
    @Size(max = 32,message = "请求参数 schemeId 超过有效长度 32")
    private String schemeId;
}
