package com.jiankangyouyi.cloud.basedata.model.dto.manager.action;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 现代运动库（新） 列表请求参数
 * @author wangyalei
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseModern2ListDTO implements ValidDTO {
    /**
     * 动作编号
     */
    private String actionId;
    /**
     * 动作名称
     */
    private String actionName;
    /**
     * 器械名称
     */
    private List<String> equipments;
    /**
     * 是否 无动作特点筛选
     */
    private Boolean noActionFeatures;
    /**
     * 动作特点
     */
    private List<String> actionFeatures;
    /**
     * 动作分类
     */
    private List<String> actionClassifications;
    /**
     * 训练肌群/部位
     */
    private List<String> trainPositions;
    /**
     * 动作体位
     */
    private List<String> actionPositions;
    /**
     * 动作难度
     */
    private List<String> actionDifficulties;
    /**
     * 动作强度
     */
    private List<String> actionIntensity;

    /**
     * 视频规格标签
     */
    private List<String> videoLabels;

    /**
     * 教练性别
     */
    private List<String> coachGenders;
    /**
     * 当前状态 （启用、禁用）
     */
    private Integer status;

    /**
     * 分页参数
     */
    @NotNull(message = "请求参数page不能为空")
    @Valid
    private Page page;
}
