package com.jiankangyouyi.cloud.basedata.model.dto.manager.action;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 *
 * @author wangyalei
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExerciseModernListDTO implements ValidDTO {
    /**
     * 动作编号
     */
    private String actionId;
    /**
     * 动作名称
     */
    private String actionName;
    /**
     * 器械名称
     */
    private List<String> equipments;
    /**
     * 动作特点
     */
    private List<String> actionFeatures;
    /**
     * 动作分类
     */
    private List<String> actionClassifications;
    /**
     * 训练肌群/部位
     */
    private List<String> trainPositions;
    /**
     * 动作体位
     */
    private List<String> actionPositions;
    /**
     * 动作难度
     */
    private List<String> actionDifficulties;
    /**
     * 视频规格
     */
    private List<String> videoSizes;

    /**
     * 分页参数
     */
    @NotNull(message = "请求参数page不能为空")
    @Valid
    private Page page;
}
