package com.jiankangyouyi.cloud.basedata.model.dto.manager.action;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 *
 * @author wangyalei
 */
@Data
public class VideoRestListDTO implements ValidDTO {
    /**
     * 视频ID
     */
    private String videoId;
    /**
     * 应用ID
     */
    private String appId;
    /**
     * 视频名称
     */
    private String videoName;
    /**
     * 休息视频类型 1、现代类型  2、传统类型
     */
    private List<String> restVideoType;
    /**
     * 视频规格
     */
    private List<String> videoSizes;
    /**
     * 教练性别
     */
    private List<String> coachGenders;

    /**
     * 分页参数
     */
    @NotNull(message = "请求参数page不能为空")
    @Valid
    private Page page;
}
