package com.jiankangyouyi.cloud.basedata.model.dto.manager.action;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 *
 * @author wangyalei
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class VideoRestUpdateDTO extends AbstractManagerRequestDTO implements ValidDTO {
    /**
     * 视频ID
     */
    @NotBlank(message = "请求参数videoId不能为空")
    @Size(max = 20,message = "请求参数videoId有效长度为20")
    private String videoId;

    /**
     * 视频名称
     */
    @NotBlank(message = "请求参数videoName不能为空")
    @Size(max = 20,message = "请求参数videoName有效长度为20")
    private String videoName;
}
