package com.jiankangyouyi.cloud.basedata.model.dto.manager.article;

import com.jiankangyouyi.cloud.basedata.api.model.entity.article.ArticleInfo;
import com.jiankangyouyi.cloud.basedata.enums.SaveTypeEnum;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.EnumHC;
import lombok.Data;
import lombok.experimental.FieldNameConstants;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @description: 保存文章库
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/10/25 10:26 上午
 */
@Data
@FieldNameConstants
public class SaveArticleRequestDTO extends AbstractManagerRequestDTO {
    /**
     * 保存类型
     * {@link com.jiankangyouyi.cloud.basedata.enums.SaveTypeEnum}
     */
    @NotBlank(message = "请求参数 saveType 不能为空")
    @EnumHC(enumTypes = SaveTypeEnum.class, message = "请求参数auditStatus不合法")
    private String saveType;
    /**
     * 保存信息
     */
    @NotNull(message = "saveInfo not null")
    @Valid
    private ArticleInfo saveInfo;

}
