package com.jiankangyouyi.cloud.basedata.model.dto.manager.article;

import com.jiankangyouyi.cloud.basedata.api.enums.food.AuditStatusValidEnum;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.EnumHC;
import lombok.Data;

import javax.validation.constraints.*;
import java.util.List;
import java.util.Set;

/**
 * @description: 修改审核状态请求dto
 * @author: wangyalei
 * @date: 2021/10/25 1:44 下午
 */
@Data
public class UpdateAuditStatusRequestDTO extends AbstractManagerRequestDTO {
    /**
     * 文章id
     */
    @NotBlank(message = "请求参数 articleId 不能为空")
    @Size(max = 32,message = "请求参数 articleId 超过有效长度 32")
    private String articleId;
    /**
     * 审核状态
     */
    @NotNull(message = "请求参数 auditStatus 不能为空")
    @EnumHC(enumTypes = AuditStatusValidEnum.class, message = "请求参数auditStatus不合法")
    private String auditStatus;
    /**
     * 驳回理由
     */
    private List<String> reasonsForRejection;
}
