package com.jiankangyouyi.cloud.basedata.model.dto.manager.article;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * @description: 修改状态请求dto
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/10/25 1:44 下午
 */
@Data
public class UpdateStatusRequestDTO extends AbstractManagerRequestDTO {
    /**
     * 文章ids
     */
    @NotEmpty(message = "ids not empty")
    private Set<String> ids;
    /**
     * 状态 [1:启用][3:停用]
     */
    @NotNull(message = "status not null")
    @Min(value = 1, message = "status [1:启用][3:停用]")
    @Max(value = 3, message = "status [1:启用][3:停用]")
    private Integer status;
}
