package com.jiankangyouyi.cloud.basedata.model.dto.manager.baidu;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 百度 文本翻译-通用版请求DTO
 *
 * @author qxy
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaiduTexttransRequestDTO extends AbstractManagerRequestDTO{

    private static final long serialVersionUID = 1L;

    /**
     * 翻译源语言	可设置为auto
     */
    @NotBlank(message = "请求参数from不能为空")
    private String from;

    /**
     * 翻译目标语言 不可设置为auto
     */
    @NotBlank(message = "请求参数to不能为空")
    private String to;

    /**
     * 请求翻译query
     */
    @NotBlank(message = "请求参数query不能为空")
    @JsonProperty("query")
    private String q;

}
