package com.jiankangyouyi.cloud.basedata.model.dto.manager.common;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 分类删除参数
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class BaseDataClassifyDeleteDTO extends AbstractManagerRequestDTO implements ValidDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 需要删除的分类Id集合
     */
    @NotNull(message = "请求参数classifyIds不能为空")
    @Size(min = 1, message = "请求参数classifyIds长度不合法")
    private List<String> classifyIds;

}
