package com.jiankangyouyi.cloud.basedata.model.dto.manager.common;

import com.jiankangyouyi.cloud.basedata.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * 分类查询
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseDataClassifyQueryDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 业务属性
     * 1 食材库
     * 2 加工食品库
     * 3 包装食品库
     * 4 中医药材库
     * 5 问题库
     * 6 指标库
     * 7 科普问答库
     * 8 硬件库
     */
    @NotBlank(message = "请求参数bizProperty 不能为空")
    @Pattern(regexp = "(7|9|12)", message = "请求参数bizProperty格式不合法")
    private String bizProperty;

}
