package com.jiankangyouyi.cloud.basedata.model.dto.manager.dict;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/5/6 12:37 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseDictListByPageQueryDTO implements ValidDTO {
    /**
     * 字典大类
     */
    @Size(max = 16, message = "请求参数dictType最大有效长度为16")
    private String dictType;
    /**
     * 字典子类
     */
    @Size(max = 16, message = "请求参数dictSubType最大有效长度为16")
    private String dictSubType;
    /**
     * 字典编码
     */
    @Size(max = 32, message = "请求参数dictCode最大有效长度为32")
    private String dictCode;
    /**
     * 搜索关键字
     */
    @Size(max = 256, message = "请求参数queryKeyword最大有效长度为50")
    private String queryKeyword;
    /**
     * 分页参数
     */
    @Valid
    @NotNull(message = "请求参数page不能为空")
    private Page page;

    public int getStart() {
        return page.start();
    }

    public int getPageSize() {
        return page.getPageSize();
    }
}
