package com.jiankangyouyi.cloud.basedata.model.dto.manager.dict;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.*;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/5/6 10:02 上午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseDictSaveDTO extends AbstractManagerRequestDTO {
    /**
     * 业务主键id
     */
    @Size(max = 32,message = "请求参数dictId最大有效长度为32")
    private String dictId;
    /**
     * 字典大类
     */
    @NotBlank(message = "请求参数dictType不能为空")
    @Size(max = 16,message = "请求参数dictType最大有效长度为16")
    private String dictType;
    /**
     * 字典子类
     */
    @NotBlank(message = "请求参数dictSubType不能为空")
    @Size(max = 16,message = "请求参数dictSubType最大有效长度为16")
    private String dictSubType;
    /**
     * 字典编码
     */
    @NotBlank(message = "请求参数dictCode不能为空")
    @Size(max = 32,message = "请求参数dictCode最大有效长度为32")
    private String dictCode;
    /**
     * 字典名称
     */
    @NotBlank(message = "请求参数dictName不能为空")
    @Size(max = 256,message = "请求参数dictName最大有效长度为256")
    private String dictName;
    /**
     * 排序
     */
    @Max(value= 9999,message = "请求参数rowOrder最大有效长度为4")
    private Integer rowOrder;
    /**
     * 字典描述
     */
    @Size(max = 200,message = "请求参数description最大有效长度为200")
    private String description;
    /**
     * 启用禁用状态 1启用 2禁用
     */
    @NotBlank(message = "请求参数validStatus不能为空")
    @Size(max = 1,message = "请求参数validStatus最大有效长度为1")
    private String validStatus;
}
