package com.jiankangyouyi.cloud.basedata.model.dto.manager.dict;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/5/6 2:51 下午
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseDictTypeSaveDTO extends AbstractManagerRequestDTO {
    /**
     * 业务主键 ID
     */
    @Size(max = 32,message = "请求参数dictTypeId最大有效长度为32")
    private String dictTypeId;
    /**
     * 字典大类
     */
    @NotBlank(message = "请求参数dictType不能为空")
    @Size(max = 16, message = "请求参数dictType长度不合法,最大合法长度为16")
    private String dictType;
    /**
     * 字典子类
     */
    @NotBlank(message = "请求参数dictSubType不能为空")
    @Size(max = 16, message = "请求参数dictSubType长度不合法,最大合法长度为16")
    private String dictSubType;
    /**
     * 字典子类名称
     */
    @NotBlank(message = "请求参数dictSubTypeName不能为空")
    @Size(max = 32, message = "请求参数dictSubTypeName长度不合法,最大合法长度为32")
    private String dictSubTypeName;
    /**
     * 排序
     */
    @Max(value= 9999,message = "请求参数rowOrder最大有效长度为4")
    private Integer rowOrder;
    /**
     * 启用禁用状态 ： 1 启用 2 禁用
     */
    @NotBlank(message = "请求参数validStatus不能为空")
    @Size(max = 1, message = "请求参数validStatus长度不合法,最大合法长度为1")
    private String validStatus;
    /**
     * 字典分类描述
     */
    @Size(max = 20, message = "请求参数description长度不合法,最大合法长度为20")
    private String description;
}
