package com.jiankangyouyi.cloud.basedata.model.dto.manager.dict.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/5/6 2:19 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class BaseDictTypeInfo {
    /**
     * 字典大类
     */
    @NotNull(message = "请求参数dictType不能为空")
    @Size(max = 16, message = "请求参数dictType最大有效长度为16")
    @Pattern(regexp = "(25|11)", message = "请求参数dictType格式不合法")
    private String dictType;
    /**
     * 字典子类
     */
    @NotNull(message = "请求参数dictSubType不能为空")
    @Size(max = 16, message = "请求参数dictSubType最大有效长度为16")
    @Pattern(regexp = "(2504|1101)", message = "请求参数dictSubType格式不合法")
    private String dictSubType;
}
