package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.food.component.FoodProcessMaterialInfo;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 食物元素组成计算请求实体
 *
 * @author ：wangyalei
 * @date ：Created in 2021/4/29 2:45 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodElementComponentCalculateDTO implements ValidDTO {
    /**
     * 食物基本信息列表
     */
    @NotEmpty(message = "请求参数foodBasicList不能为空")
    @Valid
    private List<FoodProcessMaterialInfo> foodBasicList;
}
