package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.food.FoodBasicDO;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.food.FoodMaterialDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/4/26 10:36 下午
 * @description：食材类型操作
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodMaterialOperationDTO extends AbstractManagerRequestDTO {
    /**
     * 食物基本信息数据
     */
    @NotNull(message = "请求参数 foodBasic 不能为空")
    @Valid
    protected FoodBasicDO foodBasic;
    /**
     * 食材信息数据
     */
    @NotNull(message = "请求参数 foodMaterial 不能为空")
    @Valid
    private FoodMaterialDO foodMaterial;

}
