package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.food.FoodBasicDO;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.food.FoodPackageDO;
import lombok.*;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @author ：wangyalei
 * @date ：Created in 2021/4/26 12:41 下午
 * @description：食物库操作
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodPackageOperationDTO extends AbstractManagerRequestDTO {
    /**
     * 食物基本信息数据
     */
    @NotNull(message = "请求参数 foodBasic 不能为空")
    @Valid
    protected FoodBasicDO foodBasic;
    /**
     * 包装食品数据
     */
    @NotNull(message = "请求参数 foodPackage 不能为空")
    @Valid
    private FoodPackageDO foodPackage;

}
