package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.food.FoodBasicDO;
import com.jiankangyouyi.cloud.basedata.model.entity.mongo.food.FoodProcessDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * 加工食品类型操作
 *
 * @author ：wangyalei
 * @date ：Created in 2021/4/26 10:38 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodProcessOperationDTO extends AbstractManagerRequestDTO {
    /**
     * 食物基本信息数据
     */
    @NotNull(message = "请求参数 foodBasic 不能为空")
    @Valid
    protected FoodBasicDO foodBasic;
    /**
     * 加工食品数据
     */
    @NotNull(message = "请求参数 foodProcess 不能为空")
    @Valid
    private FoodProcessDO foodProcess;

}
