package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.api.enums.food.AuditStatusValidEnum;
import com.jiankangyouyi.cloud.basedata.api.enums.food.FoodStatusEnum;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.EnumHC;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 底层库管理-修改食物审核状态
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerFoodAuditStatusUpdateDTO extends AbstractManagerRequestDTO {

    /**
     * 食物ID
     */
    @NotBlank(message = "请求参数foodId不能为空")
    @Size(max = 32, message = "请求参数foodId size不合法")
    private String foodId;


    /**
     * 食物审核状态
     */
    @NotBlank(message = "请求参数auditStatus不能为空")
    @EnumHC(enumTypes = AuditStatusValidEnum.class, message = "请求参数auditStatus不合法")
    private String auditStatus;

    /**
     * 驳回理由
     */
    private List<String> reasonsForRejection;

}
