package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * 底层库管理-食材详情
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerFoodIdDTO extends AbstractManagerRequestDTO {

    /**
     * 食物ID
     */
    @NotBlank(message = "请求参数foodId不能为空")
    @Length(max = 32, message = "请求参数foodId长度不合法")
    private String foodId;

}
