package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.api.model.entity.foodv4.component.FoodComposition;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 底层库管理-食物库-食材计算
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerFoodMaterialCalculateDTO extends AbstractManagerRequestDTO {

    /**
     * 食物ID
     */
    @Length(max = 32, message = "请求参数foodId不能为空")
    private String foodId;

    /**
     * 食材一级分类
     */
    @NotBlank(message = "请求参数classify1不能为空")
    private String classify1;

    /**
     * 食材二级分类
     */
    private String classify2;

    /**
     * 食材三级分类
     */
    private String classify3;

    /**
     * 性质（食材） 字典大类 02 字典子类 0225
     */
    private List<String> natures;

    /**
     * 膳食特点：字典大类02，字典子类0214
     */
    private List<String> foodSpecialties;

    /**
     * 食材食物成分
     */
    @Valid
    @NotNull(message = "请求参数composition不能为空")
    private FoodComposition composition;

}
