package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.api.model.entity.foodv4.FoodPackage;
import com.jiankangyouyi.cloud.basedata.enums.SaveTypeEnum;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.EnumHC;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 底层库管理-食物库-保存预包装食品
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerFoodPackageSaveDTO extends AbstractManagerRequestDTO {
    /**
     * 保存类型
     * {@link com.jiankangyouyi.cloud.basedata.enums.SaveTypeEnum}
     */
    @NotBlank(message = "请求参数 operateType 不能为空")
    @EnumHC(enumTypes = SaveTypeEnum.class, message = "请求参数saveType不合法")
    private String saveType;
    /**
     * 加工食品数据
     */
    @Valid
    @NotNull(message = "请求参数foodPackage不能为空")
    private FoodPackage foodPackage;

}
