package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.api.model.entity.foodv4.component.MajorMinorMaterial;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 底层库管理-食物库-加工食品计算
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerFoodProcessCalculateDTO extends AbstractManagerRequestDTO {


    /**
     * 食材一级分类
     */
    @NotBlank(message = "请求参数classify1不能为空")
    private String classify1;

    /**
     * 食材二级分类
     */
    private String classify2;

    /**
     * 食材三级分类
     */
    private String classify3;

    /**
     * 烹饪方式：字典大类02，字典子类0203
     */
    private String cookingStyle;

    /**
     * 食物性质
     */
    private List<String> natures;

    /**
     * 烹饪特点 字典大类 02 字典子类 0219
     */
    private List<String> cookingSpecialties;

    /**
     * 主料
     */
    @Valid
    @NotEmpty(message = "请求参数majorMaterials不能为空")
    private List<MajorMinorMaterial> majorMaterials;

    /**
     * 辅料
     */
    @Valid
    private List<MajorMinorMaterial> minorMaterials;

}
