package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.api.enums.food.FoodStatusEnum;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.annotation.EnumHC;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 底层库管理-修改食物状态
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerFoodStatusUpdateDTO extends AbstractManagerRequestDTO {

    /**
     * 食物ID集合
     */
    @NotEmpty(message = "请求参数foodId不能为空")
    @Size(max = 99, message = "请求参数foodId size不合法")
    private List<String> foodIds;


    /**
     * 食物状态
     */
    @NotBlank(message = "请求参数foodStatus不能为空")
    @EnumHC(enumTypes = FoodStatusEnum.class, message = "请求参数foodStatus不合法")
    private String foodStatus;

}
