package com.jiankangyouyi.cloud.basedata.model.dto.manager.food;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * 底层库管理-食物名称精准查询
 *
 * @author yangsongbo
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ManagerQueryPreciseByFoodNameDTO extends AbstractManagerRequestDTO {


    /**
     * 食物名称
     */
    @NotBlank(message = "请求参数foodName不能为空")
    @Length(max = 50, message = "请求参数foodName长度不合法")
    private String foodName;
    /**
     * 食物属性 （1、食材 2、加工食品 3、预包装食品）
     */
    private String foodProperty;

}
