package com.jiankangyouyi.cloud.basedata.model.dto.manager.food.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.*;

/**
 *  加工食品类型 材料信息 （主料、辅料 、药材）
 * @author ：wangyalei
 * @date ：Created in 2021/4/29 3:33 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FoodProcessMaterialInfo {
    /**
     * 食物类型 1食材 2加工食品 3包装食品 4 药材
     */
    @NotEmpty(message = "请求参数foodProperty不能为空")
    @Size(max = 1,message = "请求参数foodProperty有效长度为1")
    private String foodProperty;
    /**
     * 食物id
     */
    @NotEmpty(message = "请求参数foodId不能为空")
    @Size(max = 32,message = "请求参数foodId有效长度为32")
    private String foodId;
    /**
     * 数量
     */
    @NotNull(message = "请求参数count不能为空")
    @Max(value = 9999,message = "请求参数最大值为9999")
    @Min(value = 1,message = "请求参数最小值为1")
    private Integer count;
}
