package com.jiankangyouyi.cloud.basedata.model.dto.manager.knowledge;

import com.jiankangyouyi.cloud.basedata.model.dto.api.AbstractHttpApiRequestDTO;
import com.jiankangyouyi.cloud.core.entity.page.Page;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;


@Data
public class ListPageKnowledgeQuestionDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 问题id
     */
    private String questionId;

    /**
     * 问题分类
     */
    private List<String> questionCategory;

    /**
     * 题目
     */
    private String questionContents;


    /**
     * 解析
     */
    private String answerInterprets;


    /**
     * 有效状态
     */
    private String useFlag;


    /**
     * 创建时间-开始
     */
    private Long createTimeStart;

    /**
     * 创建时间-结束
     */
    private Long createTimeEnd;

    /**
     * 修改时间 -开始
     */
    private Long updateTimeStart;


    /**
     * 修改时间 -开始
     */
    private Long updateTimeEnd;

    /**
     * 选择提类型 1 单选 2 多选
     */
    private String optionFlag;

    /**
     * 分页信息
     */
    @Valid
    @NotNull(message = "请求参数page不能为空")
    private Page page;
}
