package com.jiankangyouyi.cloud.basedata.model.dto.manager.knowledge;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ListPageQuestionsAndAnswersExportDTO extends AbstractManagerRequestDTO implements Serializable, ValidDTO {


    /**
     * id
     */
    List<String> questionsAndAnswersIds;

    /**
     * 问题
     */
    @Size(max = 20, message = "请求参数 question 长度不合法")
    private String question;
    /**
     * 状态（1）草稿：所以角色均可删除
     *
     * （2）待审核：所有角色均可删除
     *
     * （3）已采纳：录入人员不可删除，审核人员可删除
     *
     * （4）已驳回：所有角色均可删除
     */
    @Size(max = 3, message = "请求参数 status 长度不合法")
    private String status;
    /**
     * 分类
     */
    private List<String> classify1;
    private List<String> classify2;
    private List<String> classify3;
    /**
     * 人群
     */
    private List<String> crowd;
    /**
     * 参考文献
     */
    private  List<String> reference;
    /**
     * 疾病
     */
    private List<String> disease;
    /**
     * 食材
     */
    private List<String> foodMaterial;

    /**
     * 标签
     */
    private String tag;
    /**
     * 创建时间排序状态 1 asc 2 desc
     */
    @Size(max = 3, message = "请求参数 createSortStatus 长度不合法")
    private String createSortStatus;
    /**
     * 采纳时间排序状态 1 asc 2 desc
     */
    @Size(max = 3, message = "请求参数 updateSortStatus 长度不合法")
    private String adoptSortStatus;

    /**
     * 创建开始时间
     */
    @Size(max = 19, message = "请求参数 createTimeBegin 长度不合法")
    private String createTimeBegin;
    /**
     * 创建结束时间
     */
    @Size(max = 19, message = "请求参数 createTimeEnd 长度不合法")
    private String createTimeEnd;

    /**
     * 采纳时间
     */
    @Size(max = 19, message = "请求参数 adoptTime 长度不合法")
    private String adoptTimeBegin;
    /**
     * 采纳时间
     */
    @Size(max = 19, message = "请求参数 adoptTime 长度不合法")
    private String adoptTimeEnd;
}
