package com.jiankangyouyi.cloud.basedata.model.dto.manager.knowledge;

import com.jiankangyouyi.cloud.basedata.api.model.entity.knowledge.KnowledgeQuestionOption;
import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class ModifyKnowledgeQuestionDTO extends AbstractManagerRequestDTO implements ValidDTO {

    /**
     * 问题id
     */
    private String questionId;

    /**
     * 问题分类
     */
    @NotEmpty(message = "请求参数questionCategory不能为空")
    private String questionCategory;


    /**
     *选择提类型 1 单选 2 多选
     */
    private String optionFlag;

    /**
     * 标签
     */
    private List<String> tags;

    /**
     * 问题内容-换行（为数组）
     */
    @NotNull(message = "请求参数questionContents不能为空")
    private List<String> questionContents;

    /**
     * 选项列表
     */
    @NotNull(message = "请求参数options不能为空")
    private List<KnowledgeQuestionOption> options;

    /**
     * 答案解读 换行
     */
    @NotNull(message = "请求参数answerInterprets不能为空")
    private List<String> answerInterprets;

    /**
     * 有效状态
     */
    @NotEmpty(message = "请求参数useFlag不能为空")
    private String useFlag;


}
