package com.jiankangyouyi.cloud.basedata.model.dto.manager.knowledge;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.*;
import java.util.List;

/**
 * 描述
 *
 * @author qxy
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ModifyQuestionsAndAnswersDTO extends AbstractManagerRequestDTO implements ValidDTO {


    @Size(max = 32, message = "请求参数questionsAndAnswersId长度不合法")
    private String questionsAndAnswersId;

    /**
     * 一级分类
     */
    @Size(max = 32, message = "请求参数 classify1 长度不合法")
//    @NotBlank(message = "classify1 不能为空")
    private String classify1;
    /**
     * 二级分类
     */
    @Size(max = 32, message = "请求参数 classify2 长度不合法")
//    @NotBlank(message = "classify1 不能为空")
    private String classify2;
    /**
     * 三级分类
     */
    @Size(max = 32, message = "请求参数 classify3 长度不合法")
    private String classify3;
    /**
     * 问题
     */
    @Size(max = 20, message = "请求参数 question 长度不合法")
//    @NotBlank(message = "question 不能为空")
    private String question;
    /**
     * 答案
     */
    @Size(max = 200, message = "请求参数 question 长度不合法")
//    @NotBlank(message = "answer 不能为空")
    private String answer;
    /**
     * 人群
     */
//    @NotEmpty(message = "crowd 不能为空")
    private List<String> crowd;
    /**
     * 标签   必填项，可添加多个标签，标签个数最多不能超过10个，每个标签限制1-10个字，不能含有空格、标点符号、特殊符号
     */
//    @NotEmpty(message = "tags 不能为空")
    private List<String> tags;
    /**
     * 食材
     */
    private List<String> foodMaterial;
    /**
     * 参考文献
     */
//    @NotEmpty(message = "reference 不能为空")
    private List<String> reference;

    /**
     * 状态 1）草稿：所以角色均可删除
     *
     * （2）待审核：所有角色均可删除
     *
     * （3）已采纳：录入人员不可删除，审核人员可删除
     *
     * （4）已驳回：所有角色均可删除
     */
    @NotBlank(message = "status not null")
    @Min(value = 1, message = "status [1:草稿][2:待审核][3:已采纳][4:已驳回]")
    @Max(value = 4, message = "status [1:草稿][2:待审核][3:已采纳][4:已驳回]")
    private String status;

    /**
     * 疾病
     */
    private List<String> disease;


}
