package com.jiankangyouyi.cloud.basedata.model.dto.manager.literature;

import com.jiankangyouyi.cloud.basedata.model.entity.mongo.ServiceNodes;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.Data;
import org.hibernate.validator.constraints.Range;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 新增修改文献
 *
 * @author lvqidong
 * @date 2022/02/09 10:58
 **/
@Data
public class ModifyLiteratureDTO implements ValidDTO {

    /**
     * 文献id
     */
    private String literatureId;

    /**
     * 文献标题内容
     */
    @NotEmpty(message = "文献标题内容不能为空")
    private String literatureContext;

    /**
     * 启用/禁用 1启用 2 禁用
     */
    @NotEmpty(message = "启用/禁用不能为空")
    private String useFlag;

    /**
     * 排序值
     */
    @Range( min = 1, message = "排序值必须为大于0的自然数")
    private Integer literatureSort;

    /**
     * 附件名称
     */
    private String attachmentName;

    /**
     * 附件地址
     */
    private String attachmentUrl;

    /**
     * 关联服务
     */
    @NotEmpty
    @Valid
    private List<ServiceNodes> serviceNodes;
}
