package com.jiankangyouyi.cloud.basedata.model.dto.manager.literature;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author lvqidong
 * @date 2022/02/09 10:54
 **/
@Data
public class QueryPageDTO implements Serializable, ValidDTO {

    /**
     * 文献id
     */
    private String literatureId;

    /**
     * 文献标题内容
     */
    private String literatureContext;

    /**
     * 创建时间 开始时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTimeStart;

    /**
     * 创建时间 结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTimeEnd;

    /**
     * 分页信息
     */
    @NotNull(message = "请求参数page不能为空")
    private Page page;
    /**
     * 排序 1正序 2倒叙
     */
    private String orderSort;


    /**
     * 分类codes 字典
     */
    private List<String> classifyCodes;
}
