package com.jiankangyouyi.cloud.basedata.model.dto.manager.question;

import com.jiankangyouyi.cloud.basedata.model.dto.manager.AbstractManagerRequestDTO;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 问题库——删除问题请求数据
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuestionDeleteDTO extends AbstractManagerRequestDTO implements ValidDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 问题ID集合
     */
    @Size(min=1,max = 99, message = "请求参数questionId长度不合法")
    @NotNull(message ="请求参数questionIds不能为空" )
    private List<String> questionIds;

}
