package com.jiankangyouyi.cloud.basedata.model.dto.manager.question;

import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 问题详情请求数据
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuestionDetailQueryDTO implements ValidDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 问题ID
     */
    @NotBlank(message = "请求参数questionId不能为空")
    @Size(max = 32, message = "请求参数questionId长度不合法")
    private String questionId;

}
