package com.jiankangyouyi.cloud.basedata.model.dto.manager.question;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 问卷列表查询条件请求数据
 *
 * @author fengxuanjun
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuestionnairesListQueryDTO implements ValidDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 分页请求信息
     */
    @Valid
    @NotNull(message ="请求参数page不能为空")
    private Page page;

    /**
     * 一级分类ID
     */
    @Size(max = 1, message = "请求参数validStatus长度不合法")
    private String validStatus;

    /**
     * 二级分裂ID
     */
    @Size(max = 50, message = "请求参数questionnaireName长度不合法")
    private String questionnaireName;

    /**
     * 开始时间-问题时间 yyyy-MM-dd HH:mm:ss
     */
    private String beginTime;

    /**
     * 开始时间-问题时间 yyyy-MM-dd HH:mm:ss
     */
    private String endTime;



}
