package com.jiankangyouyi.cloud.basedata.model.dto.manager.question.component;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.BmiChoiceOptionBuilder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * BMI题
 *
 * @author fengxuanjun
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class BmiChoiceMainQuestionParam extends MainQuestionParam {

    private static final long serialVersionUID = 1L;


    /**
     * NOT NULL 问题内容
     */
    @NotBlank(message = "请求参数questionContent不能为空")
    private String questionContent;

    /**
     * NULL 补充内容
     */
    private String supplementContent;


    /**
     * BMI题构建对象
     */
    @NotNull(message = "请求参数optionBuilders不能为空")
    @Size(min = 1,message = "请求参数optionBuilders长度不合法")
    private List<BmiChoiceOptionBuilder> optionBuilders;


}
