package com.jiankangyouyi.cloud.basedata.model.dto.manager.question.component;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.GenderChoiceMainOption;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 性别题
 *
 * @author fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GenderChoiceMainQuestionParam extends MainQuestionParam  {

    private static final long serialVersionUID = 1L;

    /**
     * NOT NULL 问题内容
     */
    @NotBlank(message = "请求参数questionContent不能为空")
    private String questionContent;


    /**
     * 选项列表，不能为空
     */
    @NotNull(message = "请求参数mainOptions不能为空")
    @Size(min = 1,max = 2,message = "请求参数mainOptions长度不合法")
    private List<GenderChoiceMainOption> mainOptions;
}
