package com.jiankangyouyi.cloud.basedata.model.dto.manager.question.component;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.Data;

/**
 * 问题保存请求问题对象
 *
 * @author fengxuanjun
 */
@Data
@JsonTypeInfo(
        use = JsonTypeInfo.Id.NAME,
        include = JsonTypeInfo.As.EXISTING_PROPERTY,
        property = "questionType",
        visible = true)
@JsonSubTypes({
        @JsonSubTypes.Type(value = SingleChoiceMainQuestionParam.class, name = MainQuestionParam.SINGLE_CHOICE),
        @JsonSubTypes.Type(value = MultipleChoiceMainQuestionParam.class, name = MainQuestionParam.MULTIPLE_CHOICE),
        @JsonSubTypes.Type(value = GenderChoiceMainQuestionParam.class, name = MainQuestionParam.GENDER_CHOICE),
        @JsonSubTypes.Type(value = BirthdayChoiceMainQuestionParam.class, name = MainQuestionParam.BIRTHDAY_CHOICE),
        @JsonSubTypes.Type(value = SingleNumberChoiceMainQuestionParam.class, name = MainQuestionParam.SINGLE_NUMBER_CHOICE),
        @JsonSubTypes.Type(value = MultipleNumberChoiceMainQuestionParam.class, name = MainQuestionParam.MULTIPLE_NUMBER_CHOICE),
        @JsonSubTypes.Type(value = BmiChoiceMainQuestionParam.class, name = MainQuestionParam.BMI_CHOICE),
})

public abstract class MainQuestionParam implements ValidDTO {

     protected static final String SINGLE_CHOICE = "1";
     protected static final String MULTIPLE_CHOICE = "2";
     protected static final String GENDER_CHOICE = "3";
     protected static final String BIRTHDAY_CHOICE = "4";
     protected static final String SINGLE_NUMBER_CHOICE = "5";
     protected static final String MULTIPLE_NUMBER_CHOICE = "6";
     protected static final String BMI_CHOICE = "7";

     protected String questionType;


}
