package com.jiankangyouyi.cloud.basedata.model.dto.manager.question.component;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.MultipleChoiceMainOption;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 多选题
 *
 * @author fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MultipleChoiceMainQuestionParam extends MainQuestionParam {

    /**
     * NOT NULL 问题内容，存在换行时为多条记录
     */
    @NotNull(message = "请求参数questionContents不能为空")
    @Size(min = 1,message = "请求参数questionContents长度不合法")
    private List<String> questionContents;

    /**
     * NULL 补充内容
     */
    private List<String> supplementContents;

    /**
     * NULL 补充图片,最多3张图片
     */
    @Size(max = 3,message = "请求参数imageUrls长度不合法")
    private List<String> imageUrls;

    /**
     * NOT NULL 选项列表
     */
    @NotNull(message = "请求参数mainOptions不能为空")
    @Size(min = 1,message = "请求参数mainOptions长度不合法")
    private List<MultipleChoiceMainOption> mainOptions;
}
