package com.jiankangyouyi.cloud.basedata.model.dto.manager.question.component;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.SingleChoiceMainOption;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 单选题
 *
 * @author fengxuanjun
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SingleChoiceMainQuestionParam extends MainQuestionParam {

    private static final long serialVersionUID = 1L;

    /**
     * NOT NULL  测评题内容，存在换行时为多条记录
     */
    @NotNull(message = "请求参数questionContents不能为空")
    @Size(min = 1,message = "请求参数questionContents长度不合法")
    private List<String> questionContents;

    /**
     * NULL 补充内容，存在换行时为多条记录
     */
    private List<String> supplementContents;

    /**
     * NULL 补充图片，最多3张图片
     */
    @Size(max = 3,message = "请求参数imageUrls长度不合法")
    private List<String> imageUrls;

    /**
     * 选项列表，不能为空
     */
    @NotNull(message = "请求参数mainOptions不能为空")
    @Size(min = 1,message = "请求参数mainOptions长度不合法")
    private List<SingleChoiceMainOption> mainOptions;


}
