package com.jiankangyouyi.cloud.basedata.model.dto.manager.question.component;

import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.SingleNumberChoiceOptionBuilder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 单项数字题
 *
 * @author fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SingleNumberChoiceMainQuestionParam extends MainQuestionParam  {
    private static final long serialVersionUID = 1L;


    /**
     * NOT NULL List<String> 问题内容
     */
    @NotNull(message = "请求参数questionContents不能为空")
    @Size(min = 1,message = "请求参数questionContents长度不合法")
    private List<String> questionContents;

    /**
     * NULL 补充内容
     */
    private List<String> supplementContents;

    /**
     * NOT NULL 单项数字题构建对象
     */
    @NotNull(message = "请求参数optionBuilder不能为空")
    private SingleNumberChoiceOptionBuilder optionBuilder;


}
