package com.jiankangyouyi.cloud.basedata.model.entity.mongo;

import com.jiankangyouyi.cloud.basedata.api.model.entity.exercise.ExeciseInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Version;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @description: 运动锻炼库do
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/5/14 10:39 上午
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@CompoundIndexes(
        value = {
                @CompoundIndex(
                        name = "exerciseId_1_validStatus_1",
                        def = "{'exerciseId' : 1, 'validStatus':1}"
                ),
                @CompoundIndex(
                        name = "exerciseName_1_validStatus_1",
                        def = "{'exerciseName' : 1, 'validStatus':1}"
                )
        }
)
@Document(collection = "v3.exercise")
public class ExerciseDO extends ExeciseInfo {

    private static final long serialVersionUID = 1L;
    @Id
    private ObjectId id;
    @Version
    private Long version;

    public static final String FIELD_ID = "_id";
    public static final String FIELD_VALIDSTATUS = "validStatus";
    public static final String FIELD_VERSION = "version";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";
    public static final String FIELD_EXERCISEID = "exerciseId";
    public static final String FIELD_EXERCISENAME = "exerciseName";
    public static final String FIELD_ALIAS = "alias";
    public static final String FIELD_EXERCISETYPE = "exerciseType";
    public static final String FIELD_METS = "mets";
    public static final String FIELD_MINCOUNT = "minCount";
    public static final String FIELD_UNIT = "unit";
    public static final String FIELD_BASICUPTAKEOXYMALE = "basicUptakeOxyMale";
    public static final String FIELD_BASICUPTAKEOXYFEMALE = "basicUptakeOxyFemale";
    public static final String FIELD_OXYCONSUME = "oxyConsume";
    public static final String FIELD_RER = "rer";
    public static final String FIELD_IMAGEKEY = "imageKey";
    public static final String FIELD_DESCRIPTION = "description";
    public static final String FIELD_ORDER = "order";
    public static final String FIELD_ACTION_DIFFICULTY = "actionDifficulty";
    public static final String FIELD_ACTION_FEATURES = "actionFeatures";
    public static final String FIELD_IS_RECOMMEND = "isRecommend";
}
