package com.jiankangyouyi.cloud.basedata.model.entity.mongo;

import com.jiankangyouyi.cloud.basedata.model.bean.MealInfoBean;
import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * 精选食谱
 *
 * @author : lvhaoran
 * @date Date : 2022年08月01日
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.featured.recipes")
public class FeaturedRecipesDO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 标签
     */
    private String tag;

    /**
     * 推荐的标签
     */
    private String recipesTag;
    /**
     * 热量
     */
    private Integer energy;

    /**
     * 蛋白质，单位 g
     */
    private BigDecimal protein;

    /**
     * 脂肪，单位 g
     */
    private BigDecimal fat;

    /**
     * 碳水化合物，单位 g
     */
    private BigDecimal carbohydrate;

    /**
     * 蛋白质NRV
     */
    private BigDecimal proteinNrv;

    /**
     * 脂肪NRV
     */
    private BigDecimal fatNrv;

    /**
     * 碳水化合物NRV
     */
    private BigDecimal carbohydrateNrv;
    /**
     * 推荐早餐
     */
    private MealInfoBean breakfastRes;
    /**
     * 推荐早加餐
     */
    private MealInfoBean breakfastExtraRes;
    /**
     * 推荐午餐
     */
    private MealInfoBean lunchRes;
    /**
     * 推荐午加餐
     */
    private MealInfoBean lunchExtraRes;
    /**
     * 推荐晚餐
     */
    private MealInfoBean supperRes;
    /**
     * 推荐晚加餐
     */
    private MealInfoBean supperExtraRes;

    public static final String FIELD_TAG = "tag";
    public static final String FIELD_RECIPESTAG = "recipesTag";
    public static final String FIELD_ENERGY = "energy";
    public static final String FIELD_PROTEIN = "protein";
    public static final String FIELD_FAT = "fat";
    public static final String FIELD_CARBOHYDRATE = "carbohydrate";
    public static final String FIELD_PROTEINNRV = "proteinNrv";
    public static final String FIELD_FATNRV = "fatNrv";
    public static final String FIELD_CARBOHYDRATENRV = "carbohydrateNrv";
}
