package com.jiankangyouyi.cloud.basedata.model.entity.mongo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 健康小贴士
 * @author ：wangyalei
 * @date ：2022/8/1 2:21 下午
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "v3.health.tips")
public class HealthTipDO {

    @Id
    private ObjectId id;
    /**
     * 有效状态 1、有效 2、无效
     */
    private String validStatus;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date updateTime;
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            timezone = "GMT+8",
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date createTime;

    /**
     * 操作人账号
     */
    private String optionAccount;
    /**
     * 小贴士ID （知识ID）
     */
    @Indexed(unique = true)
    private String tipId;
    /**
     * 小贴士标题
     */
    private String tipTitle;
    /**
     * 小贴士内容
     */
    private String content;
    /**
     * 自定义标签 （字典Code）
     */
    private List<String> customTags;
    /**
     * 启用状态 1、启用 2、禁用
     */
    private String openStatus;

    public static final String FIELD_ID = "_id";
    public static final String FIELD_VALIDSTATUS = "validStatus";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";
    public static final String FIELD_OPTIONACCOUNT = "optionAccount";
    public static final String FIELD_TIPID = "tipId";
    public static final String FIELD_TIPTITLE = "tipTitle";
    public static final String FIELD_CONTENT = "content";
    public static final String FIELD_CUSTOMTAGS = "customTags";
    public static final String FIELD_OPENSTATUS = "openStatus";




}
