package com.jiankangyouyi.cloud.basedata.model.entity.mongo;

import com.jiankangyouyi.cloud.basedata.model.vo.api.component.KnowledgeQuestionData;
import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;
import java.util.List;

/**
 * 知识竞赛问题表
 *
 * @author jingpeng
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.knowledge.question.user")
public class KnowledgeQuestionUserDO extends BaseMongoEntity {


    /**
     * 问题对象
     */
    private KnowledgeQuestionData knowledgeQuestionData;


    /**
     * 用户选择的选项编号  有可能是多选题 所以采用集合
     */
    private List<String> userOptionCodes;

    private String userId;

    private Date date;

    public static final String FIELD_KNOWLEDGEQUESTIONDATA = "knowledgeQuestionData";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTIONID = "knowledgeQuestionData.questionId";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTIONCATEGORY = "knowledgeQuestionData.questionCategory";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_TAGS = "knowledgeQuestionData.tags";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION = "knowledgeQuestionData.question";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_QUESTIONCONTENTS = "knowledgeQuestionData.question.questionContents";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_SUPPLEMENTCONTENTS = "knowledgeQuestionData.question.supplementContents";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_IMAGEURLS = "knowledgeQuestionData.question.imageUrls";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS = "knowledgeQuestionData.question.options";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS_OPTIONCODE = "knowledgeQuestionData.question.options.optionCode";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS_OPTIONCONTENTS = "knowledgeQuestionData.question.options.optionContents";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS_SUPPLEMENTCONTENTS = "knowledgeQuestionData.question.options.supplementContents";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS_IMAGEURLS = "knowledgeQuestionData.question.options.imageUrls";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS_RIGHT = "knowledgeQuestionData.question.options.right";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_OPTIONS_SELECTED = "knowledgeQuestionData.question.options.selected";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_QUESTION_ANSWERINTERPRETS = "knowledgeQuestionData.question.answerInterprets";
    public static final String FIELD_KNOWLEDGEQUESTIONDATA_OPTIONFLAG = "knowledgeQuestionData.optionFlag";
    public static final String FIELD_USEROPTIONCODES = "userOptionCodes";
    public static final String FIELD_USERID = "userId";
    public static final String FIELD_DATE = "date";
}
