package com.jiankangyouyi.cloud.basedata.model.entity.mongo;

import com.bol.secure.Encrypted;
import com.jiankangyouyi.cloud.basedata.api.model.entity.questionnaire.MainQuestion;
import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.*;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 测评题表
 *
 * @author yangsongbo
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Document(collection = "v3.questionnaire.question")
public class QuestionnaireQuestionDO extends BaseMongoEntity {

    private static final long serialVersionUID = 1L;


    /**
     * NOT NULL 问题ID
     */
    @Indexed(unique = true)
    private String questionId;

    /**
     * 一级分类
     */
    private String classify1;

    /**
     * 二级分类
     */
    private String classify2;

    /**
     * 相关疾病
     */
    @Encrypted
    private List<String> relatedDiseases;
    /**
     * 标签 （标签库标签id）
     */
    @Encrypted
    private String tag;

    /**
     * NOT NULL 问题类型 {@link com.jiankangyouyi.cloud.basedata.enums.QuestionTypeEnum}
     */
    private String questionType;

    /**
     * NOT NULL 问题主干对象
     */
    @Encrypted
    private MainQuestion mainQuestion;

    /**
     * NULL 备注
     */
    private String remark;


    public static final String FIELD_QUESTIONID = "questionId";
    public static final String FIELD_CLASSIFY1 = "classify1";
    public static final String FIELD_CLASSIFY2 = "classify2";
    public static final String FIELD_RELATEDDISEASES = "relatedDiseases";
    public static final String FIELD_QUESTIONTYPE = "questionType";
    public static final String FIELD_MAINQUESTION = "mainQuestion";
    public static final String FIELD_REMARK = "remark";
    public static final String FIELD_MAINQUESTION_QUESTIONCONTENTS="mainQuestion.questionContents";
    public static final String FIELD_MAINQUESTION_QUESTIONCONTENT="mainQuestion.questionContent";
    public static final String FIELD_MAINQUESTION_MAINOPTIONS_RELATEDDISEASE="mainQuestion.mainOptions.relatedDiseases";

}
