package com.jiankangyouyi.cloud.basedata.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.sql.Timestamp;

import com.jiankangyouyi.cloud.core.validator.ValidDTO;
import lombok.*;
import lombok.experimental.Accessors;


/**
 * <p>
 * 字典表
 * </p>
 *
 * @author yangdeliang
 * @since 2021-04-23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("base_dict")
public class BaseDictDO extends Model<BaseDictDO> implements ValidDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 启用禁用状态 1 启用 2 禁用
     */
    @TableField("valid_status")
    private String validStatus;

    /**
     * 字典ID，业务主键
     */
    @TableField("dict_id")
    private String dictId;

    /**
     * 字典大类
     */
    @TableField("dict_type")
    private String dictType;

    /**
     * 字典子类
     */
    @TableField("dict_sub_type")
    private String dictSubType;

    /**
     * 字典编码
     */
    @TableField("dict_code")
    private String dictCode;

    /**
     * 字典名称
     */
    @TableField("dict_name")
    private String dictName;

    /**
     * 排序
     */
    @TableField("row_order")
    private Integer rowOrder;

    /**
     * 字典描述
     */
    @TableField("description")
    private String description;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 操作人帐号
     */
    @TableField("operate_account")
    private String operateAccount;


    public static final String ID = "id";

    public static final String UPDATE_TIME = "update_time";

    public static final String CREATE_TIME = "create_time";

    public static final String VALID_STATUS = "valid_status";

    public static final String DICT_ID = "dict_id";

    public static final String DICT_TYPE = "dict_type";

    public static final String DICT_SUB_TYPE = "dict_sub_type";

    public static final String DICT_CODE = "dict_code";

    public static final String DICT_NAME = "dict_name";

    public static final String ROW_ORDER = "row_order";

    public static final String DESCRIPTION = "description";

    public static final String REMARK = "remark";

    public static final String OPERATE_ACCOUNT = "operate_account";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
