package com.jiankangyouyi.cloud.basedata.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.sql.Timestamp;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;

/**
 * <p>
 * 
 * </p>
 *
 * @author yangdeliang
 * @since 2022-03-11
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_tag")
@FieldNameConstants
public class BizTagDO extends Model<BizTagDO> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 1:启用2:禁用
     */
    @TableField("valid_status")
    private String validStatus;

    /**
     * 标签id
     */
    @TableField("tag_id")
    private String tagId;

    /**
     * 标签名称
     */
    @TableField("tag_name")
    private String tagName;

    /**
     * 排序值
     */
    @TableField("order_num")
    private Integer orderNum;

    /**
     * 描述信息
     */
    @TableField("desc_msg")
    private String descMsg;

    /**
     * 一级分类code
     */
    @TableField("classify_code1")
    private String classifyCode1;

    /**
     * 二级分类code
     */
    @TableField("classify_code2")
    private String classifyCode2;

    /**
     * 三级分类code
     */
    @TableField("classify_code3")
    private String classifyCode3;


    public static final String ID = "id";

    public static final String CREATE_TIME = "create_time";

    public static final String UPDATE_TIME = "update_time";

    public static final String VALID_STATUS = "valid_status";

    public static final String TAG_ID = "tag_id";

    public static final String TAG_NAME = "tag_name";

    public static final String ORDER_NUM = "order_num";

    public static final String DESC_MSG = "desc_msg";

    public static final String CLASSIFY_CODE1 = "classify_code1";

    public static final String CLASSIFY_CODE2 = "classify_code2";

    public static final String CLASSIFY_CODE3 = "classify_code3";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
