package com.jiankangyouyi.cloud.data.center.constant;

import com.jiankangyouyi.cloud.data.center.api.enums.ActivityLevelEnum;
import com.jiankangyouyi.cloud.data.center.enums.GenderEnum;

import java.math.BigDecimal;

/**
 * 常量
 *
 * @author yangsongbo
 */
public interface Constants {

    /**
     * 英文逗号
     */
    String SEPARATOR_COMMA = ",";

    /**
     * 英文冒号
     */
    String SEPARATOR_COLON = ":";

    /**
     * 百分号
     */
    String SEPARATOR_PERCENT = "%";

    /**
     * 登录令牌属性
     */
    String FIELD_MANAGER_LOGIN_TOKEN = "loginToken";

    /**
     * Excel导出间隔时间 秒
     */
    int EXPORT_EXCEL_INTERVAL = 25;

    /**
     * 默认食物图片
     */
    String DEFAULT_FOOD_IMAGE_KEY = "d63774c7d8594f5f89475bb6b2ea1f92.png";
    /**
     * 默认运动图片
     */
    String DEFAULT_EXERCISE_IMAGE_KEY = "ba477a9b72e242478274f1634a3976f8.png";

    /**
     * 指标状态： 正常
     */
    String INDICATOR_STATUS_NORMAL = "NORMAL";

    /**
     * 指标状态： 正常偏高
     */
    String INDICATOR_STATUS_NORMAL_HIGH = "NORMAL_HIGH";

    /**
     * 指标状态：偏高
     */
    String INDICATOR_STATUS_HIGH = "HIGH";

    /**
     * 指标状态： 正常偏低
     */
    String INDICATOR_STATUS_NORMAL_LOW = "NORMAL_LOW";

    /**
     * 指标状态：偏低
     */
    String INDICATOR_STATUS_LOW = "LOW";

    /**
     * 心率正常值
     */
    String HEART_RATE_NORMAL_VALUE = "60-100";

    /**
     * 血氧正常值
     */
    String BLOOD_OXYGEN_NORMAL_VALUE = "95以上";

    /**
     * 益站年龄最小值
     */
    int SMART_SPACE_AGE_MIN = 18;

    /**
     * 益站年龄最大值
     */
    int SMART_SPACE_AGE_MAX = 70;

    /**
     * 验证码长度
     */
    Integer VERIFY_CODE_SIZE = 6;

    /**
     * 短信发送成功
     */
    String SMS_SEND_SUCCESS = "0";

    /**
     * 默认用户图像路径 本地路径
     */
    String DEFAULT_HEAD_IMAGE_LOCAL =
            "images/jianyue/default/userImage.png?FoLGYXOeiBDBFx_VxRr7SurZ8Kih?750?750?116565?1";

    /**
     * 默认用户图像路径 本地路径
     */
    String DEFAULT_HEAD_IMAGE_LOCAL_ZJ =
            "764621897867462c89294359b98f008d.png?FkTTJ2XpEd984n9vfO9j-pVcSeYe?zhidoushi";

    /**
     * redis区分缓存key值，health_ai 范围
     */
    String REDIS_SCOPE_HEALTH_AI = "health_ai";

    /**
     * 验证码短信通道configType
     */
    String SMS_VERIFY_CODE_CONFIG_TYPE = "verify-code";

    /**
     * 男性臀围比临界值
     */
    double MALE_WAIST_TO_HIP_RATIO = 0.9;

    /**
     * 女性臀围比临界值
     */
    double FEMALE_WAIST_TO_HIP_RATIO = 0.85;

    /**
     * 肥胖
     */
    String BMI_OBESITY = "28";

    /**
     * 超重
     */
    String BMI_OVER_WEIGHT = "24";


    /**
     * 消瘦
     */
    String BMI_THIN = "18.5";

    /**
     * 0.75
     */
    String ZERO_POINT_SEVEN_FIVE = "0.75";

    /**
     * 0.7
     */
    String ZERO_POINT_SEVEN = "0.7";

    /**
     * 1.15
     */
    String ONE_POINT_ONE_FIVE = "1.15";

    int ONE = 1;
    int TWO = 2;
    /**
     * 100
     */
    int HUNDRED = 100;
    /**
     * 超时时间 5/s
     */
    int CONNECT_TIMEOUT_5 = 5 * 1000;

    /**
     * Ai 大屏 传入的ID
     */
    String exerciseId = "af0818e674e943d4bb6451b1f82b934b";

    String maxExerciseId = "af0818e674e943d4bb6451b1f82b934b";

    /**
     * 小屏 传入的ID
     */
    String minExerciseId = "af0818e674e943d4bb6451b1f82b654p";

    /**
     * 碳水化物质量（g）转热量（kcal）的系数
     */
    int CARBOHYDRATE_G_TO_KCAL_COEFFICIENT = 4;

    /**
     * 蛋白质质量（g）转热量（kcal）的系数
     */
    int PROTEIN_G_TO_KCAL_COEFFICIENT = 4;


    /**
     * 脂肪质量（g）转热量（kcal）的系数
     */
    int FAT_G_TO_KCAL_COEFFICIENT = 9;



}
