package com.jiankangyouyi.cloud.data.center.constant;

/**
 * @description: redis相关常量类
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/12/15 1:16 下午
 */
public interface RedisConstants {
    /**
     * 能量平衡计划锁data_center:energy_balance_plan:lock:{appId}_{userId}_{date}
     */
    String ENERGY_BALANCE_PLAN_LOCK = "data_center:energy_balance_plan:lock:%s_%s_%s";

    /**
     * 能量平衡计划批量锁data_center:energy_balance_plan:lock:{appId}_{userId}
     */
    String ENERGY_BALANCE_PLAN_BATCH_LOCK = "data_center:energy_balance_plan:batch:lock:%s_%s";

    /**
     * 权益包锁/激活码锁，表锁,两者互相影响直接暴力处理即可没有高并发要求
     */
    String EQUITY_PACKAGE_LOCK = "data_center:equity_package:lock";

    /**
     * 激活码激活锁
     */
    String CDK_ACTIVE_LOCK = "data_center:cdk:active:lock:";

    /**
     * 根据服务提供者id核销权益锁
     */
    String EQUITY_USE_BYPROVIDERID = "data_center:equity:use:byproviderid:";


    /**
     * 产品链接缓存 data_center:product:url:{appId}:{configId}:{productCode}:随机编号
     */
    String PRODUCT_URL_CHCHE="data_center:product:url:%s:%s:%s";
    /**
     * 产品链接缓存key队列 data_center:product:url:{appId}:{configId}:{productCode}
     */
    String PRODUCT_URL_CHCHE_QUEUE="data_center:product:url:queue:%s:%s:%s";


}
