package com.jiankangyouyi.cloud.data.center.constant;

import com.jiankangyouyi.cloud.core.util.DateUtils;
import com.jiankangyouyi.cloud.data.center.api.enums.ActivityLevelEnum;
import com.jiankangyouyi.cloud.data.center.enums.GenderEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 默认用户数据
 * @author yangsongbo
 */
public class UserDefaultConstants {


    /**
     * 默认性别
     */
   public static GenderEnum DEFAULT_GENDER = GenderEnum.MALE;

    /**
     * 默认身高
     */
    public static int DEFAULT_HEIGHT = 170;

    /**
     * 默认体重
     */
    public static BigDecimal DEFAULT_WEIGHT = BigDecimal.valueOf(66.0);

    /**
     * 默认体力活动等级
     */
    public static ActivityLevelEnum DEFAULT_ACTIVITY_LEVEL = ActivityLevelEnum.ACTIVITY_LEVEL_LOW;

    /**
     * 默认出生日期 yyyy-MM-dd
     */
    public static String DEFAULT_BIRTHDAY(){
        Date defaultBirthday = DateUtils.addYears(new Date(), -30);
        return DateUtils.formatDate(defaultBirthday, "yyyy-MM-dd");
    }
}
