package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author jingpeng
 * @description 分析完成状态枚举
 * @date 2020/11/10
 */

@Getter
@AllArgsConstructor
public enum AnalysisStatusEnum implements BaseEnum {

    /**
     * 偏低，未完成
     */
    LOWER("-1","偏低"),
    /**
     * 合适，已完成
     */
    SUITABLE("0","合适"),
    /**
     * 偏高，已超标
     */
    HIGHER("1","偏高"),


    ;
    private String code ;
    private String message;


    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
