package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 体脂率状态
 * @author ：wangyalei
 * @date ：Created in 2021/8/30 4:03 下午
 */
@Getter
@AllArgsConstructor
public enum BfpStatusEnum {
    /**
     * 偏低
     */
    LOW("1","偏低"),
    /**
     * 标准
     */
    STANDARD("2","正常"),
    /**
     * 偏高
     */
    MORE_HIGH("3","偏高"),
    /**
     * 高
     */
    HIGH("4","肥胖");

    private final String status;

    private final String describe;


    public static BfpStatusEnum getEnum(String status) {
        BfpStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BfpStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
