package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.util.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * 业务类型Enum
 *
 * @author yangsongbo
 */
@AllArgsConstructor
@Getter
public enum BizTypeEnum {

    /**
     * 女性皮肤测评
     */
    BIZ_010101("010101", "女性皮肤测评", "NXPFCP"),
    /**
     * 健康程度测评
     */
    BIZ_010102("010102", "健康程度测评", null),
    /**
     * 糖尿病风险测评
     */
    BIZ_010201("010201", "糖尿病风险测评", "TNBPC"),
    /**
     * 高血压风险测评
     */
    BIZ_010202("010202", "高血压风险测评", "GXYPC"),
    /**
     * 高血脂风险测评
     */
    BIZ_010203("010203", "高血脂风险测评", "GXZPC"),
    /**
     * 脂肪肝风险测评
     */
    BIZ_010204("010204", "脂肪肝风险测评", "ZFGCP"),
    /**
     * 痛风风险测评
     */
    BIZ_010205("010205", "痛风风险测评", "TFPC"),
    /**
     * 冠心病风险测评
     */
    BIZ_010206("010206", "冠心病风险测评", "GXBPC"),
    /**
     * 骨质疏松风险测评
     */
    BIZ_010207("010207", "骨质疏松风险测评", "GZSSPC"),
    /**
     * 脑卒中风险测评
     */
    BIZ_010208("010208", "脑卒中风险测评", "NCZCP"),
    /**
     * 三高风险测评
     */
    BIZ_010209("010209", "三高风险测评", "SGPC"),
    /**
     * 慢性胆囊炎风险测评
     */
    BIZ_010210("010210", "慢性胆囊炎风险测评", null),
    /**
     * 慢性咽炎风险测评
     */
    BIZ_010211("010211", "慢性咽炎风险测评", null),
    /**
     * 帕金森病风险测评
     */
    BIZ_010212("010212", "帕金森病风险测评", null),
    /**
     * 肿瘤风险测评
     */
    BIZ_010213("010213", "肿瘤风险测评", null),
    /**
     * 类风湿关节炎风险测评
     */
    BIZ_010214("010214", "类风湿关节炎风险测评", null),
    /**
     * 慢性胃炎风险测评
     */
    BIZ_010215("010215", "慢性胃炎风险测评", null),
    /**
     * 慢性阻塞性肺病风险测评
     */
    BIZ_010216("010216", "慢性阻塞性肺病风险测评", null),
    /**
     * 炎症性肠病风险测评
     */
    BIZ_010217("010217", "炎症性肠病风险测评", null),
    /**
     * 阿兹海默症风险测评
     */
    BIZ_010218("010218", "阿兹海默症风险测评", null),
    /**
     * 慢性肝炎风险测评
     */
    BIZ_010219("010219", "慢性肝炎风险测评", null),
    /**
     * 慢性支气管炎风险测评
     */
    BIZ_010220("010220", "慢性支气管炎风险测评", null),
    /**
     * 肾病风险测评
     */
    BIZ_010221("010221", "肾病风险测评", null),
    /**
     * 支气管哮喘风险测评
     */
    BIZ_010222("010222", "支气管哮喘风险测评", null),
    /**
     * 睡眠质量测评
     */
    BIZ_010301("010301", "睡眠质量测评", null),
    /**
     * 免疫力测评
     */
    BIZ_010302("010302", "免疫力测评", null),
    /**
     * 甲状腺功能风险测评
     */
    BIZ_010303("010303", "甲状腺功能风险测评", "JZXCP"),
    /**
     * 疲劳程度测评
     */
    BIZ_010304("010304", "疲劳程度测评", "PLCDCP"),
    /**
     * 视觉功能测评
     */
    BIZ_010305("010305", "视觉功能测评", null),
    /**
     * 肠道功能风险测评
     */
    BIZ_010306("010306", "肠道功能风险测评", null),
    /**
     * 肝脏功能风险测评
     */
    BIZ_010307("010307", "肝脏功能风险测评", null),
    /**
     * 营养状态测评
     */
    BIZ_010308("010308", "营养状态测评", "YYZTCP"),
    /**
     * 复合人群测评
     */
    BIZ_010309("010309", "复合人群测评", null),
    /**
     * 产后人群健康测评
     */
    BIZ_010401("010401", "产后人群健康测评", null),
    /**
     * 孕期人群饮食测评
     */
    BIZ_010402("010402", "孕期人群饮食测评", null),
    /**
     * 颈椎病风险测评
     */
    BIZ_010501("010501", "颈椎病风险测评", "JZBPC"),
    /**
     * 焦虑情绪测评
     */
    BIZ_010901("010901", "焦虑情绪测评", "JLSPCP"),
    /**
     * 抑郁情绪测评
     */
    BIZ_010902("010902", "抑郁情绪测评", "YYZPCP"),
    /**
     * 产后抑郁症测评
     */
    BIZ_010903("010903", "产后抑郁症测评", "CHYYZCP"),
    /**
     * 简易应对方式测评
     */
    BIZ_010904("010904", "简易应对方式测评", null),
    /**
     * 酒精成瘾程度测评
     */
    BIZ_011001("011001", "酒精成瘾程度测评", null),
    /**
     * 烟瘾程度测评
     */
    BIZ_011002("011002", "烟瘾程度测评", null),
    /**
     * 健康分析中心
     */
    BIZ_122013("122013", "健康分析中心", null),
    /**
     * 吃动平衡
     */
    BIZ_042502("042502", "吃动平衡", null),
    /**
     * 内蒙古云盾项目
     */
    BIZ_160103("160103", "内蒙古云盾项目", null),

    /**
     * 即爱智能手表H19（GPRS）
     */
    BIZ_142601("142601", "即爱智能手表H19（GPRS）", null),

    /**
     * 恭逸智能马桶（阻尼款）
     */
    BIZ_142701("142701", "恭逸智能马桶（阻尼款）", null),

    /**
     * 现代摩比斯摄像头传感器
     */
    BIZ_142801("142801", "现代摩比斯摄像头传感器", null),
    /**
     * 速眠睡眠方案
     */
    BIZ_142901("142901", "速眠睡眠方案", null),

    /**
     * 鱼跃血压计YE680A（GPRS）
     */
    BIZ_143001("143001", "鱼跃血压计YE680A（GPRS）", null),

    /**
     * 鱼跃血压计YE650A（蓝牙）
     */
    BIZ_143002("143002", "鱼跃血压计YE650A（蓝牙）", null),

    /**
     * 鱼跃血压计YE670A（蓝牙）
     */
    BIZ_143003("143003", "鱼跃血压计YE670A（蓝牙）", null),

    /**
     * 鱼跃血糖仪305B（蓝牙）
     */
    BIZ_143004("143004", "鱼跃血糖仪305B（蓝牙）", null),

    /**
     * 鱼跃血糖仪590B（蓝牙）
     */
    BIZ_143005("143005", "鱼跃血糖仪590B（蓝牙）", null),

    /**
     * 友宏手环1810G（蓝牙）
     */
    BIZ_143101("143101", "友宏手环1810G（蓝牙）", null),

    /**
     * 友宏手环1963YH（蓝牙）
     */
    BIZ_143102("143102", "友宏手环1963YH（蓝牙）", null),

    /**
     * 友宏手环1810HR（蓝牙）
     */
    BIZ_143103("143103", "友宏手环1810HR（蓝牙）", null),

    /**
     * 友宏手表2025E（蓝牙）
     */
    BIZ_143105("143105", "友宏手表2025E（蓝牙）", null),

    /**
     * 友宏健康一体机（GPRS）
     */
    BIZ_143106("143106", "友宏健康一体机（GPRS）", null),

    /**
     * 沃莱智能跳绳RS1950ULB（蓝牙）
     */
    BIZ_143201("143201", "沃莱智能跳绳RS1950ULB（蓝牙）", null),

    /**
     * 沃莱体脂秤FI2016BF（蓝牙+WIFI）
     */
    BIZ_143202("143202", "沃莱体脂秤FI2016BF（蓝牙+WIFI）", null),

    /**
     * 百捷血糖尿酸胆固醇分析仪BK6-20MD（蓝牙）
     */
    BIZ_143301("143301", "百捷血糖尿酸胆固醇分析仪BK6-20MD（蓝牙）", null),

    /**
     * DARAM睡眠床垫DM-WS03
     */
    BIZ_143401("143401", "DARAM睡眠床垫DM-WS03", null),

    /**
     * 睿知手环S5（蓝牙）
     */
    BIZ_143501("143501", "睿知手环S5（蓝牙）", null),

    /**
     * 爱奥乐血压仪A666B（蓝牙）
     */
    BIZ_143601("143601", "爱奥乐血压仪A666B（蓝牙）", null),

    /**
     * 爱奥乐血压仪A223（GPRS）
     */
    BIZ_143602("143602", "爱奥乐血压仪A223（GPRS）", null),

    /**
     * 爱奥乐血糖仪G-777G（GPRS）
     */
    BIZ_143603("143603", "爱奥乐血糖仪G-777G（GPRS）", null),

    /**
     * 爱奥乐血糖仪G-427B（蓝牙）
     */
    BIZ_143604("143604", "爱奥乐血糖仪G-427B（蓝牙）", null),

    /**
     * 库觅KU2 Pro手表（GPRS）
     */
    BIZ_143701("143701", "库觅KU2 Pro手表（GPRS）", null),

    /**
     * 乐福体脂秤CF516（蓝牙）
     */
    BIZ_143801("143801", "乐福体脂秤CF516（蓝牙）", null),

    /**
     * 乐福体脂秤CF516（蓝牙+WIFI）
     */
    BIZ_143802("143802", "乐福体脂秤CF516（蓝牙+WIFI）", null),

    /**
     * 智天使智能手表S38T(蓝牙)
     */
    BIZ_143901("143901", "智天使智能手表S38T(蓝牙)", null),

    /**
     * 知己明便携式检测机
     */
    BIZ_144001("144001", "知己明便携式检测机", null),

    /**
     * 嘉乐一体机K5
     */
    BIZ_144101("144101", "嘉乐一体机K5", null),

    /**
     * 嘉乐一体机K1-C
     */
    BIZ_144102("144102", "嘉乐一体机K1-C", null),

    /**
     * 双佳一体机T8
     */
    BIZ_144201("144201", "双佳一体机T8", null),

    /**
     * 医合众联一体机EY-15300
     */
    BIZ_144301("144301", "医合众联一体机EY-15300", null),


    /**
     * 健康评估中心
     */
    BIZ_012502("012502", "健康评估中心", null),


    /**
     * 体检报告解读
     */
    BIZ_012505("012505", "体检报告解读", null),


    /**
     * 健康评估+体检报告解读
     */
    BIZ_012506("012506", "健康评估+体检报告解读", null),

    /**
     * 手动记录
     */
    BIZ_042501("042501", "手动记录", null),

    /**
     * 益企健康管家
     */
    BIZ_160301("160301", "益企健康管家", null),

    /**
     * 随访中心
     */
    BIZ_210101("210101", "随访中心", null),


    /**
     * 效果评估中心
     */
    BIZ_200101("200101", "效果评估中心", null),

    /**
     * 生活方式中心
     */
    BIZ_190101("190101", "生活方式中心", null),

    /**
     * 饮食干预中心
     */
    BIZ_020501("020501", "饮食干预中心", null),

    /**
     * 运动干预中心
     */
    BIZ_032501("032501", "运动干预中心", null),

    /**
     * 阳光人寿项目
     */
    BIZ_012503("012503", "阳光人寿项目", null),

    /**
     * 复合人群测评
     */
    BIZ_012501("012501", "复合人群测评", null);


    private String bizType;

    private String bizName;

    private String oldEvaluationCode;


    /**
     * 获取益云业务类型，用于益云数字健康管理平台-健康数据-健康记录-业务类型下拉菜单
     *
     * @return 业务类型集合
     */
    public static List<BizTypeEnum> getHealthCloudBizTypes() {
        return Arrays.asList(
                BizTypeEnum.BIZ_142601, BizTypeEnum.BIZ_142701, BizTypeEnum.BIZ_143001,
                BizTypeEnum.BIZ_143002, BizTypeEnum.BIZ_143003, BizTypeEnum.BIZ_143004,
                BizTypeEnum.BIZ_143005, BizTypeEnum.BIZ_143101, BizTypeEnum.BIZ_143102,
                BizTypeEnum.BIZ_143103, BizTypeEnum.BIZ_143105, BizTypeEnum.BIZ_143106,
                BizTypeEnum.BIZ_143201, BizTypeEnum.BIZ_143202, BizTypeEnum.BIZ_143301,
                BizTypeEnum.BIZ_143401, BizTypeEnum.BIZ_143501, BizTypeEnum.BIZ_143601,
                BizTypeEnum.BIZ_143602, BizTypeEnum.BIZ_143603, BizTypeEnum.BIZ_143604,
                BizTypeEnum.BIZ_143701, BizTypeEnum.BIZ_143801, BizTypeEnum.BIZ_143802,
                BizTypeEnum.BIZ_143901, BizTypeEnum.BIZ_144001, BizTypeEnum.BIZ_144101,
                BizTypeEnum.BIZ_144102, BizTypeEnum.BIZ_144201, BizTypeEnum.BIZ_144301,
                //健康评估中心
                BizTypeEnum.BIZ_012502,
                //饮食干预中心
                BizTypeEnum.BIZ_020501,
                //运动干预中心
                BizTypeEnum.BIZ_032501,
                //健康分析中心
                BizTypeEnum.BIZ_122013,
                //效果评估中心
                BizTypeEnum.BIZ_200101,
                //生活方式中心
                BizTypeEnum.BIZ_190101,
                //随访中心
                BizTypeEnum.BIZ_210101,
                //复合人群健康测评
                BizTypeEnum.BIZ_012501,
                //阳光人寿项目
                BizTypeEnum.BIZ_012503,
                //内蒙古云盾项目
                BizTypeEnum.BIZ_160103,
                //益企健康管家
                BizTypeEnum.BIZ_160301,
                //体检报告解读
                BizTypeEnum.BIZ_012505,
                //健康评估+体检报告解读
                BizTypeEnum.BIZ_012506
        );
    }


    public static BizTypeEnum getEnum(String bizType) {
        BizTypeEnum[] values = values();
        if (bizType == null) {
            return null;
        }
        for (BizTypeEnum value : values) {
            if (bizType.equals(value.bizType)) {
                return value;
            }
        }
        return null;
    }

    public static BizTypeEnum getEnumByEvaluationCode(String oldEvaluationCode) {
        BizTypeEnum[] values = values();
        if (oldEvaluationCode == null) {
            return null;
        }
        for (BizTypeEnum value : values) {
            if (StringUtils.isNotBlank(value.oldEvaluationCode) && oldEvaluationCode.equals(value.oldEvaluationCode)) {
                return value;
            }
        }
        return null;
    }


}
