package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 血氧状态
 * @author ：wangyalei
 * @date ：Created in 2021/7/28 9:27 上午
 */
@Getter
@AllArgsConstructor
public enum BloodOxygenStatusEnum {
    /**
     * 正常
     */
    NORMAL("1", "正常"),
    /**
     * 轻度偏低
     */
    MILD_LOW("2", "轻度偏低"),
    /**
     * 重度偏低
     */
    SEVERE_LOW("3", "重度偏低"),


    ;
    private String status;

    private String description;


    public static BloodOxygenStatusEnum getEnum(String status) {
        BloodOxygenStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BloodOxygenStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
