package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 血压状态
 * @author ：wangyalei
 * @date ：Created in 2021/7/28 9:37 上午
 */
@Getter
@AllArgsConstructor
public enum BloodPressureStatusEnum {

    /**
     * 正常血压
     */
    NORMAL("1", "正常血压"),
    /**
     * 正常高值
     */
    NORMAL_HIGH("2", "正常高值"),
    /**
     * 高血压
     */
    HIGH("3", "高血压"),
    /**
     * 低血压
     */
    LOW("4", "低血压"),

    /**
     * 轻度-高血压
     */
    LIGHT_HIGH("5", "轻度高血压"),
    /**
     * 轻度-高血压
     */
    MID_HIGH("6", "中度高血压"),
    /**
     * 重度-高血压
     */
    DEEP_HIGH("7", "重度高血压"),


    ;
    private String status;

    private String description;


    public static BloodPressureStatusEnum getEnum(String status) {
        BloodPressureStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BloodPressureStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
