package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 血尿酸类型
 * @author ：wangyalei
 * @date ：Created in 2021/8/20 4:25 下午
 */
@Getter
@AllArgsConstructor
public enum BloodUricAcidStatusEnum {
    /**
     * 正常
     */
    NORMAL("1", "正常"),
    /**
     * 高血尿酸症
     */
    HIGH("2", "高血尿酸症"),


    ;
    private String status;

    private String description;


    public static BloodUricAcidStatusEnum getEnum(String status) {
        BloodUricAcidStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BloodUricAcidStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
