package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * BMI 身体指数状态
 * @author ：wangyalei
 * @date ：Created in 2021/8/30 3:45 下午
 */
@Getter
@AllArgsConstructor
public enum BmiStatusEnum {
    /**
     * 低体重
     */
    LOW("1","低体重"),
    /**
     * 正常
     */
    NORMAL("2","正常"),
    /**
     * 超重
     */
    OVERWEIGHT("3","超重"),
    /**
     * 肥胖
     */
    OBESITY("4","肥胖");

    private final String status;

    private final String describe;


    public static BmiStatusEnum getEnum(String status) {
        BmiStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BmiStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
