package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * bmi类型 Enum
 *
 * @author dongle
 */
@Getter
@AllArgsConstructor
public enum BmiTypeEnum implements BaseEnum {

    /**
     * 肥胖
     */
    OBESITY("1", "肥胖"),

    /**
     * 超重
     */
    OVER_WEIGHT("2", "超重"),

    /**
     * 正常
     */
    NORMAL("3", "正常"),

    /**
     * 消瘦
     */
    THIN("4", "消瘦"),

    ;


    private final String code;
    private final String message;


    @Override
    public String code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }


    public static BmiTypeEnum parseString(String code) {
        for (BmiTypeEnum enumItem : BmiTypeEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }

}
