package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * BMR (基础代谢)
 * @author ：wangyalei
 * @date ：Created in 2021/8/27 4:11 下午
 */
@Getter
@AllArgsConstructor
public enum BmrStatusEnum {
    /**
     * 达标
     */
    REACH_THE_STANDARD("1", "达标"),
    /**
     * 未达标
     */
    UN_REACH_THE_STANDARD("2", "未达标"),



    ;
    private String status;

    private String description;


    public static BmrStatusEnum getEnum(String status) {
        BmrStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BmrStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

}
