package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 身体年龄
 * @author ：wangyalei
 * @date ：Created in 2021/8/30 10:12 上午
 */
@Getter
@AllArgsConstructor
public enum BodyAgeStatusEnum {
    /**
     * 优
     */
    EXCELLENT("1","优"),
    /**
     * 标准
     */
    STANDARD("2","标准"),
    /**
     * 偏高
     */
    MORE_HIGH("3","偏高");

    private final String status;

    private final String describe;


    public static BodyAgeStatusEnum getEnum(String status) {
        BodyAgeStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BodyAgeStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
