package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * TODO：功能描述
 *
 * @author : lvhaoran
 * @date Date : 2022年01月06日
 */
@Getter
@AllArgsConstructor
public enum BodyIndicatorEnum {
    /**
     * 步数
     */
    STEP("step", "步数", "无"),
    /**
     * 血糖
     */
    BLOODGLUCOSE("bloodGlucose", "血糖", "U/L"),
    /**
     * 血压
     */
    BLOODPRESSURE("bloodPressure", "血压", "U/L"),
    /**
     * 心率
     */
    HEARTRATE("heartRate", "心率", "U/L"),
    /**
     * 睡眠
     */
    SLEEP("sleep", "睡眠", "U/L"),
    /**
     * 体重
     */
    WEIGHT("weight", "体重", "U/L"),
    /**
     * 血氧
     */
    BLOODOXYGEN("bloodOxygen", "血氧", "U/L"),
    /**
     * 腰围
     */
    WAIST("waist", "腰围", "U/L"),
    /**
     * 体温
     */
    BODYTEMPERATURE("bodyTemperature", "体温", "U/L"),
    /**
     * 血尿酸
     */
    BLOODURICACID("bloodUricAcid", "血尿酸", "U/L"),
    /**
     * 骨密度
     */
    BONE("bmdTscore", "骨密度", "U/L"),
    /**
     * 肝内脂肪
     */
    LIVERFATCONTENT("liverFatContent", "肝内脂肪", "U/L"),
    /**
     * 糖化血红蛋白
     */
    GHB("ghb", "糖化血红蛋白", "U/L"),
    /**
     * 血脂
     */
    BLOODLIPIDS("bloodLipids", "血脂", "U/L"),
    /**
     * HRV
     */
    HRV("hrv", "HRV", "无"),

    ;
    private String indicator;

    private String indicatorName;

    private String unit;


    public static BodyIndicatorEnum getEnum(String indicator) {
        BodyIndicatorEnum[] values = values();
        if (indicator == null) {
            return null;
        }
        for (BodyIndicatorEnum value : values) {
            if (indicator.equals(value.indicator)) {
                return value;
            }
        }
        return null;
    }

}
