package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 体温状态
 * @author ：wangyalei
 * @date ：Created in 2021/7/28 10:14 上午
 */
@Getter
@AllArgsConstructor
public enum BodyTemperatureStatusEnum {
    /**
     * 正常
     */
    NORMAL("1", "正常"),
    /**
     * 低热
     */
    LOW_HEAT("2", "低热"),
    /**
     * 中热
     */
    MIDDLE_HEAT("3", "中热"),
    /**
     * 高热
     */
    HIGH_HEAT("4", "高热"),
    /**
     * 超高热
     */
    ULTRA_HEAT("5" , "超高热"),
    /**
     * 低温
     */
    LOW("6", "偏低"),

    ;
    private String status;

    private String description;


    public static BodyTemperatureStatusEnum getEnum(String status) {
        BodyTemperatureStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (BodyTemperatureStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
