package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;

/**
 * 食物类型枚举
 * @author jingpeng
 */
@AllArgsConstructor
public enum FoodTypeEnum implements BaseEnum {

    /**
     * 谷薯类
     */
    CEREALS("1","谷薯类"),

    /**
     * 蔬菜类
     */
    VEGETABLES("2","蔬菜类"),

    /**
     * 水果类
     */
    FRUITS("3","水果类"),

    /**
     * 肉蛋类
     */
    MEAT("4","肉蛋类"),

    /**
     * 奶类
     */
    MILK("5","奶类"),

    /**
     * 大豆类
     */
    SOYBEAN("6","大豆类"),

    /**
     * 坚果类
     */
    NUT("7","坚果类"),

    /**
     * 烹调油
     */
    OIL("8","烹调油"),

    /**
     * 食盐
     */
    SALT("9","食盐"),

    /**
     * 饮水量
     */
    WATER("10","饮水量")

    ;


    private String code ;
    private String message;


    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.message;
    }
}
