package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author jingpeng
 * @description 性别枚举
 * @date 2020/11/4
 */
@Getter
@AllArgsConstructor
public enum GenderEnum {

    /**
     * 未知
     */
    UNKNOWN("0", "未知"),

    /**
     * 男
     */
    MALE("1", "男"),

    /**
     * 女
     */
    FEMALE("2", "女"),

    ;
    private String gender;

    private String genderName;


    public static GenderEnum getEnum(String gender) {
        GenderEnum[] values = values();
        if (gender == null) {
            return null;
        }
        for (GenderEnum value : values) {
            if (gender.equals(value.gender)) {
                return value;
            }
        }
        return null;
    }

    public static List<String> getGenders() {
        GenderEnum[] values = values();

        List<String> genders = new ArrayList<>();

        for (GenderEnum value : values) {
            genders.add(value.getGender());
        }

        return genders;
    }
}
