package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 健康分析维度类型
 * @author ：wangyalei
 * @date ：Created in 2021/7/26 3:01 下午
 */
@Getter
@AllArgsConstructor
public enum HealthAnalysisDimensionalityEnum {
    /**
     * 膳食营养
     */
    DIETARY_NUTRITION("DIETARY_NUTRITION", "膳食营养"),

    /**
     * 运动健康
     */
    EXERCISE_HEALTH("EXERCISE_HEALTH", "运动健康"),

    /**
     * 睡眠
     */
    SLEEP("SLEEP", "睡眠"),

    /**
     * 生活方式---养成好习惯
     */
    LIFE_STYLE("LIFE_STYLE", "养成好习惯"),

    /**
     * 检测指标
     */
    CHECK_INDICATOR("CHECK_INDICATOR", "检测指标"),
    /**
     * 心理状态
     */
    MENTALITY_STATUS("MENTALITY_STATUS", "心理状态")


    ;
    private final String type;

    private final String message;

    public String type() {
        return this.type;
    }

    public String message() {
        return this.message;
    }

    public static HealthAnalysisDimensionalityEnum getEnum(String type) {
        HealthAnalysisDimensionalityEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (HealthAnalysisDimensionalityEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }
}
