package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 心率范围类型
 * @author ：wangyalei
 * @date ：Created in 2021/8/6 11:04 上午
 */
@Getter
@AllArgsConstructor
public enum HeartRateRangeTypeEnum {
    /**
     * 超出极限心率
     */
    OUT_EXTREMITY("OUT_EXTREMITY", "超出极限心率"),
    /**
     * 极限心率
     */
    EXTREMITY("EXTREMITY", "极限心率"),
    /**
     * 无氧心率
     */
    ANAEROBIC("ANAEROBIC", "无氧心率"),
    /**
     * 有氧耐力
     */
    AEROBIC("AEROBIC", "有氧耐力"),
    /**
     * 燃脂心率
     */
    FAT_BURNING("FAT_BURNING", "燃脂心率"),
    /**
     * 热身心率
     */
    WARM_UP("WARM_UP", "热身心率"),
    /**
     * 安静心率
     */
    QUIETNESS("QUIETNESS", "安静心率"),
    /**
     * 偏低心率
     */
    LOW("LOW", "偏低心率"),


    ;
    private String type;

    private String description;


    public static HeartRateRangeTypeEnum getEnum(String type) {
        HeartRateRangeTypeEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (HeartRateRangeTypeEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }


}
