package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * 心率状态
 * @author ：wangyalei
 * @date ：Created in 2021/7/28 9:20 上午
 */
@Getter
@AllArgsConstructor
public enum HeartRateStatusEnum {
    /**
     * 正常
     */
    NORMAL("1", "正常"),
    /**
     * 心动过缓
     */
    SLOW("2", "心动过缓"),
    /**
     * 心动过速
     */
    SPEED("3", "心动过速"),


    ;
    private String status;

    private String description;


    public static HeartRateStatusEnum getEnum(String status) {
        HeartRateStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (HeartRateStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }


}
