package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * HRV 状态
 * @author ：wangyalei
 * @date ：Created in 2021/7/28 10:16 上午
 */
@Getter
@AllArgsConstructor
public enum HrvStatusEnum {
    /**
     * 偏低
     */
    LOW("1", "偏低"),
    /**
     * 正常
     */
    NORMAL("2", "正常"),
    /**
     * 良好
     */
    GOOD("3", "良好"),
    /**
     * 优秀
     */
    EXCELLENT("4", "优秀"),


    ;
    private String status;

    private String description;


    public static HrvStatusEnum getEnum(String status) {
        HrvStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (HrvStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }


}
