package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 管理目标编码
 *
 * @author dongle
 */
@Getter
@AllArgsConstructor
public enum MealManagementEnum implements BaseEnum {

    /**
     * 减脂
     */
    FAT_REDUCTION("1", "减脂"),

    /**
     * 增肌
     */
    MUSCLE_ENHANCEMENT("2", "增肌"),

    /**
     * 保持健康
     */
    KEEP_HEALTHY("3", "保持健康"),

    /**
     * 塑形
     */
    PLASTICITY("4", "塑形"),


    ;

    private String code;
    private String comment;

    public static MealManagementEnum parseString(String code) {
        for (MealManagementEnum enumItem : MealManagementEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.comment;
    }

}
