package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息发送状态
 * @author ：wangyalei
 * @date ：2022/1/5 4:40 下午
 */
@Getter
@AllArgsConstructor
public enum MessagePushStatusEnum {

    /**
     * 成功
     */
    SUCCESS("1", "成功"),
    /**
     * 失败
     */
    FAIL("2", "失败"),



    ;
    private String status;

    private String description;


    public static MessagePushStatusEnum getEnum(String status) {
        MessagePushStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (MessagePushStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
