package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息发送类型
 * @author ：wangyalei
 * @date ：2022/1/5 4:40 下午
 */
@Getter
@AllArgsConstructor
public enum MessagePushTypeEnum {

    /**
     * 手动触发
     */
    HAND("1", "手动触发"),
    /**
     * 事件事发
     */
    EVENT("2", "事件事发"),



    ;
    private String type;

    private String description;


    public static MessagePushTypeEnum getEnum(String type) {
        MessagePushTypeEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (MessagePushTypeEnum value : values) {
            if (type.equals(value.type)) {
                return value;
            }
        }
        return null;
    }
}
