package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 矿物质Enum
 *
 * @author qxy
 */
@AllArgsConstructor
@Getter
public enum MineralEnum implements BaseEnum {

    /**
     * 钙
     */
    CALCIUM("calcium", "钙"),

    /**
     * 钾
     */
    POTASSIUM("potassium", "钾"),

    /**
     * 镁
     */
    MAGNESIUM("magnesium", "镁"),

    /**
     * 铁
     */
    IRON("iron", "铁"),

    /**
     * 锌
     */
    ZINC("zinc", "锌"),

    /**
     * 硒
     */
    SELENIUM("selenium", "硒"),

    /**
     * 铬
     */
    CHROMIUM("chromium", "铬"),

    ;
    private String code;

    private String comment;


    public static MineralEnum parseString(String code) {
        for (MineralEnum enumItem : MineralEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.comment;
    }
}
