package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 肌肉率状态
 * @author ：wangyalei
 * @date ：Created in 2021/8/31 6:30 下午
 */
@Getter
@AllArgsConstructor
public enum MuscleStatusEnum {
    /**
     * 偏低
     */
    LOW("1","偏低"),
    /**
     * 标准
     */
    STANDARD("2","标准"),
    /**
     * 偏高
     */
    MORE_HIGH("3","偏高"),
    /**
     * 高
     */
    HIGH("4","高");

    private final String status;

    private final String describe;


    public static MuscleStatusEnum getEnum(String status) {
        MuscleStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (MuscleStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
