package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 营养素参考量查询key枚举
 *
 * @author qxy
 **/
@Getter
@AllArgsConstructor
public enum NutrientReferenceIntakeEnum implements BaseEnum {

    /**
     * 50岁以下
     */
    UNDER_50_YEARS_0LD("1", "50岁以下"),

    /**
     * 65岁以下
     */
    UNDER_65_YEARS_0LD("2", "65岁以下"),

    /**
     * 80岁以下
     */
    UNDER_80_YEARS_0LD("3", "80岁以下"),
    /**
     * 80岁以上
     */
    OVER_80_YEARS_0LD("4", "80岁以上"),
    /**
     * 产后哺乳
     */
    LACTATIONAL("5", "产后哺乳"),

    ;

    private final String code;
    private final String comment;


    public static NutrientReferenceIntakeEnum parseString(String code) {
        for (NutrientReferenceIntakeEnum enumItem : NutrientReferenceIntakeEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.comment;
    }
}