package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author dongle
 * @date 2020/11/9
 */
@Getter
@AllArgsConstructor
public enum NutritionEnum implements BaseEnum {

    /**
     * 蛋白质
     */
    PROTEIN("1", "蛋白质"),

    /**
     * 碳水化合物
     */
    CARBOHYDRATE("2", "碳水化合物"),

    /**
     * 脂肪
     */
    FAT("3", "脂肪"),

    ;

    private final String code;
    private final String comment;


    public static NutritionEnum parseString(String code) {
        for (NutritionEnum enumItem : NutritionEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.comment;
    }
}
