package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;

/**
 * 压力状态
 * @author ：wangyalei
 * @date ：Created in 2021/7/28 10:23 上午
 */
@Getter
@AllArgsConstructor
public enum StressStatusEnum {
    /**
     * 平静
     */
    CALMNESS("1", "平静"),
    /**
     * 舒缓
     */
    RELIEVE("2", "舒缓"),
    /**
     * 紧张
     */
    NERVOUS("3", "紧张"),
    /**
     * 焦虑
     */
    ANXIETY("4", "焦虑"),


    ;
    private String status;

    private String description;


    public static StressStatusEnum getEnum(String status) {
        StressStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (StressStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }

}
