package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 皮下脂肪状态
 * @author ：wangyalei
 * @date ：Created in 2021/8/30 5:00 下午
 */
@Getter
@AllArgsConstructor
public enum SubcutaneousFatStatusEnum {
    /**
     * 偏低
     */
    LOW("1","偏低"),
    /**
     * 标准
     */
    STANDARD("2","标准"),
    /**
     * 偏高
     */
    MORE_HIGH("3","偏高");

    private final String status;

    private final String describe;


    public static SubcutaneousFatStatusEnum getEnum(String status) {
        SubcutaneousFatStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (SubcutaneousFatStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
