package com.jiankangyouyi.cloud.data.center.enums;

import com.jiankangyouyi.cloud.core.constant.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 维生素Enum
 *
 * @author qxy
 */
@AllArgsConstructor
@Getter
public enum VitaminEnum implements BaseEnum {

    /**
     * 维生素A
     */
    VITAMIN_A("vitaminA", "维生素A"),

    /**
     * 维生素C
     */
    VITAMIN_C("vitaminC", "维生素C"),

    /**
     * 维生素D
     */
    VITAMIN_D("vitaminD", "维生素D"),

    /**
     * 维生素E
     */
    VITAMIN_E("vitaminE", "维生素E"),

    /**
     * 维生素B1
     */
    VITAMIN_B1("vitaminB1", "维生素B1"),

    /**
     * 维生素B2
     */
    VITAMIN_B2("vitaminB2", "维生素B2"),


    /**
     * 维生素B5
     */
    VITAMIN_B5("vitaminB5", "维生素B5"),

    /**
     * 维生素B6
     */
    VITAMIN_B6("vitaminB6", "维生素B6"),

    /**
     * 维生素B12
     */
    VITAMIN_B12("vitaminB12", "维生素B12"),

    /**
     * 叶酸
     */
    FOLIC_ACID("folicAcid", "叶酸"),

    /**
     * 烟酸
     */
    NICOTINIC_ACID("nicotinicAcid", "烟酸"),


    ;
    private String code;

    private String comment;


    public static VitaminEnum parseString(String code) {
        for (VitaminEnum enumItem : VitaminEnum.values()) {
            if (enumItem.getCode().equals(code)) {
                return enumItem;
            }
        }
        return null;
    }

    public static Boolean contains(String code) {
        return parseString(code) != null;
    }

    @Override
    public String code() {
        return this.code;
    }

    @Override
    public String message() {
        return this.comment;
    }
}
