package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 体重状态
 * @author ：wangyalei
 * @date ：Created in 2021/8/30 2:38 下午
 */
@Getter
@AllArgsConstructor
public enum WeightStatusEnum {
    /**
     * 消瘦
     */
    THINNISH("1","消瘦"),
    /**
     * 标准
     */
    STANDARD("2","标准"),
    /**
     * 超重
     */
    MORE_FAT("3","超重"),
    /**
     * 肥胖
     */
    OBESITY("4","肥胖");

    private final String status;

    private final String describe;


    public static WeightStatusEnum getEnum(String type) {
        WeightStatusEnum[] values = values();
        if (type == null) {
            return null;
        }
        for (WeightStatusEnum value : values) {
            if (type.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
