package com.jiankangyouyi.cloud.data.center.enums;

/**
 * 自定义词性
 * @author yangsongbo
 *
 */
public enum WordNatureEnum {
	
	/**食物名称*/
	FOOD_NAME("FOOD_NAME","食物名称"),
	
	/**运动名称*/
	EXERCISE_NAME("EXERCISE_NAME","运动名称"),

	/**自定义数词*/
	NUMBER("NUMBER","自定义数词"),
	
	/**时间 AM，NOON，PM*/
	DAY_TIME("DAY_TIME","时间 AM，NOON，PM"),
	
	/**单位*/
	UNIT("UNIT","单位"),
	
	/**标点符号*/
	PUNCTUATION("PUNCTUATION","标点符号"),
	
	/**人名*/
	PERSONAL_NAME("PERSONAL_NAME","人名"),
	
	/**过滤的词*/
	FILTER_WORD("FILTER_WORD","过滤的词"),
	
	/**名词*/
	N("n","名词"),
	
	/**数词*/
	M("m","数词"),
	
	/**数量词*/
	MQ("mq","数量词"),
	
	/**时间词*/
	T("t","时间词"),
	
	/**量词*/
	Q("q","量词"),
	
  

	;
	
	
	private String value;
	private String displayName;

	
	public String getValue() {
		return value;
	}

	public String getDisplayName() {
		return displayName;
	}

	private WordNatureEnum(String value, String displayName) {
		this.value = value;
		this.displayName = displayName;
	}
	
	public static WordNatureEnum getEnum(String name) {

		WordNatureEnum[] es = values();
		for (WordNatureEnum e : es) {
			if (e.name().equalsIgnoreCase(name)) {
				return e;
			}
		}
		return null;
	}


}
