package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 鱼跃智能硬件设备检测高压范围值
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum YuyueHealthDbpEnum {


    /**
     * 低压正常小于80
     */
    DBP_NORMAL_LT(80, "低压正常小于80"),

    /**
     * 正常高值大于等于80
     */
    DBP_NORMAL_HIGH_GE(80, "正常高值大于等于80"),

    /**
     * 正常高值小于等于89
     */
    DBP_NORMAL_HIGH_LE(89, "正常高值小于等于89"),

    /**
     * 轻度大于等于90
     */
    DBP_MILD_GE(90, "轻度大于等于90"),

    /**
     * 轻度小于等于99
     */
    DBP_MILD_LE(99, "轻度小于等于99"),

    /**
     * 中度大于等于100
     */
    DBP_MIDDLE_GE(100, "中度大于等于100"),

    /**
     * 中度小于109
     */
    DBP_MIDDLE_LE(109, "中度小于109"),

    /**
     * 重度大于等于110
     */
    DBP_BAD_GE(110, "重度大于等于110"),

    ;

    private int dbpValue;

    private String describe;


    public static YuyueHealthDbpEnum getEnum(Integer dbpValue) {
        YuyueHealthDbpEnum[] values = values();
        if (dbpValue == null) {
            return null;
        }
        for (YuyueHealthDbpEnum value : values) {
            if (dbpValue==value.dbpValue) {
                return value;
            }
        }
        return null;
    }
}
