package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 鱼跃智能硬件设备检测高压范围值
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum YuyueHealthSbpEnum {


    /**
     * 高压正常小于120
     */
    SBP_NORMAL_LT(120, "高压正常小于120"),

    /**
     * 正常高值大于等于120
     */
    SBP_NORMAL_HIGH_GE(120, "正常高值大于等于120"),

    /**
     * 正常高值小于等于139
     */
    SBP_NORMAL_HIGH_LE(139, "正常高值小于等于139"),

    /**
     * 轻度大于等于140
     */
    SBP_MILD_GE(140, "轻度大于等于140"),

    /**
     * 轻度小于等于159
     */
    SBP_MILD_LE(159, "轻度小于等于159"),

    /**
     * 中度大于等于160
     */
    SBP_MIDDLE_GE(160, "中度大于等于160"),

    /**
     * 中度小于等于179
     */
    SBP_MIDDLE_LE(179, "中度小于等于179"),

    /**
     * 重度大于等于180
     */
    SBP_BAD_GE(180, "大于等于180"),

    ;

    private int sbpValue;

    private String describe;


    public static YuyueHealthSbpEnum getEnum(Integer sbpValue) {
        YuyueHealthSbpEnum[] values = values();
        if (sbpValue == null) {
            return null;
        }
        for (YuyueHealthSbpEnum value : values) {
            if (sbpValue==value.sbpValue) {
                return value;
            }
        }
        return null;
    }
}
