package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 鱼跃智能硬件设备检测健康状态
 *
 * @author fengxuanjun
 */
@Getter
@AllArgsConstructor
public enum YuyueHealthStatusEnum {


    /**
     * 正常
     */
    NORMAL("1", "正常"),

    /**
     * 正常高值
     */
    NORMAL_HIGH("2", "正常高值"),

    /**
     * 轻度
     */
    MILD("3", "轻度"),

    /**
     * 中度
     */
    MIDDLE("4", "中度"),

    /**
     * 重度
     */
    BAD("5", "重度"),

    ;

    private String status;

    private String describe;


    public static YuyueHealthStatusEnum getEnum(String status) {
        YuyueHealthStatusEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (YuyueHealthStatusEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
