package com.jiankangyouyi.cloud.data.center.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 热量消耗状态
 */
@Getter
@AllArgsConstructor
public enum heatConsumptionEnum {

    //热量消耗状态：包含仍需消耗、卡路里平衡、热量赤字、消耗过量
//    /**
//     * 仍需消耗
//     */
//    NEED_TO_CONSUME("1", "仍需消耗"),
//
//    /**
//     * 卡路里平衡
//     */
//    CALORIE_BALANCE("2", "卡路里平衡"),
//
//    /**
//     * 热量亏损
//     */
//    CALORIE_DEFICIT("3", "热量亏损"),
//
//    /**
//     * 消耗过量
//     */
//    LUXUS_CONSUMPTION("4", "消耗过量"),

    //v1.6 审批同意修改为如下
    /**
     * 仍需运动
     */
    NEED_TO_CONSUME("1", "仍需运动"),

    /**
     * 动态平衡
     */
    CALORIE_BALANCE("2", "动态平衡"),

    /**
     * 能量不足
     */
    CALORIE_DEFICIT("3", "能量不足"),

    /**
     * 运动过量
     */
    LUXUS_CONSUMPTION("4", "运动过量"),

    /**
     * 运动适宜
     */
    SUITABLE_EXERCISE("5", "运动适宜"),

    ;

    private String status;

    private String description;


    public static heatConsumptionEnum getEnum(String status) {
        heatConsumptionEnum[] values = values();
        if (status == null) {
            return null;
        }
        for (heatConsumptionEnum value : values) {
            if (status.equals(value.status)) {
                return value;
            }
        }
        return null;
    }
}
