package com.jiankangyouyi.cloud.data.center.model.dto.api;

import com.jiankangyouyi.cloud.basedata.model.dto.api.AbstractHttpApiRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 文本解析记录食物
 *
 * @author jingpeng
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
public class SemanticTextAnalysisDTO extends AbstractHttpApiRequestDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 用户ID
     */
    @NotBlank(message = "请求参数userId为空")
    @Size(max = 64, message = "请求参数userId长度不合法")
    private String userId;

    /**
     * 输入文本 最长512字符
     */
    @NotBlank(message = "请求参数text为空")
    @Size(max = 512, message = "请求参数text长度不合法")
    private String text;

}
