package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiankangyouyi.cloud.data.center.model.entity.mongo.component.AppUserSymptom;
import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户健康状况-症状权限表
 *
 * @author fengxuanjun
 */
@Data
@Document(collection = "v3.app.user.symptom.right")
public class AppUserSymptomRightDO implements Serializable {

    private static final long serialVersionUID = 1L;


    @Id
    private ObjectId id;

    /**
     * NOT NULL 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


    /**
     * NOT NULL 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /**
     * 权限
     */
    private String rightId;

    /**
     * NOT NULL 症状
     */
    private List<AppUserSymptom> symptoms;

    /**
     * 状态
     * {@link com.jiankangyouyi.cloud.core.base.enums.ValidStatusEnum}
     */
    private String validStatus;


    public static final String FIELD_ID = "_id";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";
    public static final String FIELD_RIGHTID = "rightId";
    public static final String FIELD_SYMPTOMS = "symptoms";
    public static final String FIELD_SYMPTOMS_CODE = "symptoms.code";
    public static final String FIELD_SYMPTOMS_NAME = "symptoms.name";
    public static final String FIELD_SYMPTOMS_SYMPTOMSTATUS = "symptoms.symptomStatus";
    public static final String FIELD_VALIDSTATUS = "validStatus";

}
