package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import com.jiankangyouyi.cloud.core.base.entity.BaseMongoEntity;
import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 开发者应用信息
 *
 * @author jingpeng
 */
@Data
@Document(collection = "developer.app.info2")
public class DeveloperAppInfo2DO extends BaseMongoEntity {

    /**
     * 应用ID 为了兼容之前的非ObjectId 型字符串
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用描述
     */
    private String description;

    /**
     * 开发者ID
     */
    private String developerId;

    /**
     * 应用级别
     * </p>
     * <p>
     */
    private String appLevel;

    /**
     * 应用公钥
     */
    private String publicKey;

    /**
     * API密钥
     */
    private String apiKey;

    /**
     * 应用类型 API 型还是装机型 还是测试应用（API测试调用）
     * <p>
     */
    private String appType;


    /**
     * 支持平台列表
     * </p>
     * <p>
     */
    private String platform;

    /**
     * 使用场景
     */
    private String scene;

    
    
    public static final String FIELD_APPID = "appId";
    public static final String FIELD_APPNAME = "appName";
    public static final String FIELD_DESCRIPTION = "description";
    public static final String FIELD_DEVELOPERID = "developerId";
    public static final String FIELD_APPLEVEL = "appLevel";
    public static final String FIELD_PUBLICKEY = "publicKey";
    public static final String FIELD_APIKEY = "apiKey";
    public static final String FIELD_APPTYPE = "appType";
    public static final String FIELD_PLATFORM = "platform";
    public static final String FIELD_SCENE = "scene";
}
