package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;

/**
 * 应用信息表
 *
 * @author yangsongbo
 * @since v3.5.4
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "developer.app.info2")
public class DeveloperAppInfoDO implements Serializable {

    /**
     * 主键
     */
    @Id
    private ObjectId _id;

    /**
     * 应用ID 为了兼容之前的非ObjectId 型字符串
     */
    private String appId;

    /**
     * API密钥
     */
    private String apiKey;

    /**
     * 有效标识
     */
    private String validStatus;


}