package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import com.jiankangyouyi.cloud.data.center.model.entity.mongo.component.FoodMetrologyEntryBean;
import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 
 * 度量衡表
 * @author jingpeng
 */
@Data
@Document(collection = "food2.metrology")
public class Food2MetrologyDO implements Serializable {

   
	private static final long serialVersionUID = 1L;

	@Id
    private ObjectId _id;
    
    /**
     * 食物ID
     */
    private String foodId;
    
    /**
     * 度量衡类型
     */
    private String metrologyType;
    
    /**
     * 图片和描述列表
     * </p>
     * 可以为空，为空时根据metrologyType查询度量衡类型表
     */
    private List<FoodMetrologyEntryBean> entryList;
    
    /** 更新时间 */
    private Date updateTime;
    
    /** 创建时间 */               
    private Date createTime;


    public static final String FIELD__ID = "_id";
    public static final String FIELD_FOODID = "foodId";
    public static final String FIELD_METROLOGYTYPE = "metrologyType";
    public static final String FIELD_ENTRYLIST = "entryList";
    public static final String FIELD_ENTRYLIST_IMAGEKEY = "entryList.imageKey";
    public static final String FIELD_ENTRYLIST_DESCRIBE = "entryList.describe";
    public static final String FIELD_UPDATETIME = "updateTime";
    public static final String FIELD_CREATETIME = "createTime";


}