package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import com.jiankangyouyi.cloud.data.center.model.dto.api.SemanticTextAnalysisDTO;
import com.jiankangyouyi.cloud.data.center.model.semantic.SemanticSpeechRecordFoodAnalysisVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;

/**
 * 文本记录食物解析日志
 *
 * @author jingpeng
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "record.semantic.record.food.analysis")
public class RecordSemanticRecordFoodAnalysisDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    private ObjectId id;

    /**
     * 记录日期 yyyyMMdd
     */
    private String recordDate;

    /**
     * 请求数据
     */
    private SemanticTextAnalysisDTO reqData;

    /**
     * 识别结果
     */
    private SemanticSpeechRecordFoodAnalysisVO resData;

    /**
     * 解析状态（SUCCESS or FAIL）
     */
    private String analysisStatus;

    /**
     * 耗时（毫秒）
     */
    private Long costTimes;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
