package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import lombok.Builder;
import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * 常见运动列表
 *
 * @author jingpeng
 */
@Data
@Builder
@Document(collection = "record.used.exercise")
public class RecordUsedExerciseDO {

    /**
     * 主键
     */
    @Id
    private ObjectId _id;

    /**
     * 用户ID
     */
    private String userId;

    private String appId;


    /**
     * 运功ID
     */
    private String exerciseId;

    /**
     * 使用时间
     */
    private Date usedTime;

    /**
     * 推荐运动排序
     */
    private int rowOrder;


    public static final String FIELD__ID = "_id";
    public static final String FIELD_USERID = "userId";
    public static final String FIELD_APPID = "appId";
    public static final String FIELD_EXERCISEID = "exerciseId";
    public static final String FIELD_USEDTIME = "usedTime";
    public static final String FIELD_ROWORDER = "rowOrder";

    public static final String DEFAULT_USER_ID = "00000000000000000000";
    public static final String DEFAULT_APP_ID = "5b84a2476d0699251fb4a574";
    public static final String NEW_DEFAULT_USER_ID = "100000000000000000000";

}
