package com.jiankangyouyi.cloud.data.center.model.entity.mongo;

import lombok.Builder;
import lombok.Data;
import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * 常用食物表
 *
 * @author jingpeng
 */

@Data
@Builder
@Document(collection = "record.used.food")
public class RecordUsedFoodDO {

    /**主键*/
    @Id
    private ObjectId _id;

    /**用户ID，推荐用户0000000000000的食物*/
    private String userId;

    private String appId;

    /**食物ID*/
    private String foodId;

    /**使用时间*/
    private Date usedTime;

    /**早，中，晚，加*/
    private String mealType;

    /**推荐食物排序*/
    private int rowOrder;

    /**
     * 新的食物 类型  1
     */
    private String foodType;

    public static final String FIELD__ID = "_id";
    public static final String FIELD_USERID = "userId";
    public static final String FIELD_APPID = "appId";
    public static final String FIELD_FOODID = "foodId";
    public static final String FIELD_USEDTIME = "usedTime";
    public static final String FIELD_MEALTYPE = "mealType";
    public static final String FIELD_ROWORDER = "rowOrder";

    public static final String DEFAULT_USER_ID = "00000000000000000000";
    public static final String New_DEFAULT_USER_ID = "100000000000000000000";
    public static final String FIELD_TYPE = "type";


}
