package com.jiankangyouyi.cloud.data.center.model.entity.mongo.component;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 生活状况
 * @author fengxuanjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AppUserLifeState implements Serializable {

    /**
     * 生活状况 code
     *
     * 吸烟情况：{@link com.jiankangyouyi.cloud.data.center.api.enums.SmokeStateEnum}
     * 饮用情况：{@link com.jiankangyouyi.cloud.data.center.api.enums.DrinkStateEnum}
     * 体育户外：{@link com.jiankangyouyi.cloud.data.center.api.enums.ExerciseStateEnum}
     * 饮食情况：{@link com.jiankangyouyi.cloud.data.center.api.enums.DietaryHabitEnum}
     * 心理情况：{@link com.jiankangyouyi.cloud.data.center.api.enums.MentalStateEnum}
     * 睡眠情况：{@link com.jiankangyouyi.cloud.data.center.api.enums.SleepStateEnum}
     * {@link com.jiankangyouyi.cloud.data.center.api.enums.SymptomEnum}
     */
    private String code;

    /**
     * 状况名称
     */
    private String name;

    /**
     * 状态
     * {@link com.jiankangyouyi.cloud.data.center.api.enums.LifeStatusEnum}
     */
    private String lifeStatus;


}