package com.jiankangyouyi.cloud.data.center.model.entity.mongo.component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 食谱对象
 *
 */
public class DietaryBean {
	
	/** 水作为 {@link WaterTypeEnum} */
    private String waterType;
    
    /** 工艺 {@link DietaryCraftEnum} */
    private String craft;

    /** 主料 */
    private List<FoodMaterialBean> majorMaterial;

    /** 辅料 */
    private List<FoodMaterialBean> minorMaterial;
    
    /**
     * 烹饪时间 单位 分钟
     */
    private int cookingTime;
    
    /**
     * 烹饪步骤
     */
    private List<FoodCookingStepBean> cookingSteps;
    
    

	public String getWaterType() {
		return waterType;
	}

	public void setWaterType(String waterType) {
		this.waterType = waterType;
	}

	public String getCraft() {
		return craft;
	}

	public void setCraft(String craft) {
		this.craft = craft;
	}

	public List<FoodMaterialBean> getMajorMaterial() {
		return majorMaterial;
	}

	public void setMajorMaterial(List<FoodMaterialBean> majorMaterial) {
		this.majorMaterial = majorMaterial;
	}

	public List<FoodMaterialBean> getMinorMaterial() {
		return minorMaterial;
	}

	public void setMinorMaterial(List<FoodMaterialBean> minorMaterial) {
		this.minorMaterial = minorMaterial;
	}

	public int getCookingTime() {
		return cookingTime;
	}

	public void setCookingTime(int cookingTime) {
		this.cookingTime = cookingTime;
	}

	public List<FoodCookingStepBean> getCookingSteps() {
		return cookingSteps;
	}

	public void setCookingSteps(List<FoodCookingStepBean> cookingSteps) {
		this.cookingSteps = cookingSteps;
	}
	


    public String toString(){
        String sep = "; ";
        StringBuffer sb = new StringBuffer();
        sb.append("Dietary").append(":");
        sb.append("[waterType]").append(" = ").append(getWaterType()).append(sep);
        sb.append("[craft]").append(" = ").append(getCraft()).append(sep);
        sb.append("[majorMaterial]").append(" = ").append(getMajorMaterial()).append(sep);
        sb.append("[minorMaterial]").append(" = ").append(getMinorMaterial()).append(sep);
        sb.append("[cookingTime]").append(" = ").append(getCookingTime()).append(sep);
        sb.append("[cookingSteps]").append(" = ").append(getCookingSteps()).append(sep);
        return sb.toString();
    }


    public Map<String,Object> putFieldValueToMap() {
   		Map<String,Object> map_=new HashMap<String,Object>();
    	map_.put("waterType",getWaterType());
    	map_.put("craft",getCraft());
    	map_.put("majorMaterial",getMajorMaterial());
    	map_.put("minorMaterial",getMinorMaterial());
    	map_.put("cookingTime",getCookingTime());
    	map_.put("cookingSteps",getCookingSteps());
		return map_;
    }


    @SuppressWarnings("unchecked")
    public void doMapToDtoValue(Map<String, Object> map,boolean isDealNull) {
    	if(null!=map.get("waterType")){
    		this.setWaterType((String)map.get("waterType"));
    	}else{
    		if(isDealNull && map.containsKey("waterType"))
    			this.setWaterType((String)map.get("waterType"));
    	}	
    	if(null!=map.get("craft")){
    		this.setCraft((String)map.get("craft"));
    	}else{
    		if(isDealNull && map.containsKey("craft"))
    			this.setCraft((String)map.get("craft"));
    	}	
    	if(null!=map.get("majorMaterial")){
    		this.setMajorMaterial((List<FoodMaterialBean>)map.get("majorMaterial"));
    	}else{
    		if(isDealNull && map.containsKey("majorMaterial"))
    			this.setMajorMaterial((List<FoodMaterialBean>)map.get("majorMaterial"));
    	}	
    	if(null!=map.get("minorMaterial")){
    		this.setMinorMaterial((List<FoodMaterialBean>)map.get("minorMaterial"));
    	}else{
    		if(isDealNull && map.containsKey("minorMaterial"))
    			this.setMinorMaterial((List<FoodMaterialBean>)map.get("minorMaterial"));
    	}	
    	if(null!=map.get("cookingTime")){
    		this.setCookingTime((int)map.get("cookingTime"));
    	}else{
    		if(isDealNull && map.containsKey("cookingTime"))
    			this.setCookingTime((int)map.get("cookingTime"));
    	}	
    	if(null!=map.get("cookingSteps")){
    		this.setCookingSteps((List<FoodCookingStepBean>)map.get("cookingSteps"));
    	}else{
    		if(isDealNull && map.containsKey("cookingSteps"))
    			this.setCookingSteps((List<FoodCookingStepBean>)map.get("cookingSteps"));
    	}	
    }


    public static final String field_waterType = "waterType";
    public static final String field_craft = "craft";
    public static final String field_majorMaterial = "majorMaterial";
    public static final String field_minorMaterial = "minorMaterial";
    public static final String field_cookingTime = "cookingTime";
    public static final String field_cookingSteps = "cookingSteps";
}
