package com.jiankangyouyi.cloud.data.center.model.entity.mongo.component;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * 食材
 * @author yangsongbo
 *
 */
@Getter
@Setter
public class FoodMaterialBean {
    /** 食材ID */
    private String materialId;
    /** 数量 */
    private double count;

    private String materialName;

    /**
     * 1或者为空 为食物库里的食物
     * 2 为中医药材
     * 3 为食材 注：在食物详情页中点击不可跳转食材页面
     */
    private String type;

    /**
     * 食物图片Key
     */
    private String imageKey;



    public FoodMaterialBean(){

    }

    public FoodMaterialBean(String materialId, double count){
        this.materialId = materialId;
        this.count = count;
    }

    @Override
    public String toString() {
        String sep = "; ";
        StringBuffer sb = new StringBuffer();
        sb.append("FoodMaterialBean").append(":");
        sb.append("[materialId]").append(" = ").append(getMaterialId()).append(sep);
        sb.append("[count]").append(" = ").append(getCount()).append(sep);
        sb.append("[materialName]").append(" = ").append(getMaterialName()).append(sep);
        sb.append("[imageKey]").append(" = ").append(getImageKey()).append(sep);
        sb.append("[type]").append(" = ").append(getType()).append(sep);
        return sb.toString();
    }


    public Map<String,Object> putFieldValueToMap() {
        Map<String,Object> map_=new HashMap<String,Object>();
        map_.put("materialId",getMaterialId());
        map_.put("count",getCount());
        map_.put("materialName",getMaterialName());
        map_.put("imageKey",getImageKey());
        map_.put("type",getType());
        return map_;
    }


    @SuppressWarnings("unchecked")
    public void doMapToDtoValue(Map<String, Object> map,boolean isDealNull) {
        if(null!=map.get("materialId")){
            this.setMaterialId((String)map.get("materialId"));
        }else{
            if(isDealNull && map.containsKey("materialId")) {
                this.setMaterialId((String)map.get("materialId"));
            }
        }
        if(null!=map.get("count")){
            this.setCount((double)map.get("count"));
        }else{
            if(isDealNull && map.containsKey("count")) {
                this.setCount((double)map.get("count"));
            }
        }
        if(null!=map.get("materialName")){
            this.setMaterialName((String)map.get("materialName"));
        }else{
            if(isDealNull && map.containsKey("materialName")) {
                this.setMaterialName((String)map.get("materialName"));
            }
        }
        if(null!=map.get("imageKey")){
            this.setImageKey((String)map.get("imageKey"));
        }else{
            if(isDealNull && map.containsKey("imageKey"))
                this.setImageKey((String)map.get("imageKey"));
        }
        if(null!=map.get("type")){
            this.setType((String)map.get("type"));
        }else{
            if(isDealNull && map.containsKey("type")) {
                this.setType((String)map.get("type"));
            }
        }
    }


    public static final String field_materialId = "materialId";
    public static final String field_count = "count";
    public static final String field_materialName = "materialName";
    public static final String field_imageKey = "imageKey";
    public static final String field_type = "type";
}
