package com.jiankangyouyi.cloud.data.center.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

/**
 * <p>
 * 用户测评报告
 * </p>
 *
 * @author fengxuanjun
 * @since 2021-07-19
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_app_user_report")
public class BizAppUserReportDO extends Model<BizAppUserReportDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 创建时间
     */
    @TableField("create_date")
    private Date createDate;

    /**
     * 业务类型
     */
    @TableField("biz_type")
    private String bizType;

    /**
     * 报告ID
     */
    @TableField("report_id")
    private String reportId;

    /**
     * 应用ID
     */
    @TableField("app_id")
    private String appId;
    /**
     * 配置id
     */
    @TableField("config_id")
    private String configId;

    /**
     * 测评项目ID
     */
    @TableField("user_id")
    private String userId;

    /**
     * 性别：0：未知，1：男，2：女
     */
    @TableField("gender")
    private String gender;

    /**
     * 年龄
     */
    @TableField("age")
    private Integer age;


    public static final String ID = "id";

    public static final String UPDATE_TIME = "update_time";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATE_DATE = "create_date";

    public static final String BIZ_TYPE = "biz_type";

    public static final String REPORT_ID = "report_id";

    public static final String APP_ID = "app_id";

    public static final String USER_ID = "user_id";

    public static final String GENDER = "gender";

    public static final String AGE = "age";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
