package com.jiankangyouyi.cloud.data.center.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户测评报告_疾病信息
 * </p>
 *
 * @author fengxuanjun
 * @since 2021-07-19
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_app_user_report_disease")
public class BizAppUserReportDiseaseDO extends Model<BizAppUserReportDiseaseDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 报告ID
     */
    @TableField("report_id")
    private String reportId;

    /**
     * 疾病编码
     */
    @TableField("disease_code")
    private String diseaseCode;

    /**
     * 疾病名称
     */
    @TableField("disease_name")
    private String diseaseName;

    /**
     * 风险等级
     */
    @TableField("risk_level")
    private Integer riskLevel;

    /**
     * 风险等级描述
     */
    @TableField("risk_description")
    private String riskDescription;


    public static final String ID = "id";

    public static final String REPORT_ID = "report_id";

    public static final String DISEASE_CODE = "disease_code";

    public static final String DISEASE_NAME = "disease_name";

    public static final String RISK_LEVEL = "risk_level";

    public static final String RISK_DESCRIPTION = "risk_description";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
