package com.jiankangyouyi.cloud.data.center.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户测评报告_营养素状态信息
 * </p>
 *
 * @author fengxuanjun
 * @since 2021-11-25
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_app_user_report_nutrient_state")
public class BizAppUserReportNutrientStateDO extends Model<BizAppUserReportNutrientStateDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 报告ID
     */
    @TableField("report_id")
    private String reportId;

    /**
     * 营养素状态编码
     */
    @TableField("nutrient_state_code")
    private String nutrientStateCode;

    /**
     * 营养素状态名称
     */
    @TableField("nutrient_state_name")
    private String nutrientStateName;

    /**
     * 风险等级
     */
    @TableField("risk_level")
    private Integer riskLevel;

    /**
     * 风险等级描述
     */
    @TableField("risk_description")
    private String riskDescription;


    public static final String ID = "id";

    public static final String REPORT_ID = "report_id";

    public static final String NUTRIENT_STATE_CODE = "nutrient_state_code";

    public static final String NUTRIENT_STATE_NAME = "nutrient_state_name";

    public static final String RISK_LEVEL = "risk_level";

    public static final String RISK_DESCRIPTION = "risk_description";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
