package com.jiankangyouyi.cloud.data.center.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.sql.Timestamp;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author fengxuanjun
 * @since 2021-11-30
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_health_permission")
public class BizHealthPermissionDO extends Model<BizHealthPermissionDO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("permission_name")
    private String permissionName;

    @TableField("permission_code")
    private String permissionCode;

    /**
     * 所属产品几大中心
     */
    @TableField("product_type")
    private String productType;

    /**
     * 分类code（字典）HealthRightTypeEnum
     */
    @TableField("category_code")
    private String categoryCode;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 操作账号
     */
    @TableField("operator_account")
    private String operatorAccount;

    /**
     * 权限描述
     */
    @TableField("permission_desc")
    private String permissionDesc;

    /**
     * 权限图片url
     */
    @TableField("permission_url")
    private String permissionUrl;

    /**
     * 是否有效：1：有效，UUID：无效
     */
    @TableField("valid_status")
    private String validStatus;

    /**
     * biz_type 类型
     */
    @TableField("biz_type")
    private String bizType;




    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
