package com.jiankangyouyi.cloud.data.center.model.entity.mysql;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.sql.Timestamp;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 健康权限
 * </p>
 *
 * @author fengxuanjun
 * @since 2021-10-21
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("biz_health_right")
public class BizHealthRightDO extends Model<BizHealthRightDO> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Timestamp updateTime;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Timestamp createTime;

    /**
     * 应用ID
     */
    @TableField("app_id")
    private String appId;

    /**
     * 业务类型
     */
    @TableField("biz_type")
    private String bizType;

    /**
     * 配置ID
     */
    @TableField("config_id")
    private String configId;

    /**
     * 权限类型
     * 1：健康项目，
     * 2：健康模块权限
     * 3：健康标签权限
     * 后续扩展...
     */
    @TableField("right_type")
    private String rightType;

    /**
     * 1：健康项目
     * TYPE_2_DIABETES：2型糖尿病
     * HYPERTENSION：高血压
     * HPYPERLIPIDEMIA：高血脂
     * OSTEOPOROSIS：骨质疏松
     * GOUT：痛风
     * FATTY_LIVER：脂肪肝
     * STROKE：脑卒中
     * HYPERURICEMIA：高尿酸血症
     * OBESITY：肥胖
     * AD：阿尔兹海默症
     * COPD：慢阻肺
     * ASCVD：动脉粥样硬化性心血管
     * ICVD：缺血性心血管
     * TSH：甲状腺功能减退（甲减）
     * IIH：甲状腺功能亢进（甲亢）
     * INSOMNIA：失眠
     * NUTRIENT_DEFICIENCY：营养不良
     * CFS：慢性疲劳综合征
     * DIET：饮食
     * EXERCISE：运动
     *
     * 2：测评报告模块权限
     * DIETARY_NUTRITION：膳食营养
     * EXERCISE_HEALTH：运动健康
     * DAILY_LIFE：生活起居
     * MEDICAL_GUIDE：医学指导
     *
     * 3：健康报告标签权限
     * 注释：
     * * 健康报告
     * INDICATOR：异常指标解读
     * RISK_FACTOR：主要风险因素
     * HEALTH_PROBLEM：需关注健康问题
     * * 膳食营养
     * MEALS_MATCHING：三餐合理配比
     * BALANCED_DIET：平衡膳食
     * DIET_PRINCIPLE：饮食原则
     * * 运动健康
     * EXERCISE_PRINCIPLE：运动原则
     * EXERCISE_NOTICE：运动注意事项
     * * 生活起居
     * DAILY_LIFE：生活起居
     * * 医学指导
     * NUTRIENT_SUPPLEMENT_RECOMMEND：营养素补充剂推荐
     * MEDICAL_ADVICE：就医建议
     * DAILY_DISEASE_MONITORING：日常病情监测
     */
    @TableField("right_item")
    private String rightItem;

    /**
     * 产品类型
     */
    @TableField("product_type")
    private String productType;


    /**
     * 产品类型 属于那个产品配置的code
     */
    @TableField("belong_product_type")
    private String belongProductType;



    public static final String ID = "id";

    public static final String UPDATE_TIME = "update_time";

    public static final String CREATE_TIME = "create_time";

    public static final String APP_ID = "app_id";

    public static final String BIZ_TYPE = "biz_type";

    public static final String CONFIG_ID = "config_id";

    public static final String PRODUCT_TYPE = "product_type";

    public static final String RIGHT_TYPE = "right_type";

    public static final String RIGHT_ITEM = "right_item";

    public static final String BELONGPRODUCTTYPE = "belong_product_type";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
