package com.jiankangyouyi.cloud.data.center.model.semantic;

import com.jiankangyouyi.cloud.data.center.enums.SemanticRecordIntentEnum;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 语音解析返回数据
 *
 * @author jingpeng
 */

@Data
@Builder
@NoArgsConstructor
public class SemanticRecordAnalysisResult {


    /**
     * 意图 RECORD_MEAL,RECORD_SPORT，UNKOWN
     * {@link SemanticRecordIntentEnum}
     */
    private String intent;

    /**
     * 时间 AM、NOON、PM
     */
    private String dayTime;

    /**
     * 名称
     */
    private String itemName;

    /**
     * 数量
     */
    private BigDecimal count;

    /**
     * 单位
     */
    private String unit;

    public SemanticRecordAnalysisResult(String intent, String dayTime, String itemName, BigDecimal count, String unit) {
        this.intent = intent;
        this.dayTime = dayTime;
        this.itemName = itemName;
        this.count = count;
        this.unit = unit;
    }

}
