package com.jiankangyouyi.cloud.data.center.model.vo.api;

import com.jiankangyouyi.cloud.data.center.model.bean.FoodInfoBean;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 语义解析记录食物返回对象
 *
 * @author jingpeng
 */

@Data
public class SemanticRecordFoodAnalysisResult implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 解析结果 1 成功 2 失败
     */
    private String analysisResult;

    /**
     * 饮食类型 1 早餐 2 午餐 3 晚餐
     */
    private String mealType;

    /**
     * 食物名称
     */
    private String foodName;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 单位
     */
    private String unit;

    /**
     * 热量
     */
    private Integer energy;

    /**
     * 食物信息
     */
    private FoodInfoBean foodInfo;
}
