package com.jiankangyouyi.cloud.data.center.model.vo.api.component;

import com.jiankangyouyi.cloud.data.center.api.enums.ConsumeRecordTypeEnum;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统运动信息返回页面数据bean
 *
 * @author jingpeng
 */

@Data
@Builder
public class SystemExerciseInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 运动ID
     */
    private String exerciseId;

    /**
     * 运动名称
     */
    private String exerciseName;

    /**
     * 运动图片
     */
    private String imageUrl;

    /**
     * 运动描述
     */
    private String exerciseDesc;

    /**
     * 默认单位 （分钟）
     */
    private String unit;

    /**
     * 最小数量
     */
    private double minQuantity;

    /**
     * 基础数量的热量
     */
    private int minQuantityEnergy;

    /**
     * 运动类型，系统运动 {@link ConsumeRecordTypeEnum}
     */
    private String exerciseType;

}
