package com.jiankangyouyi.cloud.food_match.enums;

import lombok.Getter;

@Getter
public enum FoodHealthProblemEnum {

    TYPE_2_DIABETES("TYPE_2_DIABETES", "2型糖尿病","4"),
    HYPERTENSION("HYPERTENSION", "高血压","12"),
    DYSLIPIDEMIA("DYSLIPIDEMIA", "血脂异常","8"),
    CORONARY_DISEASE("CORONARY_DISEASE", "冠心病","11"),
    OSTEOPOROSIS("OSTEOPOROSIS", "骨质疏松","7"),
    GOUT("GOUT", "痛风","5"),
    FATTY_LIVER("FATTY_LIVER", "脂肪肝","9"),
    STROKE("STROKE", "脑卒中","10"),
    GASTRIC_FUNCTION_DISORDER("GASTRIC_FUNCTION_DISORDER", "胃功能紊乱","6"),
    INTESTINAL_FUNCTION_DISORDER("INTESTINAL_FUNCTION_DISORDER", "肠道功能紊乱","3"),
//    HYPOIMMUNITY("HYPOIMMUNITY", "免疫力低下","16"),
    OBESITY("OBESITY", "肥胖","13"),
    HYPERURICEMIA("HYPERURICEMIA", "高尿酸血症","22"),
    AD("AD", "阿尔兹海默症","28"),
    COPD("COPD", "慢阻肺", "25"),
    ASCVD("ASCVD", "动脉粥样硬化性心血管病", "23"),
    ICVD("ICVD", "缺血性心血管病", "21"),
    INSOMNIA("INSOMNIA", "失眠", "24"),
    HPYPERLIPIDEMIA("HPYPERLIPIDEMIA", "高血脂", "8"),
    IIH("IIH", "甲亢", "27"),
    TSH("TSH", "甲减", "26"),
    //    CFS("CFS","慢性疲劳综合征"),
//    POSTPARTUM_WEIGHT("POSTPARTUM_WEIGHT", "产后体重管理"),
//    FGID("FGID","功能性胃肠病","33-1"),
    FGID("FGID", "功能性胃肠病", "31"),
    IMMUNITY("IMMUNITY", "免疫力", "16"),
    CFS("CFS", "慢性疲劳综合征", "32"),
    // region 营养不良
    /**
     * 饱和脂肪酸过量
     */
    SFA_OVER("SFA_OVER", "营养不良-饱和脂肪酸过量", "15-2"),
    /**
     * n-3脂肪酸缺乏
     */
    N3_EFA_LACK("N3_EFA_LACK","营养不良-n-3脂肪酸缺乏","15-3"),
    /**
     * 反式脂肪酸过量
     */
    TFA_OVER("TFA_OVER","营养不良-反式脂肪酸过量","15-1"),
    /**
     * 胆固醇过量
     */
    TC_OVER("TC_OVER","营养不良-胆固醇过量","15-4"),
    /**
     * 膳食纤维缺乏
     */
    DIETARY_FIBER_LACK("DIETARY_FIBER_LACK","营养不良-膳食纤维缺乏","15-5"),
    /**
     * 优质蛋白缺乏
     */
    QUALITY_PROTEIN_LACK("QUALITY_PROTEIN_LACK","营养不良-优质蛋白缺乏","15-6"),
    /**
     * 维生素A缺乏
     */
    VITAMIN_A_LACK("VITAMIN_A_LACK","营养不良-维生素A缺乏","15-7"),
    /**
     * 维生素D缺乏
     */
    VITAMIN_D_LACK("VITAMIN_D_LACK","营养不良-维生素D缺乏","15-8"),
    /**
     * 维生素E缺乏
     */
    VITAMIN_E_LACK("VITAMIN_E_LACK","营养不良-维生素E缺乏","15-9"),
    /**
     * 维生素k缺乏
     */
    VITAMIN_K_LACK("VITAMIN_K_LACK","营养不良-维生素k缺乏","15-10"),
    /**
     * 维生素c缺乏
     */
    VITAMIN_C_LACK("VITAMIN_C_LACK","营养不良-维生素c缺乏","15-11"),
    /**
     * 维生素B1缺乏
     */
    VITAMIN_B1_LACK("VITAMIN_B1_LACK","营养不良-维生素B1缺乏","15-12"),
    /**
     * 维生素B2缺乏
     */
    VITAMIN_B2_LACK("VITAMIN_B2_LACK","营养不良-维生素B2缺乏","15-13"),
    /**
     * 烟酸缺乏
     */
    NICOTINIC_ACID_LACK("NICOTINIC_ACID_LACK","营养不良-烟酸缺乏","15-14"),
    /**
     * 维生素B6缺乏
     */
    VITAMIN_B6_LACK("VITAMIN_B6_LACK","营养不良-维生素B6缺乏","15-15"),
    /**
     * 叶酸缺乏
     */
    FOLIC_ACID_LACK("FOLIC_ACID_LACK","营养不良-叶酸缺乏","15-16"),
    /**
     * 维生素B12缺乏
     */
    VITAMIN_B12_LACK("VITAMIN_B12_LACK","营养不良-维生素B12缺乏","15-17"),
    /**
     * 生物素缺乏
     */
    VH_LACK("VH_LACK","营养不良-生物素缺乏","15-18"),
    /**
     * 钙缺乏
     */
    CALCIUM_LACK("CALCIUM_LACK","营养不良-钙缺乏","15-19"),
    /**
     * 镁缺乏
     */
    MAGNESIUM_LACK("MAGNESIUM_LACK","营养不良-镁缺乏","15-20"),
    /**
     * 钾缺乏
     */
    POTASSIUM_LACK("POTASSIUM_LACK","营养不良-钾缺乏","15-21"),
    /**
     * 铁缺乏
     */
    IRON_LACK("IRON_LACK","营养不良-铁缺乏","15-22"),
    /**
     * 碘缺乏
     */
    IODINE_LACK("IODINE_LACK","营养不良-碘缺乏","15-23"),
    /**
     * 碘过量
     */
    IODINE_OVER("IODINE_OVER","营养不良-碘过量","15-24"),
    /**
     * 锌缺乏
     */
    ZINC_LACK("ZINC_LACK","营养不良-锌缺乏","15-25"),
    /**
     * 硒缺乏
     */
    SELENIUM_LACK("SELENIUM_LACK","营养不良-硒缺乏","15-26"),
    /**
     * 铜缺乏
     */
    CIGS_LACK("CIGS_LACK","营养不良-铜缺乏","15-27"),
    /**
     * 铬缺乏
     */
    CHROMIUM_LACK("CHROMIUM_LACK","营养不良-铬缺乏","15-28"),
    //endregion
    //region 产后人群
    POSTPARTUM_GTE_7("POSTPARTUM_GTE_7","产后<=7天","33-1"),
    POSTPARTUM_LT_7_LACTATION("POSTPARTUM_LT_7_LACTATION","产后>7天-哺乳期","33-2"),
    POSTPARTUM_LT_7_NOLACTATION("POSTPARTUM_LT_7_NOLACTATION","产后>7天-非哺乳期","33-3"),

    //endregion,
    CVD("CVD","心血管疾病","34")

    ;

    private String code;
    private String name;
    //转化为数据库code
    private String dictCode;

    /**
     * 根据code 查询
     * @param code
     * @return
     */
    public static FoodHealthProblemEnum getEnumByDictCode(String code) {
        FoodHealthProblemEnum[] values = values();
        if (code == null) {
            return null;
        } else {
            FoodHealthProblemEnum[] var2 = values;
            int var3 = values.length;

            for(int var4 = 0; var4 < var3; ++var4) {
                FoodHealthProblemEnum value = var2[var4];
                if (code.equals(value.getCode())) {
                    return value;
                }
            }
            return null;
        }
    }

    public static void main(String[] args) {
        getEnumByDictCode("26");
    }

    private FoodHealthProblemEnum(String code, String name,String dictCode) {
        this.code = code;
        this.name = name;
        this.dictCode = dictCode;
    }


}
