package com.jiankangyouyi.cloud.food_match.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : liuze
 * @date: 2022/9/13 11:22
 **/
@AllArgsConstructor
@Getter
public enum FoodQuantityLevelEnum {
    QUANTITY_LEVEL_LOW("LOW","低",0,1600),
    QUANTITY_LEVEL_MIDDLE("MIDDLE","中",1600,2600),
    QUANTITY_LEVEL_HIGH("HIGH","高",2600,Integer.MAX_VALUE),
    ;
    private String code;

    private String name;

    private Integer min;

    private Integer max;

    public static FoodQuantityLevelEnum getEnumByCodeOrName(String condition) {
        FoodQuantityLevelEnum[] values = values();
        if (condition == null) {
            return null;
        } else {
            FoodQuantityLevelEnum result = null;
            for(FoodQuantityLevelEnum temp : values){
              if(temp.code.equals(condition) || temp.name.equals(condition)){
                  result = temp;
                  break;
              }
            }
             return  result;
        }
    }

}
