package com.jiankangyouyi.cloud.food_match.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * @description:
 * @author: liuze
 * @email: liuze@jiankangyouyi.com
 * @date: 2022/1/18 3:57 下午
 */
@Getter
@AllArgsConstructor
public enum MealsEnergyRangeEnum {
    /**加餐**/
    MER_1("MER_1","3-5",BigDecimal.valueOf(0.03),BigDecimal.valueOf(0.05)),
    MER_2("MER_2","3-8",BigDecimal.valueOf(0.03),BigDecimal.valueOf(0.08)),
    MER_3("MER_3","5-10",BigDecimal.valueOf(0.05),BigDecimal.valueOf(0.1)),

    MER_4("MER_4","15-25",BigDecimal.valueOf(0.15),BigDecimal.valueOf(0.25)),

    MER_5("MER_5","20-30",BigDecimal.valueOf(0.2),BigDecimal.valueOf(0.3)),
    MER_6("MER_6","25-35",BigDecimal.valueOf(0.25),BigDecimal.valueOf(0.35)),
    MER_7("MER_7","28-38",BigDecimal.valueOf(0.28),BigDecimal.valueOf(0.38)),
    MER_8("MER_8","29-39",BigDecimal.valueOf(0.29),BigDecimal.valueOf(0.39)),

    MER_9("MER_9","30-37",BigDecimal.valueOf(0.3),BigDecimal.valueOf(0.37)),
    MER_10("MER_10","30-40",BigDecimal.valueOf(0.3),BigDecimal.valueOf(0.4)),
    MER_11("MER_11","35-45",BigDecimal.valueOf(0.35),BigDecimal.valueOf(0.45)),
    ;


    private String code;
    private String name;
    private BigDecimal min;
    private BigDecimal max;

    public static MealsEnergyRangeEnum getEnumByCodeOrName(String condition) {
        MealsEnergyRangeEnum[] values = values();
        if (condition == null) {
            return null;
        } else {
            MealsEnergyRangeEnum result = null;
            for(MealsEnergyRangeEnum temp : values){
                if(temp.code.equals(condition) || temp.name.equals(condition)){
                    result = temp;
                    break;
                }
            }
            return  result;
        }
    }

    public static MealsEnergyRangeEnum getEnumByEnergy(BigDecimal min, BigDecimal max) {
        MealsEnergyRangeEnum[] values = values();
        if (min == null || max == null) {
            return null;
        } else {
            MealsEnergyRangeEnum result = null;
            for(MealsEnergyRangeEnum temp : values){
                if(temp.getMin().compareTo(min)==0 && temp.getMax().compareTo(max)==0){
                    result = temp;
                    break;
                }
            }
            return  result;
        }
    }

}
