package com.jiankangyouyi.cloud.food_match.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * @description:
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2022/1/18 3:57 下午
 */
@Getter
@AllArgsConstructor
public enum TotalEnergyRangeEnum {
    TER_1("TER_1","1200-1300",BigDecimal.valueOf(1200),BigDecimal.valueOf(1300)),
    TER_2("TER_2","1300-1400",BigDecimal.valueOf(1300),BigDecimal.valueOf(1400)),
    TER_3("TER_3","1400-1500",BigDecimal.valueOf(1400),BigDecimal.valueOf(1500)),
    TER_4("TER_4","1500-1600",BigDecimal.valueOf(1500),BigDecimal.valueOf(1600)),
    TER_5("TER_5","1600-1700",BigDecimal.valueOf(1600),BigDecimal.valueOf(1700)),
    TER_6("TER_6","1700-1800",BigDecimal.valueOf(1700),BigDecimal.valueOf(1800)),
    TER_7("TER_7","1800-1900",BigDecimal.valueOf(1800),BigDecimal.valueOf(1900)),
    TER_8("TER_8","1900-2000",BigDecimal.valueOf(1900),BigDecimal.valueOf(2000)),
    TER_9("TER_9","2000-2100",BigDecimal.valueOf(2000),BigDecimal.valueOf(2100)),
    TER_10("TER_10","2100-2200",BigDecimal.valueOf(2100),BigDecimal.valueOf(2200)),
    TER_11("TER_11","2200-2300",BigDecimal.valueOf(2200),BigDecimal.valueOf(2300)),
    TER_12("TER_12","2300-2400",BigDecimal.valueOf(2300),BigDecimal.valueOf(2400)),
    TER_13("TER_13","2400-2500",BigDecimal.valueOf(2400),BigDecimal.valueOf(2500)),
    TER_14("TER_14","2500-2600",BigDecimal.valueOf(2500),BigDecimal.valueOf(2600)),
    TER_15("TER_15","2600-2700",BigDecimal.valueOf(2600),BigDecimal.valueOf(2700)),
    TER_16("TER_16","2700-2800",BigDecimal.valueOf(2700),BigDecimal.valueOf(2800)),
    TER_17("TER_17","2800-2900",BigDecimal.valueOf(2800),BigDecimal.valueOf(2900)),
    TER_18("TER_18","2900-3000",BigDecimal.valueOf(2900),BigDecimal.valueOf(3000)),
    TER_19("TER_19","3000-3500",BigDecimal.valueOf(3000),BigDecimal.valueOf(3500)),
    ;


    private String code;
    private String name;
    private BigDecimal min;
    private BigDecimal max;

    public static TotalEnergyRangeEnum getEnumByCodeOrName(String condition) {
        TotalEnergyRangeEnum[] values = values();
        if (condition == null) {
            return null;
        } else {
            TotalEnergyRangeEnum result = null;
            for(TotalEnergyRangeEnum temp : values){
                if(temp.code.equals(condition) || temp.name.equals(condition)){
                    result = temp;
                    break;
                }
            }
            return  result;
        }
    }

    public static TotalEnergyRangeEnum getEnumByEnergy(BigDecimal energy) {
        TotalEnergyRangeEnum[] values = values();
        if (energy == null) {
            return null;
        } else {
            if(TER_19.getMax().compareTo(energy)==0){
                return TER_19;
            }
            TotalEnergyRangeEnum result = null;
            for(TotalEnergyRangeEnum temp : values){
                if(temp.getMin().compareTo(energy)<=0 && temp.getMax().compareTo(energy)>=0){
                    result = temp;
                    break;
                }
            }
            return  result;
        }
    }

}
