package com.jiankangyouyi.cloud.food_match.model.dto.request.match;

import com.jiankangyouyi.cloud.core.entity.page.Page;
import com.jiankangyouyi.cloud.core.validator.annotation.DateValHC;
import com.jiankangyouyi.cloud.core.validator.annotation.NotEmptyHC;
import com.jiankangyouyi.cloud.core.validator.annotation.SizeHC;
import com.jiankangyouyi.cloud.food_match.model.dto.request.AbstractAuthHttpApiRequestDTO;
import lombok.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;


/**
 * @author : liuze
 * @date: 2022/12/13 11:00
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class APIFindFoodMatchResRequestDTO extends AbstractAuthHttpApiRequestDTO {
    /**
     * 用户id
     */
    @NotEmptyHC
    @Length(max = 64, message = "userId 不合法")
    private String userId;

    @DateValHC(pattern = "yyyy-MM-dd")
    @Length(max = 10, min = 10, message = "startDate 不合法")
    private String startDate;

    @DateValHC(pattern = "yyyy-MM-dd")
    @Length(max = 10, min = 10, message = "endDate 不合法")
    private String endDate;

    @NotNull(message = "请求参数page不能为空")
    @Valid
    private Page page;

    private String sortColumn;

    private boolean desc;
}
