package com.jiankangyouyi.cloud.food_match.model.dto.request.match;

import com.jiankangyouyi.cloud.core.validator.annotation.DateValHC;
import com.jiankangyouyi.cloud.core.validator.annotation.NotEmptyHC;
import com.jiankangyouyi.cloud.core.validator.annotation.SizeHC;
import com.jiankangyouyi.cloud.food_match.model.dto.request.AbstractHttpApiRequestDTO;
import lombok.*;
import org.hibernate.validator.constraints.Length;

/**
 * @description: 删除指定日期以后配餐请求dto
 * @author: 刘彬
 */

@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DelMatchFoodRequestDTO extends AbstractHttpApiRequestDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotEmptyHC
    @SizeHC(value = 64)
    private String userId;

    @NotEmptyHC
    @DateValHC(pattern = "yyyy-MM-dd")
    @Length(min = 10, max = 10, message = "请求参数delDateBegin不合法，支持格式yyyy-MM-dd")
    private String delDateBegin;
}
