package com.jiankangyouyi.cloud.food_match.model.dto.request.match;

import com.jiankangyouyi.cloud.core.validator.annotation.DateValHC;
import com.jiankangyouyi.cloud.core.validator.annotation.NotEmptyHC;
import com.jiankangyouyi.cloud.core.validator.annotation.SizeHC;
import com.jiankangyouyi.cloud.food_match.model.dto.request.AbstractHttpApiRequestDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @description: 营养素分析
 * @author: zyj
 * @email: zhaoyujie@jiankangyouyi.com
 * @date: 2021/11/15 9:34 上午
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class NutrientAnalysisRequestDTO extends AbstractHttpApiRequestDTO {

    /**
     * 配餐计划日期
     */
    @NotEmptyHC
    @DateValHC(pattern = "yyyy-MM-dd")
    @SizeHC(value = 10)
    private String planDate;

    /**
     * userId
     */
    @NotEmptyHC
    @SizeHC(value = 64)
    private String userId;


}
