package com.jiankangyouyi.cloud.food_match.model.dto.request.rule;

import com.jiankangyouyi.cloud.data.center.api.model.entity.MealRatio;
import com.jiankangyouyi.cloud.data.center.api.model.entity.component.HealthProblemInfo;
import com.jiankangyouyi.cloud.data.center.api.model.entity.component.NutrientStateInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Set;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MealFoodConditionRequestDTO {

    /***
     * 配餐 餐次
     */
    List<MealRatio> mealRatio;

    /**
     * 排除的食物ids
     */
    private Set<String> historyFoodIds;

    /**
     * 个人健康问题
     */
    private List<HealthProblemInfo> healthProblemInfos;

    /**
     * NUll 分娩日期,性别为女性时才能赋值 yyyy-MM-dd
     */
    private String deliveryDate;
    /**
     * 过敏原禁忌标签 {@link com.jiankangyouyi.cloud.data.center.api.enums.AllergenTabooTagEnum}
     */
    private List<String> allergenTabooTags;

    /**
     * NULL 哺乳状态，性别为女性时才能赋值
     * <p>
     * {@link com.jiankangyouyi.cloud.data.center.api.enums.LactationStatusEnum}
     */
    private String lactationStatus;

    /**
     * NULL 营养素状态信息 当健康问题包含 NUTRIENT_DEFICIENCY 时此处不可为空
     */
    private List<NutrientStateInfo> nutrientStateInfos;


    /**
     * NULL 民族 （膳食使用时数据来源——字典——字典大类：食物库，字典子类：禁忌民族）
     */
    private List<String> nations;
    /**
     * 所在的地域
     * （膳食使用时数据来源——字典——字典大类：食物库，字典子类：国家及地区）
     */
    private List<String> areas;

    /**
     * 喜好口味
     * （膳食使用时数据来源——字典——字典大类：食物库，字典子类：口味）
     */
    private List<String> taste;

    /**
     * 时令
     */
    private String userSeason;

}
