package com.june.entitytodbdoc;

import com.june.entitytodbdoc.dto.DocumentInfoDTO;
import com.june.entitytodbdoc.utils.FileUtils;
import com.june.entitytodbdoc.utils.GetClassCommentUtils;
import com.june.entitytodbdoc.utils.MarkdownUtils;

import java.util.Comparator;
import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

/**
 * 开始解析文档注释启动类
 *
 * @author june
 */
public class Starter {

    public static void main(String[] args) {
        String beanFilePath =
                "D:\\work\\idea\\june\\entity-to-db-doc\\entity-to-db-doc\\src\\main\\java\\com\\jiankangyouyi\\cloud\\basedata";
        List<String> javaFilePaths = FileUtils.findJavaFilePaths(beanFilePath);
        //     List<String> javaFilePaths = Arrays.asList("D:\\work\\idea\\june\\entity-to-db-doc\\entity-to-db-doc\\src\\main\\java\\com\\june\\entitytodbdoc\\entity\\mongo\\food\\FoodProcessDO.java");
        // 获取所有的 markdown 内容
        List<String> resultContentList = javaFilePaths
                .parallelStream().map(GetClassCommentUtils::execute)
                .filter(Optional::isPresent)
                .map(Optional::get)
                .distinct()
                .sorted(Comparator.comparing(DocumentInfoDTO::getDocumentName))
                .flatMap(dto -> MarkdownUtils.getOneDocumentContent(dto).stream())
                .collect(Collectors.toList());
        String path = "D:\\work\\idea\\june\\entity-to-db-doc\\entity-to-db-doc\\src\\main\\java\\com\\june\\entitytodbdoc\\xx.md";
        FileUtils.writeMarkdown(resultContentList, path);
    }


}
