package com.june.entitytodbdoc.utils;

import java.lang.reflect.Field;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;

/**
 * 获取 class 的工具类
 * @author june
 */
public class ClassUtils {


    /**
     * 获取泛型类型
     * @param fullClassName 类全名
     * @param fieldName 字段名
     * @return 字段泛型的全名
     */
    public static String getGenericsType(String fullClassName,String fieldName){
        Field field;
        try {
            try {
                field = Class.forName(fullClassName).getDeclaredField(fieldName);
            } catch (ClassNotFoundException e) {
                // 静态内部类的情况
                int lastIndex = fullClassName.lastIndexOf(".");
                field = Class.forName(fullClassName.substring(0, lastIndex) + "$" + fullClassName.substring(lastIndex + 1)).getDeclaredField(fieldName);
            }
        } catch (Exception e) {
            e.printStackTrace();
           return null;
        }
        ParameterizedType parameterizedType = (ParameterizedType) field.getGenericType();
        Type[] typeArguments = parameterizedType.getActualTypeArguments();
        Class<?> type = (Class<?>) typeArguments[0];
        return  type.getName();
    }

    public static void main(String[] args) {
        System.out.println(getGenericsType("com.jiankangyouyi.cloud.basedata.api.model.entity.foodv4.FoodProcess","extensionUnits"));
    }
}
