package com.june.entitytodbdoc.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 调用AI算法进行细粒度食物识别返回结果
 *
 * @author yangsongbo
 */
@Data
public class AiFoodRecognitionResVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 处理码
     */
    private String retCode;

    /**
     * 处理信息
     */
    private String retInfo;

    /**
     * 当前时间
     */
    private String curTime;

    /**
     * 请求序列号
     */
    private String sn;

    /**
     * 识别结果
     */
    private List<AiRecognitionFoodVO> topFoodList;


    /**
     * AI中心食物识别结果
     */
    @Data
    public static class AiRecognitionFoodVO implements Serializable {

        private static final long serialVersionUID = 1L;

        /**
         * 食物ID
         */
        private String foodId;

        /**
         * 食物名称
         */
        private String foodName;

        /**
         * 置信度
         */
        private Float confidence;
    }
}
